<?php

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "sohohotel_data";

    $theme = wp_get_theme(); // For use with some settings. Not necessary.
	
    $args = array(   
        'opt_name'             => $opt_name,
        'display_name'         => $theme->get( 'Name' ),
        'display_version'      => $theme->get( 'Version' ),
        'menu_type'            => 'menu',
        'allow_sub_menu'       => false,
        'menu_title'           => esc_html__( 'Theme Options', 'soho-hotel' ),
        'page_title'           => esc_html__( 'Theme Options', 'soho-hotel' ),
        'google_api_key'       => '',
        'google_update_weekly' => false,
        'async_typography'     => true,
        'admin_bar'            => true,
        'admin_bar_icon'       => 'dashicons-portfolio',
        'admin_bar_priority'   => 50,
        'global_variable'      => '',
        'dev_mode'             => false,
        'update_notice'        => true,
        'customizer'           => true,
        'page_priority'        => null,
        'page_parent'          => 'themes.php',
        'page_permissions'     => 'manage_options',
        'menu_icon'            => '',
        'last_tab'             => '',
        'page_icon'            => 'icon-themes',
        'page_slug'            => '',
        'save_defaults'        => true,
        'default_show'         => false,
        'default_mark'         => '',
        'show_import_export'   => true,
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        'output_tag'           => true,
        'database'             => '',
        'use_cdn'              => true,
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );

    Redux::setArgs( $opt_name, $args );

    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'General', 'soho-hotel' ),
        'id'               => 'general',
        'desc'             => '',
        'customizer_width' => '400px',
        'icon'             => 'el el-cog',
		'fields'           => array(
			array(
                'id'       => 'site-layout-style',
                'type'     => 'radio',
                'title'    => esc_html__( 'Site Default Layout Style', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'options'  => array(
                    'right-sidebar' => 'Right Sidebar',
					'left-sidebar' => 'Left Sidebar',
                    'full-width' => 'Full Width'
                ),
                'default'  => 'right-sidebar'
            ),
			array(
				'id'       => 'background-layout-style',
				'type'     => 'radio',
				'title'    => esc_html__( 'Background Layout Style', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'options'  => array(
					'boxed' => 'Boxed',
					'full-width' => 'Full Width'
				),
				'default'  => 'full-width'
			),
	        array(
	            'id'       => 'site-background-image',
	            'type'     => 'media',
	            'title'    => esc_html__( 'Site Background Image', 'soho-hotel' ),
	            'desc'     => esc_html__( 'Only visible if you have "Background Layout Style" set to "Boxed"', 'soho-hotel' ),
	            'subtitle' => '',
	        ),
			array(
				'id'       => 'site-header-style',
				'type'     => 'radio',
				'title'    => esc_html__( 'Header Style', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'options'  => array(
					'sohohotel-header1' => 'Header 1',
					'sohohotel-header2' => 'Header 2',
					'sohohotel-header3' => 'Header 3',
					'sohohotel-header4' => 'Header 4',
					'sohohotel-header5' => 'Header 5',
					'sohohotel-header6' => 'Header 6',
				),
				'default'  => 'sohohotel-header1'
			),
			array(
                'id'       => 'top-right-menu',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Enable Top Right Menu For Language Selection', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '0'// 1 = on | 0 = off
            ),
			array(
                'id'       => 'top-left-phone',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Left Phone Number', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '1111-2222-3333',
            ),
			array(
                'id'       => 'top-left-address',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Left Address', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '55 Columbus Circle, New York, NY',
            ),
			array(
                'id'       => 'top-right-menu-text',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Menu Text', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-button-text-1',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Button Text 1', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'My Account',
            ),
			array(
                'id'       => 'top-right-button-url-1',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Button URL 1', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-button-link-target-1',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Open top right button 1 in new window/tab', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '0'// 1 = on | 0 = off
            ),
			array(
                'id'       => 'top-right-button-text-2',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Button Text 2', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => 'Book Now',
            ),
			array(
                'id'       => 'top-right-button-url-2',
                'type'     => 'text',
                'title'    => esc_html__( 'Top Right Button URL 2', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
			array(
                'id'       => 'top-right-button-link-target-2',
                'type'     => 'checkbox',
                'title'    => esc_html__( 'Open top right button 2 in new window/tab', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '0'// 1 = on | 0 = off
            ),
			
			
			
			
			
			
			
			array(
                'id'       => 'google-map-api-key',
                'type'     => 'text',
                'title'    => esc_html__( 'Google Map API Key', 'soho-hotel' ),
                'subtitle' => '',
                'desc'     => '',
                'default'  => '',
            ),
		)
	) );
		
	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Header', 'soho-hotel' ),
	    'id'               => 'page-header',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-align-justify',
		'fields'     => array(
	        array(
	            'id'       => 'page-header-image',
	            'type'     => 'media',
	            'title'    => esc_html__( 'Default Page Header Image', 'soho-hotel' ),
	            'desc'     => esc_html__( 'Displayed on all pages a header image is not set in the page options', 'soho-hotel' ),
	            'subtitle' => '',
	        ),
			array(
	            'id'       => 'page-not-found',
	            'type'     => 'media',
	            'title'    => esc_html__( '404 Page Not Found Background Image', 'soho-hotel' ),
	            'desc'     => esc_html__( 'Displayed on the 404 not found page', 'soho-hotel' ),
	            'subtitle' => '',
			)
		)
	) );
	
	Redux::setSection( $opt_name, array(
		'title'            => esc_html__( 'Footer', 'soho-hotel' ),
		'id'               => 'footer',
		'desc'             => '',
		'customizer_width' => '400px',
		'icon'             => 'el el-align-left',
		'fields'           => array(
			array(
				'id'       => 'footer-message',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Message', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Text displayed in the bottom center of the site footer', 'soho-hotel' ),
				'default'  => '&copy; 2019 Soho Hotel. All Rights Reserved',
			),
			array(
				'id'       => 'footer-columns',
				'type'     => 'radio',
				'title'    => esc_html__( 'Footer Columns', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'options'  => array(
					'1-col' => '1 Column',
					'2-col' => '2 Columns',
					'3-col' => '3 Columns',
					'4-col' => '4 Columns',
					'5-col' => '5 Columns',
					'6-col' => '6 Columns',
				),
				'default'  => '3-col'
			),
			array(
	            'id'       => 'footer-link-target',
	            'type'     => 'checkbox',
	            'title'    => esc_html__( 'Open footer links in new window/tab', 'soho-hotel' ),
	            'subtitle' => '',
	            'desc'     => '',
	            'default'  => '1'// 1 = on | 0 = off
	        ),
			array(
				'id'       => 'footer-link-text-1',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link Text 1', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'default'  => 'Home',
			),
			array(
				'id'       => 'footer-link-url-1',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link URL 1', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'e.g. http://website.com', 'soho-hotel' ),
				'default'  => '#',
			),
			array(
				'id'       => 'footer-link-text-2',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link Text 2', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'default'  => 'About Us',
			),
			array(
				'id'       => 'footer-link-url-2',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link URL 2', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'e.g. http://website.com', 'soho-hotel' ),
				'default'  => '#',
			),
			array(
				'id'       => 'footer-link-text-3',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link Text 3', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'default'  => 'Services',
			),
			array(
				'id'       => 'footer-link-url-3',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link URL 3', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'e.g. http://website.com', 'soho-hotel' ),
				'default'  => '#',
			),
			array(
				'id'       => 'footer-link-text-4',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link Text 4', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => '',
				'default'  => 'Booking',
			),
			array(
				'id'       => 'footer-link-url-4',
				'type'     => 'text',
				'title'    => esc_html__( 'Footer Link URL 4', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'e.g. http://website.com', 'soho-hotel' ),
				'default'  => '#',
			),
		)
	) );
	
	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Logo', 'soho-hotel' ),
	    'id'               => 'logo',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-picture',
		'fields'           => array(
			array(
	            'id'       => 'logo-image',
	            'type'     => 'media',
	            'title'    => esc_html__( 'Logo Image', 'soho-hotel' ),
	            'desc'     => esc_html__( 'Add a logo image', 'soho-hotel' ),
	            'subtitle' => '',
			),
			array(
				'id'       => 'desktop-logo-image-top-margin',
				'type'     => 'text',
				'title'    => esc_html__( 'Desktop Logo Image Top Margin', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px value, e.g. "10px"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'desktop-logo-image-width',
				'type'     => 'text',
				'title'    => esc_html__( 'Desktop Logo Image Width', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px or % value, e.g. "10px" or "10%"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'desktop-logo-image-max-width',
				'type'     => 'text',
				'title'    => esc_html__( 'Desktop Logo Image Max Width', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px or % value, e.g. "10px" or "10%"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'desktop-sticky-nav-logo-image-top-margin',
				'type'     => 'text',
				'title'    => esc_html__( 'Desktop Sticky Navigation Logo Image Top Margin', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px value, e.g. "10px"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'desktop-sticky-nav-logo-image-width',
				'type'     => 'text',
				'title'    => esc_html__( 'Desktop Sticky Navigation Logo Image Width', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px or % value, e.g. "10px" or "10%"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'desktop-sticky-nav-logo-image-max-width',
				'type'     => 'text',
				'title'    => esc_html__( 'Desktop Sticky Navigation Logo Image Max Width', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px or % value, e.g. "10px" or "10%"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'mobile-logo-image-top-margin',
				'type'     => 'text',
				'title'    => esc_html__( 'Mobile Logo Image Top Margin', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px value, e.g. "10px"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'mobile-logo-image-width',
				'type'     => 'text',
				'title'    => esc_html__( 'Mobile Logo Image Width', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px or % value, e.g. "10px" or "10%"', 'soho-hotel' ),
				'default'  => '',
			),
			array(
				'id'       => 'mobile-logo-image-max-width',
				'type'     => 'text',
				'title'    => esc_html__( 'Mobile Logo Image Max Width', 'soho-hotel' ),
				'subtitle' => '',
				'desc'     => esc_html__( 'Must be a px or % value, e.g. "10px" or "10%"', 'soho-hotel' ),
				'default'  => '',
			),
	    )

	) );

	Redux::setSection( $opt_name, array(
		'title'            => esc_html__( 'Colors', 'soho-hotel' ),
		'id'               => 'colors',
		'desc'             => '',
		'customizer_width' => '400px',
		'icon'             => 'el el-brush',
		'fields'     => array(
			array(
	            'id'       => 'main-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Main Color', 'soho-hotel' ),
	            'subtitle' => '',
	            'default'  => '#b99470',
				'validate' => 'color',
	        ),
	        array(
	            'id'       => 'secondary-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Secondary Background Color', 'soho-hotel' ),
	            'subtitle' => '',
	            'default'  => '#1c1c1c',
	            'validate' => 'color',
	        ),
			array(
	            'id'       => 'page-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Page Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( 'Note this is only visible if you\'re using the boxed layout', 'soho-hotel' ),
	            'default'  => '#666666',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'page-title-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Page Title Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#f0f0f0',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'page-title-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Page Title Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => 'transparent',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-text-separator-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Text Separator Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#dddddd',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-background-color-sticky-nav',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Background Color (Stick Navigation)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => 'transparent',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-text-color-sticky-nav',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Text Color (Stick Navigation)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-text-separator-color-sticky-nav',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Text Separator Color (Stick Navigation)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#dddddd',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-text-color-homepage',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Text Color (Homepage)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-bar-text-separator-color-homepage',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Bar Separator Color (Homepage)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#dddddd',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-right-button-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Right Button Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#b99470',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'header-top-right-button-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Header Top Right Button Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'logo-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Logo Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'main-menu-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Main Menu Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'logo-text-color-sticky-nav',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Logo Text Color (Stick Navigation)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'main-menu-text-color-sticky-nav',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Main Menu Text Color (Stick Navigation)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'logo-text-color-homepage',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Logo Text Color (Homepage)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'main-menu-text-color-homepage',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Main Menu Text Color (Homepage)', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'footer-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Footer Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#1c1c1c',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'footer-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Footer Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'footer-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Footer Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'footer-bottom-bar-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Footer Bottom Bar Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#b99470',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'footer-bottom-bar-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Footer Bottom Bar Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'booking-form-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Booking Form Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#1c1c1c',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'booking-form-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Booking Form Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'booking-form-price-border-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Booking Form Price Border Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( 'Only visible on the accommodation single page booking form, the border is displayed around the quoted room price', 'soho-hotel' ),
	            'default'  => '#494949',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'booking-form-button-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Booking Form Button Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#b99470',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'booking-form-button-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Booking Form Button Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#1c1c1c',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-day-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Day Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-selected-date-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Selected Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#b99470',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-selected-date-background-color-2',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Selected Background Color 2', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#85705c',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#ffffff',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-unavailable-date-background-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Unavailable Date Background Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#292929',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-unavailable-date-text-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Unavailable Date Text Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#7b7b7b',
				'validate' => 'color',
	        ),
			array(
	            'id'       => 'datepicker-border-color',
	            'type'     => 'color',
	            'title'    => esc_html__( 'Datepicker Border Color', 'soho-hotel' ),
	            'subtitle' => esc_html__( '', 'soho-hotel' ),
	            'default'  => '#424242',
				'validate' => 'color',
	        )
		)
	) );

	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Fonts', 'soho-hotel' ),
	    'id'               => 'fonts',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-font',
		'fields'     => array(
			array(
	            'id'       => 'google_font_name_1',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Font Family 1 (Used For Titles)', 'soho-hotel' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "e.g. 'Cormorant', serif", 'soho-hotel' ),
	            'default'  => "'Cormorant', serif",
	        ),
			array(
	            'id'       => 'google_font_url_1',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Font URL 1', 'soho-hotel' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "Only required if you're using Google Fonts or similar, e.g. Cormorant:400,400i,500,500i", 'soho-hotel' ),
	            'default'  => "Cormorant:400,400i,500,500i",
	        ),	
			array(
	            'id'       => 'google_font_name_2',
	            'type'     => 'text',
	            'title'    => esc_html__( 'Font Family 2 (Used For Body)', 'soho-hotel' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "e.g. 'Open Sans', sans-serif", 'soho-hotel' ),
	            'default'  => "'Open Sans', sans-serif",
	        ),
			array(
	            'id'       => 'google_font_url_2',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Font URL 2', 'soho-hotel' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( "Only required if you're using Google Fonts or similar, e.g. Open+Sans:400,400i", 'soho-hotel' ),
	            'default'  => "Open+Sans:400,400i",
	        ),
		)
	) );
	
	Redux::setSection( $opt_name, array(
	    'title'            => esc_html__( 'Custom JS', 'soho-hotel' ),
	    'id'               => 'custom-js',
	    'desc'             => '',
	    'customizer_width' => '400px',
	    'icon'             => 'el el-edit',

		'fields'     => array(
	        array(
	            'id'       => 'custom_js',
	            'type'     => 'textarea',
	            'title'    => esc_html__( 'Custom JS', 'soho-hotel' ),
	            'subtitle' => '',
	            'desc'     => esc_html__( 'Add your own custom JS to the theme', 'soho-hotel' ),
	            'default'  => '',
			),
		)
	) );