<?php

/*
  Plugin Name: Soho Hotel Booking Stripe
  Plugin URI: http://quitenicestuff.com
  Description: Stripe payment gateway
  Version: 3.2.2
  Author: Quite Nice Stuff
  Author URI: http://quitenicestuff.com
*/



/* ----------------------------------------------------------------------------

   Load Files

---------------------------------------------------------------------------- */
if ( ! defined( 'SHB_STRIPE_PLUGIN_DIR' ) )
    define( 'SHB_STRIPE_PLUGIN_DIR', dirname( __FILE__ ) );

if ( ! defined( 'SHB_STRIPE_PLUGIN_URL' ) )
    define( 'SHB_STRIPE_PLUGIN_URL', plugin_dir_url( __FILE__ ) );



/* ----------------------------------------------------------------------------

   Includes

---------------------------------------------------------------------------- */
include 'includes/shb-stripe-payment.php';

add_action('wp_enqueue_scripts', 'shb_stripe_js');
function shb_stripe_js() {
	wp_register_script( 'shb_stripe', 'https://js.stripe.com/v3/' );
	wp_enqueue_script( 'shb_stripe' );
}

add_action( 'init', 'shb_stripe_payment_success_redirect' );
function shb_stripe_payment_success_redirect() {
    if(isset($_POST['stripeToken'])) {
		echo do_shortcode('[shb_stripe_payment amount="' . $_POST['shb-stripe-amount'] . '" id="' . $_POST['shb-stripe-id'] . '"]');
        wp_redirect( get_permalink(get_option('shb_payment_thanks_page')) );
        exit;
    }
}



/* ----------------------------------------------------------------------------

   Load Language Files

---------------------------------------------------------------------------- */
function shb_stripe_init() {
	load_plugin_textdomain( 'sohohotel_booking', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
}
add_action('init', 'shb_stripe_init');