jQuery(document).ready(function($) {

	// Copy first and last name fields to title for search
	$("#first_name").keyup(function () {
		var first_name_val = $("#first_name").val();
		var last_name_val = $("#last_name").val();
		$("#title").val(first_name_val + ' ' + last_name_val);
	}).keyup();
	
	$("#last_name").keyup(function () {
		var first_name_val = $("#first_name").val();
		var last_name_val = $("#last_name").val();
		$("#title").val(first_name_val + ' ' + last_name_val);
	}).keyup();
	
	function shb_toggle1() {
		
		$( ".shb-toggle > .shb-toggle-inner" ).hide();
		$(".shb-toggle .shb-toggle-title").on("click",function() {
			$(this).toggleClass("active");
			if ($(this).hasClass("active")) {
				$(this).closest(".shb-toggle").find(".shb-toggle-inner").slideDown(200);
			} else {
				$(this).closest(".shb-toggle").find(".shb-toggle-inner").slideUp(200);
			}
		});
		
	}
	
	function shb_room_quantity_select() {
		
		$('.shb-room-quantity-select').on('change', function() {
			$( this ).parent().find('.shb-guest-selection-wrapper-add').html('');
			var count = parseInt(this.value);
			for (var i=0; i<count; i++){
				$( this ).parent().find('.shb-guest-selection-wrapper-add').append($( this ).parent().find('.shb-guest-selection-wrapper').html());
			}
			
			$( this ).parent().find('.shb-guest-selection-wrapper-add .shb-guest-selection').each(function(i) {
				$(this).find('h5 span').text(++i);
				$(this).find('.shb-guest-select').each(function(i2) {
					var roomid = $(this).attr('data-roomid');
					var guestid = $(this).attr('data-guestid');
					$(this).attr('name','shb_rooms[' + roomid + '][rooms][room_' + (i) + '][guestid_' + guestid + ']');
				});
			});
			
		});
		
	}
	
	function shb_room_quantity_number() {
		
		$('.shb-guest-selection-wrapper-add .shb-guest-selection').each(function(i) {
			$(this).find('h5 span').text(++i);
			$(this).find('.shb-guest-select').each(function(i2) {
				var roomid = $(this).attr('data-roomid');
				var guestid = $(this).attr('data-guestid');
				$(this).attr('name','shb_rooms[' + roomid + '][rooms][room_' + (i) + '][guestid_' + guestid + ']');
			});
		});
	
	}
	
	function shb_selected_room_check() {
		
		var shb_validation_error = false;
	
		$('.shb-room-quantity-select').each(function() {
			if ($.trim($(this).val()) > '0') {
				shb_validation_error = true;
			}
		});
	
		if ( shb_validation_error == false ) {
			return true;
		} else {
			return false;
		}
		
	}
	
	function shb_check_availability_ajax() {
		
		$('#shb-available-rooms').html('<img class="shb-loading-room" src="' + shb_PLUGIN_URL + 'assets/images/loading.gif" alt="Loading...">');
		var post_data = $('#shb_booking_dates').find('.shb-check-in-alt,.shb-check-out-alt').serialize();	
		$.ajax({
			type: 'POST',
			url: shb_AJAX_URL,
			data: post_data+'&action=shb_booking_add_room_action',
			dataType: 'json',
			success: function(response) {
				if (response.status == 'success') {
					$('#shb_booking_add_room')[0].reset();
				}
				$('#shb-available-rooms').html(response.content);
				shb_toggle1();
				shb_room_quantity_select();
			}
		});
		
	}
	
	$('#shb_check_in, #shb_check_out').click(function() {
	
		if ($("#shb-available-rooms").find(".shb-toggle").length > 0){ 
			if (confirm(shb_msg_validation_selected_rooms)) {
				$('#shb-available-rooms').html('<p class="shb-no-rooms-selected">' + shb_msg_validation_none_selected + '</p>');
			} else {
				$("#ui-datepicker-div").hide();
			}
		}
	
	});
	
	$('.shb-check-availability-btn').click(function() {
		
		if ($("#shb-available-rooms").find(".shb-toggle").length > 0){ 
			if (confirm(shb_msg_validation_selected_rooms)) {
				shb_check_availability_ajax();
			}
		} else {
			shb_check_availability_ajax();
		}
	
	});
	
	shb_room_quantity_select();
	
	$("#publish").on( "click", function() {
		
		if(shb_selected_room_check() == true) {
			alert(shb_msg_validation_add_room);
			return false;
		}
	
	});
	
	function shb_add_coupon_count() {
		$('.shb-booking-coupon-wrapper').find('.shb-booking-coupon').each(function(i) {
			$(this).find('label i').text(++i);
			$(this).find('input').attr('name','shb_booking_coupon[' + i + ']');
		});
	}
	
	function shb_remove_coupon_btn() {
		$(".shb-remove-coupon-btn").on( "click", function() {	
			$(this).parent().parent().remove();
			shb_add_coupon_count();
		});
	}
	
	$(".shb-add-coupon-btn").on( "click", function() {
		$('.shb-booking-coupon-wrapper').append($('.shb-booking-coupon-temp').html());
		shb_remove_coupon_btn();
		shb_add_coupon_count();
	});
	
	shb_remove_coupon_btn();

	/* User search */
	function shb_remove_selected_guest() {
		
		$(".shb-selected-guest-result span").on( "click", function() {	
			$(this).parent().remove();
			$('.shb-select-guest-id').val('');
		});
		
	}
	
	function shb_search_guest_ajax() {
		
		var post_data = $('.shb-guest-search-wrapper').find('.shb-guest-search-field').serialize();	
		$.ajax({
			type: 'POST',
			url: shb_AJAX_URL,
			data: post_data+'&action=shb_booking_search_guest_action',
			dataType: 'json',
			success: function(response) {
				
				$('.shb-guest-search-result-wrapper').html(response.content);
				
				$(".shb-guest-search-result").on( "click", function() {	
					var shb_selected_guest = '<span class="shb-selected-guest-result">' + $(this).attr('data-guestinfo') + ' <span>(Remove)</span></span>';
					$('.shb-selected-guest-result-wrapper').html(shb_selected_guest);
					$('.shb-guest-search-wrapper .shb-guest-search-result-wrapper').css('display','none');
					$('.shb-guest-search-field').val('');
					$('.shb-select-guest-id').val($(this).attr('data-guestid'));
					
					shb_remove_selected_guest();
					
				});
				
			}
		});
		
	}
	
	$('.shb-guest-search-field').on('input', function() {
	    
		if ( $(this).val() == '' ) {
			$('.shb-guest-search-wrapper .shb-guest-search-result-wrapper').css('display','none');
		} else {
			$('.shb-guest-search-wrapper .shb-guest-search-result-wrapper').css('display','block');
		}
		
		shb_search_guest_ajax();
		
	});
	
	shb_remove_selected_guest();
	
});