jQuery( document ).ready(function($) {
	
	'use strict';
	
	var shb_datepicker_altformat = 'yy-mm-dd';
	var shb_datepicker_firstday = 1;
	
	$('.shb-readonly,.shb-check-in,.shb-check-out').attr('readonly', true);
	
	jQuery('.shb-check-in').datepicker({
		minDate: new Date(),
		dateFormat: shb_datepicker_format,
		dayNamesMin: shb_datepicker_daynames,
		monthNames: shb_datepicker_monthnames,
		firstDay: shb_datepicker_firstday,
		altFormat: shb_datepicker_altformat,
		altField: '.shb-check-in-alt',
		onSelect: function (date) {
            var date2 = $('.shb-check-in').datepicker('getDate');
            date2.setDate(date2.getDate() +1 );
            $('.shb-check-out').datepicker('option', 'minDate', date2);
        },
		onClose: function (e) {
            var date2 = $('.shb-check-out').datepicker('getDate');
            if (!date2) {
				$('.shb-check-out').datepicker('show');
            }
        }
	});
	
	jQuery('.shb-check-out').datepicker({
		minDate: new Date(),
		dateFormat: shb_datepicker_format,
		dayNamesMin: shb_datepicker_daynames,
		monthNames: shb_datepicker_monthnames,
		firstDay: shb_datepicker_firstday,
		altFormat: shb_datepicker_altformat,
		altField: '.shb-check-out-alt',
		onClose: function () {
            var date1 = $('.shb-check-in').datepicker('getDate');
            var date2 = $('.shb-check-out').datepicker('getDate');
			if (date2 <= date1 && date2) {
                var minDate = $('.shb-check-out').datepicker('option', 'minDate');
                $('.shb-check-out').datepicker('setDate', minDate);
            }
        }
	});
	
	if ($('.shb-check-in').datepicker('getDate')) {
		var date2 = $('.shb-check-in').datepicker('getDate');
		$('.shb-check-out').datepicker('option', 'minDate', date2);
	}
	
	$('.shb-checkall-input-hidden').click(function(){
		$(this).parent().find('.shb-checkall-input:checkbox').not(this).prop('checked', this.checked);
	});
	
	function shb_toggle1() {
		
		$( ".shb-toggle > .shb-toggle-inner" ).hide();
		$(".shb-toggle .shb-toggle-title").on("click",function() {
			$(this).toggleClass("active");
			if ($(this).hasClass("active")) {
				$(this).closest(".shb-toggle").find(".shb-toggle-inner").slideDown(200);
			} else {
				$(this).closest(".shb-toggle").find(".shb-toggle-inner").slideUp(200);
			}
		});
		
	}
	
	function shb_toggle2() {
		
		$( ".shb-toggle-alt > .shb-toggle-inner-alt" ).hide();
		$(".shb-toggle-alt .shb-toggle-title-alt").on("click",function() {
			$(this).toggleClass("active");
			if ($(this).hasClass("active")) {
				$(this).closest(".shb-toggle-alt").find(".shb-toggle-inner-alt").slideDown(200);
			} else {
				$(this).closest(".shb-toggle-alt").find(".shb-toggle-inner-alt").slideUp(200);
			}
		});
		
	}
	
	shb_toggle1();
	shb_toggle2();
	
	function shb_validation_required() {
		
		var shb_validation_error = false;
		
		$('.shb-validation-required').each(function() {
			if ($.trim($(this).val()) == '') {
				shb_validation_error = true;
			}
		});
		
		if ( shb_validation_error == true ) {
			return true;
		} else {
			return false;
		}
		
	}
	
	function shb_validation_number(type) {
		
		var shb_validation_error = false;
		
		$(type).each(function() {
			if (!$.isNumeric($(this).val())) {
				shb_validation_error = true;
			}
		});
		
		if ( shb_validation_error == true ) {
			return true;
		} else {
			return false;
		}
		
	}
	
	$("#publish").on( "click", function() {
		
		if ( shb_validation_required() == true ) {
			alert(shb_msg_validation_required);
			return false;
		}
		
		if ( shb_validation_number('.shb-validation-price') == true ) {
			alert(shb_msg_validation_price);
			return false;
		}
		
		if ( shb_validation_number('.shb-validation-number') == true ) {
			alert(shb_msg_validation_number);
			return false;
		}
		
		if ( $('.shb-select-room-wrapper .shb-checkall-input')[0] && !$('.shb-select-room-wrapper .shb-checkall-input').is(':checked') ) {
			alert(shb_msg_validation_accommodation);
			return false;
		}
		
		if ( $('.shb-select-season-wrapper .shb-checkall-input')[0] && !$('.shb-select-season-wrapper .shb-checkall-input').is(':checked') ) {
			alert(shb_msg_validation_season);
			return false;
		}
		
		if ( $('.shb_check_in_days')[0] && !$('.shb_check_in_days').is(':checked') ) {
			alert(shb_msg_validation_weekdays);
			return false;
		}
		
	});
	
});