<?php
	
function shb_booking_coupon_check($coupon_code,$booking_data,$seasonids,$couponids) {
	
	if(!empty($booking_data['shb_rooms'][0])) {
		$room_data = unserialize($booking_data['shb_rooms'][0]);
	} else {
		$room_data = array();
	}
	
	if(!empty($booking_data['shb_booking_coupon'][0])) {
		$coupon_data = unserialize($booking_data['shb_booking_coupon'][0]);
	} else {
		$coupon_data = array();
	}
	
	$booking_nights = shb_get_booking_nights($booking_data['shb_check_in_alt'][0],$booking_data['shb_check_out_alt'][0]);
	$booking_price = $booking_data['shb_booking_grand_total'][0];
	
	// Check coupon exists
	foreach ($couponids as $key => $val) {	
		if(get_post_meta($val,'shb_coupon_code',TRUE) == $coupon_code) {
			$coupon_exists = $val;
		}
	}
	
	if(!empty($coupon_exists)) {
		
		// Check coupon added for room in booking
		foreach ($room_data as $key => $val) {
			
			if(get_post_meta($coupon_exists,'shb_accommodation_' . $key,TRUE)) {
				$added_to_room[] = $key;
			}
			
		}
		
		// Check coupon added for default season
		if(get_post_meta($coupon_exists,'shb_season_default',TRUE)) {
			$added_to_season[] = true;	
		} else {
			
			// Check coupon added for season in booking
			foreach ($seasonids as $key => $val) {
			
				if(shb_get_date_range_overlap(get_post_meta($val,'shb_start_date',TRUE),get_post_meta($val,'shb_end_date',TRUE),$booking_data['shb_check_in_alt'][0],$booking_data['shb_check_out_alt'][0]) == true) {
					$added_to_season[] = $val;
				
				}
			
			}
			
		}
		
		// Usage usage limit
		if(get_post_meta($coupon_exists,'shb_used',TRUE) < get_post_meta($coupon_exists,'shb_usage_limit',TRUE)) {
			$usage_limit = true;
		}
		
		// Min nights
		if($booking_nights >= get_post_meta($coupon_exists,'shb_min_nights',TRUE)) {
			$min_nights = true;
		}
		
		// Max nights
		if($booking_nights <= get_post_meta($coupon_exists,'shb_max_nights',TRUE)) {
			$max_nights = true;
		}

		if(empty($added_to_room) || empty($added_to_season) || empty($usage_limit) || empty($min_nights) || empty($max_nights)) {
			$result['msg'] = '<p>' . __('Sorry, this coupon cannot be applied to this booking','sohohotel_booking') . '</p>';
			$result['result'] = false;
		} else {
			$result['msg'] = '';
			$result['result'] = $coupon_exists;
		}
	
	} else {
		$result['msg'] = '<p>' . __('Coupon does not exist','sohohotel_booking') . '</p>';
		$result['result'] = false;
	}
	
	return $result;

}
	
?>