<?php

function shb_available_fees($booking_data) {
	
	$available_fees = array();
	$output = '';
	
	if(!empty($booking_data['shb_check_in_alt'][0]) && !empty($booking_data['shb_check_out_alt'][0])) {
		
		// Get booking data
		if(!empty($booking_data['shb_check_in_alt'][0])) {
			$checkin = $booking_data['shb_check_in_alt'][0];
		} else {
			$checkin = '';
		}

		if(!empty($booking_data['shb_check_out_alt'][0])) {
			$checkout = $booking_data['shb_check_out_alt'][0];
		} else {
			$checkout =  '';
		}
	
		if(!empty($booking_data['shb_rooms'][0])) {
			$room_data = unserialize($booking_data['shb_rooms'][0]);
		} else {
			$room_data = array();
		}

		if(!empty($booking_data['shb_fees'][0])) {
			$fee_data = unserialize($booking_data['shb_fees'][0]);
		} else {
			$fee_data = array();
		}

		// Get IDs of fees available for rooms
		$fee_ids = shb_get_all_ids('shb_fee');
		$season_ids = shb_get_all_ids('shb_season');

		foreach ($room_data as $key1 => $val1) {
	
			foreach ($fee_ids as $key2 => $val2) {
		
				if(!empty(get_post_meta($val2,'shb_accommodation_' . $key1,TRUE))) {
			
					foreach ($season_ids as $key3 => $val3) {
	
						if(shb_get_season_date_range_overlap(
							$checkin,
							$checkout,
							get_post_meta($val3,'shb_start_date_alt',TRUE),
							get_post_meta($val3,'shb_end_date_alt',TRUE),
							get_post_meta($val3,'shb_repeat',TRUE),
							'overlap') == 1) {
						
							if(!empty(get_post_meta($val2,'shb_season_' . $val3,TRUE)) || !empty(get_post_meta($val2,'shb_season_default',TRUE))) {	
								$available_fees[] = $val2;
							}
					
						}
	
					}
					
					if(!empty(get_post_meta($val2,'shb_season_default',TRUE)) || !empty(get_post_meta($val2,'shb_season_default',TRUE))) {	
						$available_fees[] = $val2;
					}
			
				}
		
			}
	
		}

		$available_fees = array_unique($available_fees);
		$output .= '<div class="shb-available-fee-wrapper">';
		
		if(!empty($available_fees)) {
			
			foreach ($available_fees as $key => $val) {
	
				if(!empty($fee_data['fee_' . $val])) {
					$number_value = $fee_data['fee_' . $val];
					$check_value = "checked";
				} else {
					$number_value = "";
					$check_value = "";
				}
	
				if( get_post_meta($val,'shb_fee_optional',TRUE) == 'yes' ) {
		
					if( get_post_meta($val,'shb_quantity_selection',TRUE) == 'yes' ) {
			
						$output .= '<div class="shb-available-fee shb-available-fee-qty">';
						$output .= '<input type="number" pattern="[0-9]" validate id="shb_fee_' . $val . '" name="shb_fees[fee_' . $val . ']" min="' . get_post_meta($val,'shb_min_qty',TRUE) . '" max="' . get_post_meta($val,'shb_max_qty',TRUE) . '" value="' . $number_value . '" />';
						$output .= '<label for="shb_fee_' . $val . '">' . get_the_title($val) . ' <span>(' . shb_get_price(get_post_meta($val,'shb_fee_price',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type1',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type2',TRUE)) . ')</span></label>';
						$output .= '</div>';
					} else {
						$output .= '<div class="shb-available-fee">';
						$output .= '<input type="checkbox" id="shb_fee_' . $val . '" name="shb_fees[fee_' . $val . ']" value="1" ' . $check_value . ' />';
						$output .= '<label for="shb_fee_' . $val . '">' . get_the_title($val) . ' <span>(' . shb_get_price(get_post_meta($val,'shb_fee_price',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type1',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type2',TRUE)) . ')</span></label>';
						$output .= '</div>';
					}
		
		
				} else {
					$output .= '<input type="hidden" name="shb_fees[fee_' . $val . ']" value="1" />';
				}

			}
			
		} else {
			
			$output .= '<p>' . __('No fees available','sohohotel_booking') . '</p>';
			
		}
		
		$output .= '</div>';
		
		return $output;
		
	}
	
}

function shb_available_fees_frontend($booking_data) {
	
	$available_fees = array();
	$output = '';
	
	$checkin = $booking_data['checkin'];
	$checkout = $booking_data['checkout'];
	$room_data = $booking_data['rooms'];
	
	$fee_ids = shb_get_all_ids('shb_fee');
	$season_ids = shb_get_all_ids('shb_season');
	
	foreach ($room_data as $rooms) {
		
		foreach ($fee_ids as $fee_id) {
			
			if(!empty(get_post_meta($fee_id,'shb_accommodation_' . $rooms['room_id'],TRUE))) {
				
				foreach ($season_ids as $season_id) {
					
					if(shb_get_season_date_range_overlap(
						$checkin,
						$checkout,
						get_post_meta($season_id,'shb_start_date_alt',TRUE),
						get_post_meta($season_id,'shb_end_date_alt',TRUE),
						get_post_meta($season_id,'shb_repeat',TRUE),
						'overlap') == 1) {
						
						if(!empty(get_post_meta($fee_id,'shb_season_' . $season_id,TRUE)) || !empty(get_post_meta($fee_id,'shb_season_default',TRUE))) {	
							$available_fees[] = $fee_id;
						}
				
					} else {
						
						if( !empty(get_post_meta($fee_id,'shb_season_default',TRUE)) ) {	
							$available_fees[] = $fee_id;
						}
						
					}
					
				}
				
				if( !empty(get_post_meta($fee_id,'shb_season_default',TRUE)) ) {	
					$available_fees[] = $fee_id;
				}
				
			}
			
		}
		
	}
	
	$available_fees = array_unique($available_fees);
	
	if(!empty($available_fees)) {
		
		foreach ($available_fees as $key => $val) {

			$number_value = "";
			$check_value = "";
			
			if( get_post_meta($val,'shb_fee_optional',TRUE) == 'yes' ) {
				
				if( get_post_meta($val,'shb_quantity_selection',TRUE) == 'yes' ) {
		
					$output .= '<div class="shb-available-fee shb-available-fee-qty shb-clearfix">';
					$output .= '<input type="number" pattern="[0-9]" validate id="shb_fee_' . $val . '" name="shb_fees[' . $val . ']" min="' . get_post_meta($val,'shb_min_qty',TRUE) . '" max="' . get_post_meta($val,'shb_max_qty',TRUE) . '" value="' . $number_value . '" />';
					$output .= '<label for="shb_fee_' . $val . '">' . get_the_title($val) . ' <span>(' . shb_get_price(get_post_meta($val,'shb_fee_price',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type1',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type2',TRUE)) . ')</span></label>';
					$output .= '</div>';
				} else {
					$output .= '<div class="shb-available-fee shb-clearfix">';
					$output .= '<input type="checkbox" id="shb_fee_' . $val . '" name="shb_fees[' . $val . ']" value="1" ' . $check_value . ' />';
					$output .= '<label for="shb_fee_' . $val . '">' . get_the_title($val) . ' <span>(' . shb_get_price(get_post_meta($val,'shb_fee_price',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type1',TRUE)) . ' / ' . shb_get_display_text(get_post_meta($val,'shb_fee_type2',TRUE)) . ')</span></label>';
					$output .= '</div>';
				}
	
			} else {
				$output .= '<input type="hidden" name="shb_fees[' . $val . ']" value="1" />';
			}

		}
		
	}
	
	return $output;
	
}

?>