<?php

function shb_accommodation_data($room_id) {
	
	$accommodation_data = get_post_meta($room_id);
	if(!empty($accommodation_data['shb_pricing'][0])) {
		$accommodation_pricing = unserialize($accommodation_data['shb_pricing'][0]);
	} else {
		$accommodation_pricing = array();
	}
	
	$data['settings'] = $accommodation_data;
	$data['prices'] = $accommodation_pricing;
	
	return $data;
	
}

function shb_trim_room_data($room_data) {
	
	$data = array();
	
	foreach ($room_data as $key => $val) {
		if($val['quantity'] > 0) {	
			$data[$key] = $val; 
		}
	}
	
	return $data;
	
}

function shb_getday($date) {
    return date('w', strtotime($date));
}

function shb_season_type_check($seasonid) {
	return get_post_meta($seasonid,'shb_pricing_type',TRUE);
}

function shb_season_overlap_check($roomid,$seasonids,$date1,$date2) {
	
	foreach ($seasonids as $key => $val) {
		if(!empty(get_post_meta($val,'shb_accommodation_' . $roomid,TRUE))) {
			
			if(shb_get_season_date_range_overlap(
				$date1,
				$date2,
				get_post_meta($val,'shb_start_date_alt',TRUE),
				get_post_meta($val,'shb_end_date_alt',TRUE),
				get_post_meta($val,'shb_repeat',TRUE),
				'overlap') == 1) {
					$result = $val;
			}
			
		}
	}
	
	if(!empty($result)) {
		return $result;
	} else {
		return '';
	}
	
}

function shb_get_season_date_range_overlap($from1,$to1,$from2,$to2,$yearly,$overlap_rule) {
	
	if($yearly == 'yes') {
		
		$from1_e = explode('-',$from1);
		$from1 = ($from1_e[0] + 20) . $from1_e[1] . '-' . $from1_e[2];
	
		$to1_e = explode('-',$to1);
		$to1 = ($to1_e[0] + 20) . $to1_e[1] . '-' . $to1_e[2];
	
		$from2_e = explode('-',$from2);
		$from2 = ($from2_e[0] + 20) . $from2_e[1] . '-' . $from2_e[2];
	
		$to2_e = explode('-',$to2);
		$to2 = ($to2_e[0] + 20) . $to2_e[1] . '-' . $to2_e[2];
		
	}
	
	if($overlap_rule == 'overlap') {
		
		if ( $from1 <= $to2 && $to1 >= $from2 ) {
			return true;
		} else {
			return false;
		}
		
	} elseif($overlap_rule == 'within') {
	
		if ( (($from2 >= $from1) && ($from2 <= $to1)) && (($to2 >= $from1) && ($to2 <= $to1))) {
			return true;
		} else {
			return false;
		}
		
	}
	
}

function shb_calc_room_price_inner($data) {
	
	$price_data = $data['room']['prices'];
	
	$price = array();
	
	foreach (range(1, $data['booking_rooms'][$data['roomid']]['quantity']) as $room_count) {
		
		foreach ($data['dates'] as $date) {
			
			$season_check = shb_season_overlap_check($data['roomid'],$data['seasonids'],$date,$date);
			
			if(!empty($season_check)) {
				
				if(shb_season_type_check($season_check) == 'percentage') {
					$season = 'default';
					$season_type = 'percentage';
				} else {
					$season = $season_check;
					$season_type = 'exact';
				}
				
			} else {
				$season = 'default';
				$season_type = 'exact';
			}
			
			if($data['room']['settings']['shb_daily_price_scheme'][0] == 'charge_same_price') {
				$day = 'flat';
			} else {
				$day = shb_getday($date);
			}
			
			if($data['room']['settings']['shb_guest_price_scheme'][0] == 'charge_per_room' || $data['room']['settings']['shb_room_type'][0] == 'dorm') {
				
				if(empty($price_data['season_' . $season]['general']['price']['day_' . $day]['flat'])) {
					$field = 0;
				} else {
					$field = $price_data['season_' . $season]['general']['price']['day_' . $day]['flat'];
				}
				
				if($season_type == 'percentage') {
					
					if(empty($price_data['season_' . $season_check]['general']['price']['percentage'])) {
						$field_percentage = 0;
					} else {
						$field_percentage = $price_data['season_' . $season_check]['general']['price']['percentage'];
					}
					
					$price[$room_count][$date] = shb_calc_percentage($field,$field_percentage);
				} else {
					$price[$room_count][$date] = $field;
				}
				
			} else {
				
				foreach ($data['guestids'] as $guestid) {
					
					if(empty($price_data['season_' . $season]['general']['price']['day_' . $day]['guest_' . $guestid])) {
						$field = 0;
					} else {
						$field = $price_data['season_' . $season]['general']['price']['day_' . $day]['guest_' . $guestid];
					}
					
					if(!empty($data['booking_rooms'][$data['roomid']]['rooms']['room_' . $room_count]['guestid_' . $guestid])) {
						$qty = $data['booking_rooms'][$data['roomid']]['rooms']['room_' . $room_count]['guestid_' . $guestid];
					} else {
						$qty = 0;
					}
					
					if($data['room']['settings']['shb_guest_price_scheme'][0] !== 'charge_per_guest_flat') {
						
						if(empty($price_data['season_' . $season]['general']['additional_price']['day_' . $day]['guest_' . $guestid])) {
							$field_additional = 0;
						} else {
							$field_additional = $price_data['season_' . $season]['general']['additional_price']['day_' . $day]['guest_' . $guestid];
						}
						
					}
					
					if($season_type == 'percentage') {
						
						if(empty($price_data['season_' . $season_check]['general']['price']['percentage'])) {
							$field_percentage = 0;
						} else {
							$field_percentage = $price_data['season_' . $season_check]['general']['price']['percentage'];
						}
						
					}
					
					if($data['room']['settings']['shb_guest_price_scheme'][0] == 'charge_per_guest_flat') {
						
						if($season_type == 'percentage') {
							
							if ($qty > 1) {
								$price[$room_count][$date][$guestid] = shb_calc_percentage(($field * $qty),$field_percentage);
							} else {
								$price[$room_count][$date][$guestid] = shb_calc_percentage($field,$field_percentage);
							}
							
						} else {
							
							if ($qty > 1) {
								$price[$room_count][$date][$guestid] = ($field * $qty);
							} else {
								$price[$room_count][$date][$guestid] = $field;
							}
							
						}
						
					}
					
					if($data['room']['settings']['shb_guest_price_scheme'][0] == 'charge_per_guest_variable') {
						
						if($season_type == 'percentage') {
							
							if ($qty > 1) {
								$price[$room_count][$date][$guestid] = shb_calc_percentage($field + ($field_additional * ($qty - 1)),$field_percentage);
							} else {
								$price[$room_count][$date][$guestid] = shb_calc_percentage($field,$field_percentage);
							}
							
						} else {
							
							if ($qty > 1) {
								$price[$room_count][$date][$guestid] = $field + ($field_additional * ($qty - 1));
							} else {
								$price[$room_count][$date][$guestid] = $field;
							}
							
						}
						
					}
				
					if($data['room']['settings']['shb_guest_price_scheme'][0] == 'charge_per_guest_advanced_variable') {
						
						$temp_price = array();
						
						if ($qty > 0) {
							$temp_price[] = $field;
						}
						
						if ($qty > 1) {
							foreach (range(1, ($qty - 1)) as $guest_count) {
								
								if(empty($field_additional['additional_guest_' . ($guest_count)])) {
									$temp_price[] = 0;
								} else {
									$temp_price[] = $field_additional['additional_guest_' . ($guest_count)];
								}
								
							}
						}
						
						if($season_type == 'percentage') {
							$price[$room_count][$date][$guestid] = shb_calc_percentage(array_sum($temp_price),$field_percentage);
						} else {
							$price[$room_count][$date][$guestid] = array_sum($temp_price);
						}
							
					}
					
				}
				
			}
			
			
		}
		
	}
	
	return $price;
	
}

function shb_calc_room_price($room_data,$checkin,$checkout) {
	
	$checkout = date( 'Y-m-d', strtotime( $checkout . ' -1 day' ) );

	$price = array();
	$data = array();
	
	$data['dates'] = shb_get_date_range_array($checkin,$checkout);
	$data['checkin'] = $checkin;
	$data['checkout'] = $checkout;
	$data['guestids'] = shb_get_all_ids('shb_guestclass');
	$data['seasonids'] = shb_get_all_ids('shb_season');
	$data['booking_rooms'] = shb_trim_room_data($room_data);
	
	foreach ($data['booking_rooms'] as $roomid => $val) {
		$data['room'] = shb_accommodation_data($roomid);
		$roomid_arr = array('roomid' => $roomid);
		$data = array_merge($data,$roomid_arr);
		$price[$roomid] = shb_calc_room_price_inner($data);
	}
	
	return $price;
			
}

function shb_num_nights($date1,$date2) {
	
	$date1 = new DateTime($date1);
	$date2 = new DateTime($date2);

	return $date2->diff($date1)->format("%a"); 
	
}

function shb_array_sum_nested($a1) {
	
	$total = array_sum($a1);
	
	if(empty($total)) {
		
		$sum = array();
		foreach($a1 as $a2) {
			foreach($a2 as $a3) {
				$sum[] = $a3;
			}
		}
		
		return array_sum($sum);
		
	} else {
		
		return $total;
		
	}
	
}

function shb_calc_discount($roomid,$checkin,$checkout,$price,$seasonids,$discountids) {
	
	/* Set overlap rules */
	$overlap_rule = 'overlap';
	$duration_overlap_rule = 'highest';
	$early_overlap_rule = 'highest';
	$late_overlap_rule = 'lowest';
	
	$price_data = shb_accommodation_data($roomid);
	
	/* Current overlap seasons */
	$in_seasonids = array();
	
	foreach ($seasonids as $key => $val) {
		
		/* Season added to room */
		if(!empty(get_post_meta($val,'shb_accommodation_' . $roomid,TRUE))) {	
			
			if(shb_get_season_date_range_overlap(
				get_post_meta($val,'shb_start_date_alt',TRUE),
				get_post_meta($val,'shb_end_date_alt',TRUE),
				$checkin,
				$checkout,
				get_post_meta($val,'shb_repeat',TRUE),
				$overlap_rule) == 1) {			
					$in_seasonids[] = $val;		
			}
			
		}
		
	}
	
	/* Available discounts */
	$in_discountids = array();
	
	foreach ($discountids as $key1 => $val1) {
		
		/* Discount added to room */
		if(!empty(get_post_meta($val1,'shb_accommodation_' . $roomid,TRUE))) {
	
			if(!empty($in_seasonids)) {
				 
				foreach ($in_seasonids as $key2 => $val2) {
				
					/* Discount added to season */
					if(!empty(get_post_meta($val1,'shb_season_' . $val2,TRUE))) {
						$in_discountids[$key1] = $val1;
					}
	
				}
				 
			} else {
				
				/* Discount added to season */
				if(!empty(get_post_meta($val1,'shb_season_default',TRUE))) {
					$in_discountids[$key1] = $val1;
				}
				
			}
			
		}
	
	}
	
	/* Check eligible discounts based on check in and check out */
	$date = date('Y-m-d');
	$available_discounts = array();
	
	foreach ($in_discountids as $key => $val) {
		
		$discount_type = get_post_meta($val,'shb_discount_type',TRUE);
		$discount_conjunction = get_post_meta($val,'shb_discount_conjunction',TRUE);
		
		if( $discount_type == 'duration' && $discount_conjunction == 'yes' ) {
		
			if(shb_num_nights($checkin,$checkout) > get_post_meta($val,'shb_discount_duration',TRUE)) {
				$available_discounts['duration'] = $val;
			}
			
		} elseif( $discount_type == 'early' && $discount_conjunction == 'yes' ) {
			
			if(shb_num_nights($date,$checkin) > get_post_meta($val,'shb_discount_early',TRUE)) {
				$available_discounts['early'] = $val;
			}
			
		} elseif( $discount_type == 'late' && $discount_conjunction == 'yes' ) {
			
			if(shb_num_nights($date,$checkin) < get_post_meta($val,'shb_discount_late',TRUE)) {
				$available_discounts['late'] = $val;
			}
			
		}
		
	}
	
	/* Get percentage discounts */
	$percentages = array();
	$percentages_result = array();
	
	foreach ($available_discounts as $key1 => $val1) {
		
		if(!empty($in_seasonids)) {
			
			foreach ($in_seasonids as $key2 => $val2) {
				
				if(empty($price_data['prices']['season_' . $val2][$key1 . '_' . $val1]['price']['percentage'])) {
					$percentages[$key1][] = 0;
				} else {
					$percentages[$key1][] = $price_data['prices']['season_' . $val2][$key1 . '_' . $val1]['price']['percentage'];
				}
				
			}
			
		} else {
			
			if(empty($price_data['prices']['season_default'][$key1 . '_' . $val1]['price']['percentage'])) {
				$percentages[$key1][] = 0;
			} else {
				$percentages[$key1][] = $price_data['prices']['season_default'][$key1 . '_' . $val1]['price']['percentage'];
			}
			
		}
		
	}
	
	if(!empty($percentages['duration'])) {
		
		if($duration_overlap_rule == 'highest') {
			$percentages_result['duration'] = max($percentages['duration']);
		} else {
			$percentages_result['duration'] = min($percentages['duration']);
		}
		
	}
	
	if(!empty($percentages['early'])) {
		
		if($early_overlap_rule == 'highest') {
			$percentages_result['early'] = max($percentages['early']);
		} else {
			$percentages_result['early'] = min($percentages['early']);
		}
		
	}
	
	if(!empty($percentages['late'])) {
		
		if($late_overlap_rule == 'highest') {
			$percentages_result['late'] = max($percentages['late']);
		} else {
			$percentages_result['late'] = min($percentages['late']);
		}
		
	}

	/* Calculate discounts */
	$percentage_total = array_sum($percentages_result);
	
	if($percentage_total > 100) {
		$percentage_total = 100;
	}
	
	$total_price['total'] = shb_calc_percentage($price,$percentage_total);
	$total_price['discount'] = $percentages_result;
	
	return $total_price;

}

function shb_calc_total_price($booking_data) {
	
	if(!empty($booking_data['shb_rooms'][0])) {
		
		$room_data = unserialize($booking_data['shb_rooms'][0]);
		$checkin = $booking_data['shb_check_in_alt'][0];
		$checkout = $booking_data['shb_check_out_alt'][0];
	
		if(!empty($booking_data['shb_booking_coupon'][0])) {
			$coupon_data = unserialize($booking_data['shb_booking_coupon'][0]);
		} else {
			$coupon_data = array();
		} 
	
		if(!empty($booking_data['shb_fees'][0])) {
			$fee_data = unserialize($booking_data['shb_fees'][0]);
		} else {
			$fee_data = array();
		}
		
		// Calculate total number of guests
		foreach ($room_data as $key => $val) {
			if(!empty($val['rooms'])) {
				$guest_total_calc[] = shb_array_sum_nested($val['rooms']);
			}
		}
		
		if(!empty($guest_total_calc)) {
			$guest_total = array_sum($guest_total_calc);
		} else {
			$guest_total = 0;
		}
	
		// Calculate total number of rooms
		foreach ($room_data as $key => $val) {
			$room_total_calc[] = $val['quantity'];
		}
		$room_total = array_sum($room_total_calc);

		// Calculate total number of nights
		$nights_total = shb_get_booking_nights($checkin,$checkout);
	
		// Begin price calculation
		$total_price = array();
		$total_price['rooms']['prices'] = shb_calc_room_price($room_data,$checkin,$checkout);
		$seasonids = shb_get_all_ids('shb_season');
		$discountids = shb_get_all_ids('shb_discount');
		$couponids = shb_get_all_ids('shb_coupon');
		$feeids = shb_get_all_ids('shb_fee');
		$taxids = shb_get_all_ids('shb_tax');
	
		// Calculate room price
		foreach ($total_price['rooms']['prices'] as $key1 => $val1) {
			foreach ($val1 as $key2 => $val2) {
				$total_price['rooms']['totals'][$key1][$key2] = shb_array_sum_nested($total_price['rooms']['prices'][$key1][$key2]);
			}
		}
	
		// Apply discounts
		foreach ($total_price['rooms']['totals'] as $key1 => $val1) {
			foreach ($val1 as $key2 => $val2) {
				$discount = shb_calc_discount($key1,$checkin,$checkout,$total_price['rooms']['totals'][$key1][$key2],$seasonids,$discountids);
				$total_price['rooms']['discounts']['details'][$key1][$key2] = $discount['discount'];
				$total_price['rooms']['discounts']['total'][$key1][$key2] = $discount['total'];
			}
		}
	
		// Calculate fee price
		foreach ($feeids as $key => $val) {
		
			if(!empty($fee_data['fee_' . $val])) {
			
				if(!empty(get_post_meta($val,'shb_fee_type1',TRUE))) {
				
					if(get_post_meta($val,'shb_fee_type1',TRUE) == 'fee_type1_fixed_amount') {
						$shb_fee_type1 = 1;
					}
				
					if(get_post_meta($val,'shb_fee_type1',TRUE) == 'fee_type1_per_room') {
						$shb_fee_type1 = $room_total;
					}
				
					if(get_post_meta($val,'shb_fee_type1',TRUE) == 'fee_type1_per_person') {
						$shb_fee_type1 = $guest_total;
					}
				
				}
			
				if(!empty(get_post_meta($val,'shb_fee_type2',TRUE))) {
				
					if(get_post_meta($val,'shb_fee_type2',TRUE) == 'fee_type2_night') {
						$shb_fee_type2 = $nights_total;
					}
				
					if(get_post_meta($val,'shb_fee_type2',TRUE) == 'fee_type2_booking') {
						$shb_fee_type2 = 1;
					}
				
				}
			
				if(!empty(get_post_meta($val,'shb_fee_price',TRUE))) {
					$price = get_post_meta($val,'shb_fee_price',TRUE);
					$total_fee_price[$val] = ( ($price * $shb_fee_type1) * $shb_fee_type2 ) * $fee_data['fee_' . $val];
				}
			
			}
		
		}
	
		// Room total
		$total_price['room_total'] = shb_array_sum_nested($total_price['rooms']['discounts']['total']);
	
		// Fee total
		if(isset($total_fee_price)) {
			$total_price['fees'] = $total_fee_price;
			$total_price['fee_total'] = array_sum($total_fee_price);
			$total_price['sub_total'] = $total_price['room_total'] + $total_price['fee_total'];
		} else {
			$total_price['fees'] = 0;
			$total_price['fee_total'] = 0;
			$total_price['sub_total'] = $total_price['room_total'] + 0;
		}
		
		// Calculate tax
		
		$taxrate = array();
		
		foreach ($taxids as $key => $val) {
			$taxrate[] = get_post_meta($val,'shb_tax_rate',TRUE);
		}
		$total_taxrate = array_sum($taxrate);
		$total_price['tax_total'] = shb_calc_tax_percentage($total_price['sub_total'],$total_taxrate);
		
		// Coupon discount
		foreach ($coupon_data as $key => $val) {
		
			$coupon_result = shb_booking_coupon_check($val,$booking_data,$seasonids,$couponids);
			if(!empty($coupon_result['result'])) {
				$coupons_added[] = $coupon_result['result'];
			}
			
			if(!empty($coupon_result['msg'])) {
				$total_price['coupon_msg'] = $coupon_result['msg'];
			}
		
		}
	
		// Check which coupons are added and apply discount accordingly
		if(!empty($coupons_added)) {
			foreach ($coupons_added as $key => $val) {
			
				$discount = get_post_meta($val,'shb_discount_amount',TRUE);
		
				if(get_post_meta($val,'shb_discount_type',TRUE) == 'discount_type_percentage') {
					$total_price['coupons'][$val]['amount'] = $discount . '%';
					$total_price['coupons'][$val]['type'] = get_the_title($val);
					$total_price['coupon_discount'][$val] = shb_calc_total_discount($total_price['sub_total'],$discount);
				} else {
					$total_price['coupons'][$val]['amount'] = $discount;
					$total_price['coupons'][$val]['type'] = get_the_title($val);
					$total_price['coupon_discount'][$val] = ($total_price['sub_total'] - $discount);
				}
			
			} 
		}
		
		if(isset($total_price['coupon_discount'])) {
			$total_price['total_coupon_discount'] = $total_price['sub_total'] - array_sum($total_price['coupon_discount']);
		} else {
			$total_price['total_coupon_discount'] = $total_price['sub_total'];
		}
	
		// Grand total
		$total_price['grand_total'] = $total_price['sub_total'];
		$total_price['grand_total_inc_tax'] = $total_price['sub_total'] + $total_price['tax_total'];
		$total_price['grand_total_inc_tax_inc_coupon_discount'] = ($total_price['total_coupon_discount']) + $total_price['tax_total'];
		
		// Deposit
		$percent = get_option('shb_deposit_percentage');
		$total_price['deposit'] = shb_calc_deposit_percentage($total_price['grand_total_inc_tax_inc_coupon_discount'],$percent);
		
		return $total_price;
		
	}
	
}

?>