<?php

/* ----------------------------------------------------------------------------

   Frontend Inline CSS

---------------------------------------------------------------------------- */
function shb_inline_css() {
	
	$output = '';
	return $output;
	
}



/* ----------------------------------------------------------------------------

   Frontend CSS & JS

---------------------------------------------------------------------------- */
add_action('wp_enqueue_scripts', 'shb_front_js_css');
function shb_front_js_css() {
	
	if(!empty(get_option('shb_date_format'))) {
		$shb_date_format = get_option('shb_date_format');
	} else {
		$shb_date_format = 'DD/MM/YYYY';
	}
	
	if ( get_option('shb_display_terms_and_conditions') == 'yes' ) {
		$terms_and_conditions = 'true';
	} else {
		$terms_and_conditions = 'false';
	}
	
	// Frontend CSS
	wp_enqueue_style('shb_plugin_css', SHB_PLUGIN_URL . 'assets/css/style.css');
	wp_add_inline_style( 'shb_plugin_css', shb_inline_css() );
	
	wp_enqueue_style('shb_datepicker', SHB_PLUGIN_URL . 'includes/functions/frontend/shb-datepicker/shb-datepicker.css');
	
	// Frontend JS
	wp_enqueue_script('jquery');
	
	wp_register_script( 'shb_datepicker', SHB_PLUGIN_URL . 'includes/functions/frontend/shb-datepicker/shb-datepicker.js' );
	wp_enqueue_script( 'shb_datepicker' );
	
	wp_register_script( 'shb_js', SHB_PLUGIN_URL . 'assets/js/scripts.js' );
	wp_enqueue_script( 'shb_js' );
	
	// Frontend Custom JS Variables
	wp_add_inline_script( 'shb_js', "
	var shb_AJAX_URL = '" . SHB_AJAX_URL . "';
	var shb_error_msg_dates = '" . __('Please select a check in and check out date','sohohotel_booking') . "';
	var shb_error_msg_guests = '" . __('Please select at least 1 guest','sohohotel_booking') . "';
	var shb_error_msg_required = '" . __('Please fill out all the required fields marked with a *','sohohotel_booking') . "';
	var shb_terms_msg = '" . __('You must accept the terms & conditions before placing your booking','sohohotel_booking') . "';
	var shbdp_dateformat ='" . $shb_date_format . "';
	var shbdp_nights = '" . __('Nights','sohohotel_booking') . "';
	var shbdp_select_dates = '" . __('Select your dates by clicking on the calendar above','sohohotel_booking') . "';
	var shbdp_checkin_not_allowed = '" . __('Check in not allowed on this day','sohohotel_booking') . "';
	var shbdp_min_max = '" . __('Bookings for this period must be between %a and %b nights','sohohotel_booking') . "';
	var shbdp_min_only = '" . __('Bookings for this period are limited to a minimum of %a nights','sohohotel_booking') . "';
	var shb_terms_set = '" . $terms_and_conditions . "';
	var shb_invalid_email_msg = '" . esc_html__('Please enter a valid email address', 'sohohotel_booking') . "';
	var shb_invalid_phone_msg = '" . esc_html__('Phone number should only contain numbers', 'sohohotel_booking') . "';
	var shbdp_max_only = '" . __('Bookings for this period are limited to a maximum of %b nights','sohohotel_booking') . "';");
}



/* ----------------------------------------------------------------------------

   Admin CSS & JS

---------------------------------------------------------------------------- */
add_action('admin_enqueue_scripts', 'shb_admin_js_css');
function shb_admin_js_css() {
	
	if(!empty(get_option('shb_date_format'))) {
		
		if(get_option('shb_date_format') == 'DD/MM/YYYY') {
			$shb_date_format = 'dd/mm/yy';
		}
		
		if(get_option('shb_date_format') == 'MM/DD/YYYY') {
			$shb_date_format = 'mm/dd/yy';
		}
		
		if(get_option('shb_date_format') == 'YYYY/MM/DD') {
			$shb_date_format = 'yy/mm/dd';
		}
		
		if(get_option('shb_date_format') == 'DD.MM.YYYY') {
			$shb_date_format = 'dd.mm.yy';
		}
		
		if(get_option('shb_date_format') == 'MM.DD.YYYY') {
			$shb_date_format = 'mm.dd.yy';
		}
		
		if(get_option('shb_date_format') == 'YYYY.MM.DD') {
			$shb_date_format = 'yy.mm.dd';
		}
	
	} else {
		$shb_date_format = 'dd/yy/yy';
	}
	
	// Admin CSS
	wp_enqueue_style('shb_css', SHB_PLUGIN_URL . 'assets/css/admin/style.css');
	wp_enqueue_style('shb_fontawesome', SHB_PLUGIN_URL .'assets/css/admin/font-awesome/css/font-awesome.min.css');
	
	// Admin JS
	wp_enqueue_script( 'jquery-ui-datepicker' );
	wp_enqueue_script( 'jquery-ui-accordion' );
	wp_enqueue_script( 'jquery-ui-tabs' );
	wp_register_script( 'shb_js', SHB_PLUGIN_URL . 'assets/js/admin/scripts.js' );
	wp_enqueue_script( 'shb_js' );
	
	if( get_post_type() == 'shb_accommodation' ) {  
		wp_register_script( 'shb_accommodation_js', SHB_PLUGIN_URL . 'assets/js/admin/accommodation.js' );
		wp_enqueue_script( 'shb_accommodation_js' );
	}
	
	if( get_post_type() == 'shb_booking' ) {  
		wp_register_script( 'shb_booking_js', SHB_PLUGIN_URL . 'assets/js/admin/booking.js' );
		wp_enqueue_script( 'shb_booking_js' );
	}
	
	if( get_post_type() == 'shb_fee' ) {  
		wp_register_script( 'shb_fee_js', SHB_PLUGIN_URL . 'assets/js/admin/fee.js' );
		wp_enqueue_script( 'shb_fee_js' );
	}
	
	if( get_post_type() == 'shb_discount' ) {  
		wp_register_script( 'shb_discount_js', SHB_PLUGIN_URL . 'assets/js/admin/discount.js' );
		wp_enqueue_script( 'shb_discount_js' );
	}
	
	// Admin Custom JS Variables
	wp_add_inline_script( 'shb_js', "
	var shb_AJAX_URL = '" . SHB_AJAX_URL . "';
	var shb_PLUGIN_URL = '" . SHB_PLUGIN_URL . "';
	var shb_msg_delete_room_booking = '" . esc_html__('Delete room from booking?', 'sohohotel_booking') . "';
	var shb_msg_update_booking = '" . esc_html__('Please update the booking before checking availability', 'sohohotel_booking') . "';
	var shb_msg_update_booking_check_availability = '" . esc_html__('You will need to check availability and add all rooms again if you edit the booking dates', 'sohohotel_booking') . "';
	var shb_msg_no_rooms_added = '" . esc_html__('No rooms added', 'sohohotel_booking') . "';
	var shb_msg_validation_required = '" . esc_html__('Please fill out all the required fields marked with a *', 'sohohotel_booking') . "';
	var shb_msg_validation_season = '" . esc_html__('Please select at least one season', 'sohohotel_booking') . "';
	var shb_msg_validation_accommodation = '" . esc_html__('Please select at least one room', 'sohohotel_booking') . "';
	var shb_msg_validation_weekdays = '" . esc_html__('Please select at least one allowed check in day', 'sohohotel_booking') . "';
	var shb_msg_validation_price = '" . esc_html__('Please enter a valid price', 'sohohotel_booking') . "';
	var shb_msg_validation_number = '" . esc_html__('Please enter a valid number', 'sohohotel_booking') . "';
	var shb_msg_validation_selected_rooms = '" . esc_html__('This will remove selected rooms from your booking, continue?', 'sohohotel_booking') . "';
	var shb_msg_validation_add_room = '" . esc_html__('Please add at least 1 room to the booking', 'sohohotel_booking') . "';
	var shb_msg_validation_none_selected = '" . esc_html__('None selected', 'sohohotel_booking') . "';
	var shb_room_qty = '" . esc_html__('Room Quantity', 'sohohotel_booking') . "';
	var shb_bed_qty = '" . esc_html__('Bed Quantity', 'sohohotel_booking') . "';
	var shb_currency_symbol = '" . '$' . "';
	
	
	
	var shb_datepicker_format = '" . $shb_date_format . "';
	var shb_datepicker_daynames = ['" . __('Su','sohohotel_booking') . "', '" . __('Mo','sohohotel_booking') . "', '" . __('Tu','sohohotel_booking') . "', '" . __('We','sohohotel_booking') . "', '" . __('Th','sohohotel_booking') . "', '" . __('Fr','sohohotel_booking') . "', '" . __('Sa','sohohotel_booking') . "'];
	var shb_datepicker_monthnames = ['" . __('January','sohohotel_booking') . "', '" . __('February','sohohotel_booking') . "', '" . __('March','sohohotel_booking') . "', '" . __('April','sohohotel_booking') . "', '" . __('May','sohohotel_booking') . "', '" . __('June','sohohotel_booking') . "', '" . __('July','sohohotel_booking') . "', '" . __('August','sohohotel_booking') . "', '" . __('September','sohohotel_booking') . "', '" . __('October','sohohotel_booking') . "', '" . __('November','sohohotel_booking') . "', '" . __('December','sohohotel_booking') . "'];
	
	
	
	
	
	" );

}