<?php 



/* ----------------------------------------------------------------------------

   iCal settings page

---------------------------------------------------------------------------- */
function shb_admin_ical_settings(){ 
	
	echo '<div class="wrap"><form action="' . get_admin_url() . 'admin.php?page=shb-ical' . '" method="post" class="shb-ical-settings-form">';
	
	echo '<h1>' . __('Import iCal Data','sohohotel_booking') . '</h1>';
	
	$accommodation_ids = shb_get_all_ids('shb_accommodation');	
	$shb_general_fields = array();

	foreach($accommodation_ids as $key => $val) {

		$shb_ical_fields['fields'][$key]['id'] = 'ical_' . $val;
		$shb_ical_fields['fields'][$key]['title'] = get_the_title($val) . ' ' . __('iCal Feed URLs (seperate multiple feed URLs with a comma ,)');
		$shb_ical_fields['fields'][$key]['type'] = 'textarea';
		$shb_ical_fields['fields'][$key]['required'] = false;

	}
	
	$general_data = shb_update_settings($shb_ical_fields);
	echo shb_cpt_fields($shb_ical_fields,$general_data);
	
	echo '<p><a target="_blank" href="' . get_home_url() . '/?shb_ical=sync">' . __('Click here to import all iCal feeds') . '</a></p>';
	
	echo '<h1>' . __('Export iCal Data','sohohotel_booking') . '</h1>';
	
	foreach($accommodation_ids as $key => $val) {
		
		$ical_url = get_site_url() . '/wp-content/plugins/sohohotel-booking/shb_ical/ical_' . $val . '.ics';
		echo '<p>' . get_the_title($val) . ': <a href="' . $ical_url . '">' . $ical_url . '</a></p>';

	}
	
	echo '<p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="' . __('Save Changes', 'sohohotel_booking') . '" /></p>';
	
	echo '</form></div>';
	
}



/* ----------------------------------------------------------------------------

   Sync all iCal feeds

---------------------------------------------------------------------------- */
function shb_ical_sync() {
	
	// Delete existing iCal bookings
	$booking_ids = get_posts(array(
	    'fields'          => 'ids',
	    'posts_per_page'  => -1,
		'post_type' => 'shb_booking',
		'post_status' => array('shb_ical')
	));
	
	foreach($booking_ids as $id) {
		wp_delete_post( $id );
	}
	
	// Import new iCal bookings
	$accommodation_ids = shb_get_all_ids('shb_accommodation');	
	
	foreach($accommodation_ids as $key => $room_id) {
		
		$ical_feeds = explode(',',get_option('shb_ical_' . $room_id));
		
		foreach($ical_feeds as $ical_feed) {
			
			$ical_url = get_home_url() . '/?shb_ical=import&shb_id=' . $room_id . '&feed_url=' . $ical_feed;
			$curl = curl_init($ical_url);
			
			curl_setopt($curl, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
			curl_setopt($curl, CURLOPT_FAILONERROR, true);
			curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($curl, CURLOPT_SSLVERSION,3); 
			
			curl_exec($curl);
			
			echo file_get_contents($ical_url) . '<br />';
			echo 'URL: ' . $ical_feed . '<br /><br />';
			
		}
	
	}
	
	exit();
	
}

if ( !empty($_GET['shb_ical']) ) {
	if ( $_GET['shb_ical'] == 'sync' ) {
		add_action( 'wp', 'shb_ical_sync' );
	}
}



/* ----------------------------------------------------------------------------

   Export iCal file

---------------------------------------------------------------------------- */
function shb_ical_export($room_id) {
	
	$day = date("d");
	$month = date("m");
	$year = date("Y");
	
	$checkin = $year . '-' . $month . '-' . $day;
	$checkout = ($year + 5) . '-' . $month . '-' . $day;
	
	$booking_ids = get_posts(array(
	    'fields'          => 'ids',
	    'posts_per_page'  => -1,
		'post_type' => 'shb_booking',
		'post_status' => array('shb_confirmed'),
		'meta_query' => array(
		        'relation' => 'OR',
		        array(
					'key' => 'shb_check_in_alt',
					'value' => array($checkin,$checkout),
					'compare' => 'BETWEEN',
					'type' => 'DATE'
		        ),
		        array(
					'key' => 'shb_check_out_alt',
					'value' => array($checkin,$checkout),
					'compare' => 'BETWEEN',
					'type' => 'DATE'
		        ),
		    )
	));
	
	$dirname = SHB_PLUGIN_DIR . "/shb_ical";
	$ical_file = fopen($dirname . "/ical_" . $room_id . ".ics", "w") or die("Unable to open file!");
	
	$file_content = '';
	$file_content .= "BEGIN:VCALENDAR\r\n";
	$file_content .= "PRODID;X-RICAL-TZSOURCE=TZINFO:-//Soho Hotel Booking//Calendar//EN\r\n";
	$file_content .= "CALSCALE:GREGORIAN\r\n";
	$file_content .= "METHOD:PUBLISH\r\n";
	$file_content .= "VERSION:2.0\r\n";
	
	foreach($booking_ids as $key => $val) {
		
		$booking_data = get_post_meta($val);
		$room_data = unserialize($booking_data['shb_rooms'][0]);
		
		foreach($room_data as $key2 => $val2) {
			
			if ($val2['quantity'] > 0) {
				
				foreach (range(1, $val2['quantity']) as $r) {
					
					if($key2 == $room_id) {
						
						$file_content .= "BEGIN:VEVENT\r\n";
						$file_content .= "DTSTAMP:" . date("Ymd\THis\Z", time()) . "\r\n";
						$file_content .= "DTSTART;VALUE=DATE:".str_replace("-","",$booking_data['shb_check_in_alt'][0])."\r\n";
						$file_content .= "DTEND;VALUE=DATE:".str_replace("-","",$booking_data['shb_check_out_alt'][0])."\r\n";
						$file_content .= "UID:".str_replace("-","",$booking_data['shb_check_in_alt'][0])."-".str_replace("-","",$booking_data['shb_check_out_alt'][0])."-".$room_id."-".$r."\r\n";
						$file_content .= 'DESCRIPTION:Email: '.$booking_data['shb_custom_form_email_address'][0].'\nBooking ID: '.$val."\r\n";
						$file_content .= "SUMMARY:".$booking_data['shb_custom_form_first_name'][0] . " " . $booking_data['shb_custom_form_last_name'][0]." - ".get_the_title($room_id)."\r\n";
						$file_content .= "LOCATION:".get_the_title($room_id)."\r\n";
						$file_content .= "END:VEVENT\r\n";
						
					}
					
				}
				
			}
		
		}
		
	}
	
	$file_content .= "END:VCALENDAR";
	
	fwrite($ical_file, $file_content);
	fclose($ical_file);
	
}



/* ----------------------------------------------------------------------------

   Sync all iCal feeds

---------------------------------------------------------------------------- */
function shb_ical_import() {
	
	include(SHB_PLUGIN_DIR . '/includes/functions/backend/general/shb-ical-reader.php');
	
	$file = $_GET['feed_url'];
	$file_headers = @get_headers($file);
	
	if(!$file_headers || $file_headers[0] == 'HTTP/1.1 404 Not Found') {
	    
		_e('iCal sync failed, the feed URL returned a 404 not found error','sohohotel_booking');
		
	}
	else {
	    
		$ical   = new ICal($_GET['feed_url']);
		$events = $ical->events();
	
		$room_id = $_GET['shb_id'];
	
		foreach ($events as $key => $val) {
	
			$booking_data = array();
		
			$checkin = shb_convert_ical_date($val['DTSTART']);
			$checkout = shb_convert_ical_date($val['DTEND']);
		
			$booking_data['booking_status'] = 'ical';
			$booking_data['checkin'] = $checkin;
			$booking_data['checkout'] = $checkout;
			$booking_data['booking_price_data']['shb_check_in_alt'][0] = $checkin;
			$booking_data['booking_price_data']['shb_check_out_alt'][0] = $checkout;
			$booking_data['booking_price_data']['unserialized']['shb_rooms'][$room_id]['quantity'] = 1;
			$booking_data['booking_price_data']['unserialized']['shb_rooms'][$room_id]['rooms'] = array();
			$booking_data['price_breakdown']['grand_total_inc_tax_inc_coupon_discount'] = '0.00';

			$booking_data['ical_data'] = $val;
			
			shb_add_new_booking($booking_data);

		}
		
		_e('iCal sync successful','sohohotel_booking');
		
	}
	
	exit;
	
}

if ( !empty($_GET['shb_ical']) ) {
	if ( $_GET['shb_ical'] == 'import' ) {
		add_action( 'wp', 'shb_ical_import' );
	}
}



/* ----------------------------------------------------------------------------

   Import booking data from external iCal file

---------------------------------------------------------------------------- */
function shb_convert_ical_date($date) {
	$new_date = substr($date, 0, 8);
	$d = DateTime::createFromFormat("Ymd", $new_date);
	return $d->format("Y-m-d");
}

?>