<?php
	
/* ----------------------------------------------------------------------------

   Load Template Chooser

---------------------------------------------------------------------------- */
add_filter( 'template_include', 'sohohotel_booking_template_chooser');
function sohohotel_booking_template_chooser( $template ) {

    $post_id = get_the_ID();
	
	if ( get_post_type( $post_id ) == 'shb_ical' ) {
		return sohohotel_booking_get_template_hierarchy( 'shb-ical' );
	}
	
    if ( get_post_type( $post_id ) == 'shb_accommodation' && !is_single() ) {
        return sohohotel_booking_get_template_hierarchy( 'shb-accommodation-single' );
    }
	
    if ( get_post_type( $post_id ) != 'shb_accommodation' ) {
        return $template;
    }

    if ( is_single() ) {
        return sohohotel_booking_get_template_hierarchy( 'shb-accommodation-single' );
    }
 
}



/* ----------------------------------------------------------------------------

   Select Template

---------------------------------------------------------------------------- */
add_filter( 'template_include', 'sohohotel_booking_template_chooser' );
function sohohotel_booking_get_template_hierarchy( $template ) {
 
    $template_slug = rtrim( $template, '.htm.php' );
    $template = $template_slug . '.htm.php';
 	
	if ($template == 'shb-ical.htm.php') {
		$file = SHB_PLUGIN_DIR . '/includes/templates/frontend/ical/' . $template;
	} elseif ( $theme_file = locate_template( array( 'includes/templates/' . $template ) ) ) {
        $file = $theme_file;
    }
    else {
        $file = SHB_PLUGIN_DIR . '/includes/templates/frontend/accommodation/' . $template;
    }
 
    return apply_filters( 'sohohotel_booking_template_' . $template, $file );
}



/* ----------------------------------------------------------------------------

   Select Taxonomy Template

---------------------------------------------------------------------------- */
add_filter('template_include', 'sohohotel_booking_taxonomy_template');
function sohohotel_booking_taxonomy_template( $template ){

	if( is_tax('accommodation-categories')){
  		$template = SHB_PLUGIN_DIR .'/includes/templates/frontend/accommodation/shb-accommodation-single.htm.php';
 	}  
  	
	return $template;

}
	
?>