<?php

//shb_send_confirmation_email(509,'customer_booking_confirmation');

function shb_send_confirmation_email($booking_id,$type) {
	
	/*
	
	<div style="background:#1c1c1c;color:#fff;padding:30px;margin:0 auto;width:600px;max-width:100%;"><h4>{hotel_name}, Booking Confirmation</h4></div>
	<div style="padding:30px;margin:0 auto 30px auto;width:600px;max-width:100%;border-left:#e8e8e8 1px solid;border-right:#e8e8e8 1px solid;border-bottom:#e8e8e8 1px solid;">

	<p>Dear {guest_name},</p>

	<p>Thank you for booking with {hotel_name}, we are happy to confirm that your booking has been successfully placed and we look forward to seeing you on {checkin} for your {nights} stay with us. For full details of your reservation please see below:</p>

	{booking_details}
	{booking_rooms}
	{booking_additional_fees}
	{booking_guest_details}
	{booking_payment_details}

	</div>
	
	*/
	
	$send_from_email = get_option('shb_email_address');
	$send_from_name = get_bloginfo('name');
	$post_meta = get_post_meta($booking_id);

	if($type == 'admin_booking_confirmation') {
		$send_to_email = get_option('shb_email_address');
		$email_subject = get_option('shb_admin_booking_confirmation_email_subject');
		$email_body = get_option('shb_admin_booking_confirmation_email_body');
	}
	
	if($type == 'customer_booking_confirmation') {
		$send_to_email = $post_meta['shb_custom_form_email_address'][0];
		$email_subject = get_option('shb_customer_booking_confirmation_email_subject');
		$email_body = get_option('shb_customer_booking_confirmation_email_body');
	}
	
	if($type == 'admin_payment_confirmation') {
		$send_to_email = get_option('shb_email_address');
		$email_subject = get_option('shb_admin_payment_confirmation_email_subject');
		$email_body = get_option('shb_admin_payment_confirmation_email_body');
	}
	
	if($type == 'customer_payment_confirmation') {
		$send_to_email = $post_meta['shb_custom_form_email_address'][0];
		$email_subject = get_option('shb_customer_payment_confirmation_email_subject');
		$email_body = get_option('shb_customer_payment_confirmation_email_body');
	}
	
	$email_header = "MIME-Version: 1.0\r\n";
	$email_header .= "Content-type: text/html; charset=UTF-8\r\n";
	$email_header .= "From: " . $send_from_name . " <" . $send_from_email . ">" . "\r\n" . "Reply-To: " . $send_from_email;
	
	$template_terms = array(
		'booking_id' => '{booking_id}',
		'hotel_name' => '{hotel_name}',
		'total_price' => '{total_price}',
		'guest_name' => '{guest_name}',
		'checkin' => '{checkin}',
		'checkout' => '{checkout}',
		'nights' => '{nights}',
		'booking_rooms' => '{booking_rooms}',
		'booking_details' => '{booking_details}',
		'booking_rooms' => '{booking_rooms}',
		'booking_additional_fees' => '{booking_additional_fees}',
		'booking_guest_details' => '{booking_guest_details}',
		'booking_payment_details' => '{booking_payment_details}'
	);

	$template_data['booking_id'] = '#' . $booking_id;
	$template_data['hotel_name'] = get_bloginfo('name');
	$template_data['total_price'] = $post_meta['shb_booking_grand_total'][0];
	$template_data['guest_name'] = $post_meta['shb_custom_form_first_name'][0] . ' ' . $post_meta['shb_custom_form_last_name'][0];
	$template_data['checkin'] = $post_meta['shb_check_in'][0];
	$template_data['checkout'] = $post_meta['shb_check_out'][0];
	$template_data['nights'] = shb_get_booking_nights($post_meta['shb_check_in_alt'][0],$post_meta['shb_check_out_alt'][0]);

	// Booking details
	$template_data['booking_details'] = '<h4>' . __('Booking Details','sohohotel_booking') . '</h4><ul>
		<li>' . __('Booking ID','sohohotel_booking') . ': #' . $booking_id . '</li>
		<li>' . __('Check In','sohohotel_booking') . ': ' . $template_data['checkin'] . '</li>
		<li>' . __('Check Out','sohohotel_booking') . ': ' . $template_data['checkout'] . '</li>
		<li>' . __('Number of Nights','sohohotel_booking') . ': ' . $template_data['nights'] . '</li>
	</ul>';

	// Rooms
	$room_data = unserialize($post_meta['shb_rooms'][0]);
	$room_content = '<h4>' . __('Rooms','sohohotel_booking') . '</h4>';
	$room_content .= '<ul>';
	foreach($room_data as $key1 => $val1) {
		foreach($val1['rooms'] as $key2 => $val2) {
			$guest_content = '';
			foreach($val2 as $key3 => $val3) {
				$guest_content .= get_the_title(str_replace('guestid_','',$key3)) . ': ' . $val3 . ' ';
			}
			$room_content .= '<li>' . get_the_title($key1) . ' ( ' . $guest_content . ')</li>';
		}
	}
	$room_content .= '</ul>';
	$template_data['booking_rooms'] = $room_content;

	// Fees
	if(!empty($post_meta['shb_fees'][0])) {
		$fee_data = unserialize($post_meta['shb_fees'][0]);
		$fee_content = '<h4>' . __('Additional Fees','sohohotel_booking') . '</h4>';
		$fee_content .= '<ul>';
		foreach($fee_data as $key => $val) {
			$fee_content .= '<li>' . get_the_title(str_replace('fee_','',$key)) . ': ' . $val . '</li>';
		}
		$fee_content .= '</ul>';
		$template_data['booking_additional_fees'] = $fee_content;
	}
	
	// Guest details
	$template_data['booking_guest_details'] = '<h4>' . __('Guest Details','sohohotel_booking') . '</h4>' . shb_custom_form_email($post_meta);
	
	// Payment details
	$template_data['booking_payment_details'] = '';
	
	if( !empty($post_meta['shb_payment_method'][0]) || !empty($post_meta['shb_amount_paid'][0]) || !empty($post_meta['shb_amount_due'][0]) ) {
	
		$template_data['booking_payment_details'] .= '<h4>' . __('Payment Details','sohohotel_booking') . '</h4>';
		$template_data['booking_payment_details'] .= '<ul>';
	
		if(!empty($post_meta['shb_payment_method'][0])) {
			$template_data['booking_payment_details'] .= '<li>' . __('Payment Method','sohohotel_booking') . ': ' . $post_meta['shb_payment_method'][0] . '</li>';
		}
	
		if(!empty($post_meta['shb_amount_paid'][0])) {
			$template_data['booking_payment_details'] .= '<li>' . __('Amount Paid','sohohotel_booking') . ': ' . shb_get_price($post_meta['shb_amount_paid'][0]) . '</li>';
		}
	
		if(!empty($post_meta['shb_amount_due'][0])) {
			$template_data['booking_payment_details'] .= '<li>' . __('Amount Due','sohohotel_booking') . ': ' . shb_get_price($post_meta['shb_amount_due'][0]) . '</li>';
		}

		$template_data['booking_payment_details'] .= '</ul>';
	
	}
	
	$email_body = str_replace($template_terms,$template_data,$email_body);
	$email_body = stripslashes($email_body);
	
	wp_mail($send_to_email,$email_subject,$email_body,$email_header);
	
}



/* ----------------------------------------------------------------------------

   Custom form functions

---------------------------------------------------------------------------- */
function shb_custom_form_email($data) {

	$str = str_replace('\\',"",get_option('shb_custom_fields'));
	$fields = shb_custom_form_fields_email($str,$data);
	return $fields;

}

function shb_custom_form_fields_email($str,$data) {

	$c = 0;
	$o = '<ul>';
	$fields = array();

	if(preg_match_all('/\[/', $str, $m1)){
	
		foreach($m1[0] as $val1){
		
			$c++;
			$e = explode("[",$str);
			$e2 = explode("]",$e[$c]);
			$ps = preg_split("/\s(?![\w\s]+\")/u", $e2[0]);
		
			foreach($ps as $val2){
			
				// Type
				if ($val2 == 'text' || $val2 == 'textarea' || $val2 == 'select' || $val2 == 'radio' || $val2 == 'checkbox') {
					$fields[$c]['type'] = $val2;
				}
			
				// Required
				if ($val2 == 'required') {
					$fields[$c]['required'] = $val2;
				}
			
				// Name
				if(preg_match_all('/name="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['name'] = $m3[1];
					}
				}
			
				// Label
				if(preg_match_all('/label="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['label'] = $m3[1];
					}
				}
			
				// Column
				if(preg_match_all('/column="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['column'] = $m3[1];
					}
				}
			
				// Option
				if(preg_match_all('/option="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['option_' . $fields[$c]['name']][] = $m3[1];
					}
				}
				
			}
		
		}
	
	}

	foreach($fields as $val3){
	
		// Set value
		if ( $val3['type'] != 'checkbox' ) {
			if ( !empty($data['shb_custom_form_' . $val3['name']][0]) ) {
				$val3['value'] = $data['shb_custom_form_' . $val3['name']][0];
			} else {
				$val3['value'] = '';
			}
		}
	
		$o .= '<li>';
	
		// Label
		$o .= $val3['label'] . ': ';
	
		// Label
		if ( !empty($val3['required'])) {
			$required = 'shb-validation-required';
		} else {
			$required = '';
		}
	
		// Text
		if ($val3['type'] == 'text') {
			$o .= $val3['value'];
		}
	
		// Textarea
		if ($val3['type'] == 'textarea') {
			$o .= $val3['value'];
		}
	
		// Select
		if ($val3['type'] == 'select') {
		
			foreach($val3['option_' . $val3['name']] as $key => $val4) {
		
				if ( $val3['value'] == $val3['name'] . '_' . $key ) {
					$o .= $val4;
				}
				
			}
			
		} 
	
		if ($val3['type'] == 'radio') {
		
			foreach($val3['option_' . $val3['name']] as $key => $val4) {
	
				if ( $val3['value'] == $val3['name'] . '_' . $key ) {
					$o .= $val4;
				}
	
			}

		}
	
		// Checkbox
		if ($val3['type'] == 'checkbox') {
	
			foreach($val3['option_' . $val3['name']] as $key => $val4) {
			
				if ( !empty($data['shb_custom_form_' . $val3['name'] . '_' . $key][0]) ) {
					$val3['value'] = $data['shb_custom_form_' . $val3['name'] . '_' . $key][0];
				} else {
					$val3['value'] = '';
				}
			
				if ( $val3['value'] == $val3['name'] . '_' . $key ) {
					$o .= $val4;
				}
			
			}
	
		}
		
		$o .= '</li>';
	
	}
	
	$o .= '</ul>';
	
	return $o;

}

function shb_custom_form_field_names_email() {

	$str = str_replace('\\',"",get_option('shb_custom_fields'));

	$c = 0;
	$o = array();
	$fields = array();

	if(preg_match_all('/\[/', $str, $m1)){
	
		foreach($m1[0] as $val1){
		
			$c++;
			$e = explode("[",$str);
			$e2 = explode("]",$e[$c]);
			$ps = preg_split("/\s(?![\w\s]+\")/u", $e2[0]);
		
			foreach($ps as $val2){
			
				// Type
				if ($val2 == 'text' || $val2 == 'textarea' || $val2 == 'select' || $val2 == 'radio' || $val2 == 'checkbox') {
					$fields[$c]['type'] = $val2;
				}
			
				// Required
				if ($val2 == 'required') {
					$fields[$c]['required'] = $val2;
				}
			
				// Name
				if(preg_match_all('/name="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['name'] = $m3[1];
					}
				}
			
				// Label
				if(preg_match_all('/label="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['label'] = $m3[1];
					}
				}
			
				// Column
				if(preg_match_all('/column="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['column'] = $m3[1];
					}
				}
			
				// Option
				if(preg_match_all('/option="/', $val2, $m2)){
					if (preg_match('/"([^"]+)"/', $val2, $m3)) {
						$fields[$c]['option_' . $fields[$c]['name']][] = $m3[1];
					}
				}
				
			}
		
		}
	
	}

	foreach($fields as $val3){
	
		if ($val3['type'] == 'checkbox') {
	
			foreach($val3['option_' . $val3['name']] as $key => $val4) {
			
				$o['fields'][]['id'] = 'custom_form_' . $val3['name'] . '_' . $key;
			
			}
		
		} else {
		
			$o['fields'][]['id'] = 'custom_form_' . $val3['name'];
		
		}
	
	}

	return $o;

} ?>