<?php 

function shbdp_get_month_name($month) {
	
	$month_name = array(
		1 => __('January','sohohotel_booking'),
		2 => __('February','sohohotel_booking'),
		3 => __('March','sohohotel_booking'),
		4 => __('April','sohohotel_booking'),
		5 => __('May','sohohotel_booking'),
		6 => __('June','sohohotel_booking'),
		7 => __('July','sohohotel_booking'),
		8 => __('August','sohohotel_booking'),
		9 => __('September','sohohotel_booking'),
		10 => __('October','sohohotel_booking'),
		11 => __('November','sohohotel_booking'),
		12 => __('December','sohohotel_booking')
	);

	return $month_name[(int)$month];

}

function shbdp_get_day_name() {
	
	$day_name = array(
		__('Mo','sohohotel_booking'),
		__('Tu','sohohotel_booking'),
		__('We','sohohotel_booking'),
		__('Th','sohohotel_booking'),
		__('Fr','sohohotel_booking'),
		__('Sa','sohohotel_booking'),
		__('Su','sohohotel_booking')
	);

	return $day_name;

}

function shbdp_days_in_month_array($month,$year) {
	
	$days_in_month = cal_days_in_month(CAL_GREGORIAN,$month,$year);
	$month_start_day = date('w', strtotime($year . '-' . $month . '-01'));
	$days_in_month_array = array();
	
	if($month_start_day == 2) {
		array_push($days_in_month_array,'');
	}
	
	if($month_start_day == 3) {
		array_push($days_in_month_array,'','');
	}
	
	if($month_start_day == 4) {
		array_push($days_in_month_array,'','','');
	}
	
	if($month_start_day == 5) {
		array_push($days_in_month_array,'','','','');
	}
	
	if($month_start_day == 6) {
		array_push($days_in_month_array,'','','','','');
	}
	
	if($month_start_day == 0) {
		array_push($days_in_month_array,'','','','','','');
	}
	
	foreach (range(1, $days_in_month) as $val) {		
		$days_in_month_array[] = $val;
	}
	
	return $days_in_month_array;
	
}

function shbdp_availability_calendar_html($month,$year,$data) { 
	
	$count = 0;
	$day_name = shbdp_get_day_name();
	$days_in_month_array = shbdp_days_in_month_array($month,$year);
	
	$today = date('Y') . '-' . str_pad(date('m'), 2, '0', STR_PAD_LEFT) . '-' . str_pad(date('d'), 2, '0', STR_PAD_LEFT);
	
	$o = '';
	$o .= '<div class="shbdp-cal-table-wrapper"><table><thead><tr>';
	$o .= '<th colspan="7" class="shbdp-cal-month-name">' . shbdp_get_month_name($month) . ' ' . $year . '</th>';
	$o .= '</tr><tr>';
				
	foreach ($day_name as $val) {
		$o .= '<th>' . $val . '</th>';
	} 
				
	$o .= '</tr></thead><tbody><tr>';
				
	foreach ($days_in_month_array as $val) {
					
		$count++;
		
		$date = $year . '-' . str_pad($month, 2, '0', STR_PAD_LEFT) . '-' . str_pad($val, 2, '0', STR_PAD_LEFT);
		
		$attributes = shbdp_availability_calendar_html_attributes($date,$data,$today);
		
		if($val == '') {
			$o .= '<td class="shbdp-cal-hidden">' . $val . '</td>';
		} else {
			$o .= '<td data-date="' . $date . '" ' . $attributes . '>' . $val . '</td>';
		}
					
		if($count % 7 == 0) {
			$o .= '</tr><tr>';
		}
		
	}
	
	$o .= '</tr></tbody></table></div>';

	return $o;

}

function shbdp_calc_nights($from,$to) {

	$diff = abs(strtotime($to) - strtotime($from));
	$nights = floor($diff / (60*60*24));

	return $nights;
	
}

function shbdp_availability_calendar_html_attributes($date,$data,$today) {
	
	$checkin_class = '';
	$notice_class = '';
	$min_nights = '';
	$max_nights = '';
	
	$blocked_dates = $data["blocked_dates"];
	$booking_restrictions = $data["season"];
	
	if (in_array($date, $blocked_dates)) {
		
		if($today > $date) {
			$availability_class = 'shbdp-cal-disabled';
		} else {
			$availability_class = 'shbdp-cal-unavailable shbdp-cal-enabled';
		}
		
	} else {
		
		if($today > $date) {
			$availability_class = 'shbdp-cal-disabled';
		} else {
			$availability_class = 'shbdp-cal-available shbdp-cal-enabled';
		}
		
	}
	
	foreach ($booking_restrictions as $restriction_val) {
		
		if( shbdp_get_date_range_overlap($date,$date,$restriction_val["start"],$restriction_val["end"]) ) {
			
			if( $restriction_val["restrictions"]["checkin_days"] ) {
				
				if (in_array(date('w', strtotime($date)), $restriction_val["restrictions"]["checkin_days"])) {
					$checkin_class = '';
				} else {
					$checkin_class = 'shbdp-cal-checkin-disabled';
				}
				
			}
			
			if( $restriction_val["restrictions"]["min_nights"] ) {
				$min_nights = $restriction_val["restrictions"]["min_nights"];
			}
			
			if( $restriction_val["restrictions"]["max_nights"] ) {
				$max_nights = $restriction_val["restrictions"]["max_nights"];
			}
			
			if( $restriction_val["restrictions"]["notice"] ) {
				
				$notice = $restriction_val["restrictions"]["notice"];
				$diff = shbdp_calc_nights($date,$today);
			
				if($diff <= $notice) {
					$notice_class = 'shbdp-cal-disabled';
					$availability_class = '';
				}
			
			}
			
		} 
		
	}
	
	$attributes = 
		'class="' . $availability_class . ' ' . $checkin_class . ' ' . $notice_class . '" 
		data-min="' . $min_nights . '" 
		data-max="' . $max_nights . '"';
	
	return $attributes;

}

function shbdp_get_date_range_overlap($from1,$to1,$from2,$to2) {
	
	if ( $from1 <= $to2 && $to1 >= $from2 ) {
		return true;
	} else {
		return false;
	}
	
}

function shbdp_calendar_months_array() {
	
	$current_month = date('m');
	$current_year = date('Y');
	$number_of_years = 1;
	
	$end_year = $current_year + ($number_of_years - 1);
	$end_month = $current_month - 1;
	$end_year_extended = $end_year + 1;
	$month_array = array();
		
	foreach (range($current_year,$end_year) as $year_val) {
		
		foreach (range(1,12) as $month_val) {
			
			if( $current_year == $year_val ) {
			
				if( $month_val >= $current_month ) {
					$month_array[$month_val . '-' . $year_val]['month'] = $month_val;
					$month_array[$month_val . '-' . $year_val]['year'] = $year_val;
				}
			
			} else {
				$month_array[$month_val . '-' . $year_val]['month'] = $month_val;
				$month_array[$month_val . '-' . $year_val]['year'] = $year_val;
			}
			
		}
		
	}
	
	foreach (range(1,$end_month) as $month_val) {
		$month_array[$month_val . '-' . $end_year_extended]['month'] = $month_val;
		$month_array[$month_val . '-' . $end_year_extended]['year'] = $end_year_extended;
	}
	
	return $month_array;
	
}

function shbdp_dateformat($date,$format) {
	
	$date_parts = explode("-",$date);
	
	if ($format == 'DD/MM/YYYY') {
		$formatted_date = $date_parts[2] . '/' . $date_parts[1] . '/' . $date_parts[0];
	}

	if ($format == 'MM/DD/YYYY') {
		$formatted_date = $date_parts[1] . '/' . $date_parts[2] . '/' . $date_parts[0];
	}

	if ($format == 'YYYY/MM/DD') {
		$formatted_date = $date_parts[0] . '/' . $date_parts[1] . '/' . $date_parts[2];
	}

	if ($format == 'DD.MM.YYYY') {
		$formatted_date = $date_parts[2] . '.' . $date_parts[1] . '.' . $date_parts[0];
	}

	if ($format == 'MM.DD.YYYY') {
		$formatted_date = $date_parts[1] . '.' . $date_parts[2] . '.' . $date_parts[0];
	}

	if ($format == 'YYYY.MM.DD') {
		$formatted_date = $date_parts[0] . '.' . $date_parts[1] . '.' . $date_parts[2];
	}
	
	return $formatted_date;
	
}

function shbdp($data,$settings) { 
	
	if($settings["panels"] == 1) {
		$panels = 1;
	} else {
		$panels = 2;
	}
	
	if($settings["inline"] == true) {
		$inline = 'shbdp-inline';
		$field_type = "hidden";
	} else {
		$inline = 'shbdp-hidden';
		$field_type = "text";
	}
	
	if($settings["noselect"] == true) {
		$noselect = 'shbdp-noselect';
	} else {
		$noselect = 'shbdp-select';
	}
	
	
	if(!empty($settings["checkin"])) {
		$checkin = shbdp_dateformat($settings["checkin"],$settings["dateformat"]);
		$checkin_alt = $settings["checkin"];
	} else {
		$checkin = '';
		$checkin_alt = '';
	}
	
	if(!empty($settings["checkout"])) {
		$checkout = shbdp_dateformat($settings["checkout"],$settings["dateformat"]);
		$checkout_alt = $settings["checkout"];
	} else {
		$checkout = '';
		$checkout_alt = '';
	}

	$calendar_months_array = shbdp_calendar_months_array();
	$i = 0;
	
	$o = '';
	
	$o .= '<div class="shbdp-checkin-wrapper">';
	
	if($settings["inline"] != true) {
		$o .= '<label id="shbdp-checkin">' . __('Check In','sohohotel_booking') . '</label>';
	}
	
	$o .= '<input type="' . $field_type . '" name="checkin_display" class="shbdp-checkin-display shbdp-datepicker" placeholder="' . __('Check In','sohohotel_booking') . '" id="shbdp-checkin" value="' . $checkin . '" />';
	$o .= '</div>';
	
	$o .= '<div class="shbdp-checkout-wrapper">';
	
	if($settings["inline"] != true) {
		$o .= '<label id="shbdp-checkout">' . __('Check Out','sohohotel_booking') . '</label>';
	}

	$o .= '<input type="' . $field_type . '" name="checkout_display" class="shbdp-checkout-display shbdp-datepicker" placeholder="' . __('Check Out','sohohotel_booking') . '" value="' . $checkout . '" />';
	$o .= '</div>';
	
	$o .= '<input type="hidden" name="shbdp-checkin" class="shbdp-checkin shbdp-datepicker" value="' . $checkin_alt . '" />';
	$o .= '<input type="hidden" name="shbdp-checkout" class="shbdp-checkout shbdp-datepicker" value="' . $checkout_alt . '" />';
	
	$o .= '<div class="shbdp-cal-wrapper shbdp-cal-panels-' . $panels . ' ' . $inline . ' ' . $noselect . '">';
	
		$o .= '<a href="#" class="shbdp-cal-prev-btn">&lt;</a>';
		$o .= '<a href="#" class="shbdp-cal-next-btn">&gt;</a>';
	
		$o .= '<div class="shbdp-cal shbdp-clearfix">';
		
			$o .= '<div class="shbdp-cal-item shbdp-current-cal">';
			$i = 0;
			
			foreach($calendar_months_array as $val) {
				
				$o .= shbdp_availability_calendar_html($val["month"],$val["year"],$data);
				$i++;  
				
				if ($i % $panels == 0 && $i != count($calendar_months_array)) {
					$o .= '</div><div class="shbdp-cal-item">';
				}
			
			}
			
			$o .= '</div>';
			
		$o .= '</div>';
		
		$o .= '<div class="shbdp-cal-notice"></div>';
		$o .= '<div class="shbdp-cal-selected-dates"><p>' . __('Select your dates by clicking on the calendar above','sohohotel_booking') . '</p></div>';
		
	$o .= '</div>';
	
	return $o;
	
} ?>