<?php



/* ----------------------------------------------------------------------------

   Register post type

---------------------------------------------------------------------------- */
add_action( 'init', 'shb_booking_post_type' );
function shb_booking_post_type() {
	
	$labels = array(
        'name'                  => __('Bookings','sohohotel_booking'),
        'singular_name'         => __('Booking','sohohotel_booking'),
        'menu_name'             => __('Bookings','sohohotel_booking'),
        'parent_item_colon'     => __('Parent Booking:','sohohotel_booking'),
        'all_items'             => __('Bookings','sohohotel_booking'),
        'view_item'             => __('View Booking','sohohotel_booking'),
        'add_new_item'          => __('Add New Booking','sohohotel_booking'),
        'add_new'               => __('Add New','sohohotel_booking'),
        'edit_item'             => __('Edit Booking','sohohotel_booking'),
        'update_item'           => __('Update Booking','sohohotel_booking'),
        'search_items'          => __('Search Guest','sohohotel_booking'),
        'not_found'             => __('Not found','sohohotel_booking'),
        'not_found_in_trash'    => __('Not found in Trash','sohohotel_booking'),
    );

    $args = array(
        'label'                 => __('Booking','sohohotel_booking'),
        'description'           => '',
        'labels'                => $labels,
        'supports'              => array('title'),
        'hierarchical'          => false,
        'public'                => false,
        'show_ui'               => true,
        'show_in_menu'          => 'shb_booking_calendar',
        'show_in_nav_menus'     => false,
        'show_in_admin_bar'     => true,
        'menu_position'         => 5,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => true,
        'publicly_queryable'    => false,
        'capability_type'       => 'page',
		'rewrite' => array('slug' => esc_html__( 'booking', 'sohohotel_booking' ),'with_front' => false),
    );

    register_post_type( 'shb_booking', $args );
	
}



/* ----------------------------------------------------------------------------

   Register custom post status

---------------------------------------------------------------------------- */ 
add_action( 'init', 'shb_booking_custom_post_status' );
function shb_booking_custom_post_status(){
    
	register_post_status('shb_pending', array(
        'label'                     => _x( 'Pending', 'post' ),
		'public'                    => true,
		'exclude_from_search'       => false,
		'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
        'label_count'               => _n_noop( 'Pending <span class="count">(%s)</span>', 'Pending <span class="count">(%s)</span>','sohohotel_booking' ),
    ));
	
	register_post_status('shb_confirmed', array(
        'label'                     => _x( 'Confirmed', 'post' ),
		'public'                    => true,
		'exclude_from_search'       => false,
		'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
        'label_count'               => _n_noop( 'Confirmed <span class="count">(%s)</span>', 'Confirmed <span class="count">(%s)</span>','sohohotel_booking' ),
    ));
	
	register_post_status('shb_cancelled', array(
        'label'                     => _x( 'Cancelled', 'post' ),
		'public'                    => true,
		'exclude_from_search'       => false,
		'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
        'label_count'               => _n_noop( 'Cancelled <span class="count">(%s)</span>', 'Cancelled <span class="count">(%s)</span>','sohohotel_booking' ),
    ));
	
	register_post_status('shb_ical', array(
        'label'                     => _x( 'iCal', 'post' ),
		'public'                    => true,
		'exclude_from_search'       => false,
		'show_in_admin_all_list'    => true,
		'show_in_admin_status_list' => true,
        'label_count'               => _n_noop( 'iCal <span class="count">(%s)</span>', 'iCal <span class="count">(%s)</span>','sohohotel_booking' ),
    ));
	
}



/* ----------------------------------------------------------------------------

   Meta boxes

---------------------------------------------------------------------------- */
add_action('add_meta_boxes', 'shb_booking_meta_init');
function shb_booking_meta_init() {
	
	add_meta_box(
		'shb_booking_publish',
		__('Booking Status','sohohotel_booking'),
		'shb_booking_publish_meta_box',
		'shb_booking',
		'side',
		'high'
	);
	
	add_meta_box(
		'shb_booking_guest_account',
		__('User Account','sohohotel_booking'),
		'shb_booking_guest_account_meta_box',
		'shb_booking',
		'normal',
		'high'
	);
	
	add_meta_box(
		'shb_booking_guest_information',
		__('Guest Information','sohohotel_booking'),
		'shb_booking_guest_information_meta_box',
		'shb_booking',
		'normal',
		'high'
	);
	
	add_meta_box(
		'shb_booking_dates',
		__('Dates','sohohotel_booking'),
		'shb_booking_dates_meta_box',
		'shb_booking',
		'normal',
		'low'
	);
	
	add_meta_box(
		'shb_booking_rooms',
		__('Rooms','sohohotel_booking'),
		'shb_booking_rooms_meta_box',
		'shb_booking',
		'normal',
		'low'
	);
	
	add_meta_box(
		'shb_booking_fee',
		__('Additional Fees','sohohotel_booking'),
		'shb_booking_fee_meta_box',
		'shb_booking',
		'normal',
		'low'
	);
	
	add_meta_box(
		'shb_booking_coupon',
		__('Coupons','sohohotel_booking'),
		'shb_booking_coupon_meta_box',
		'shb_booking',
		'normal',
		'low'
	);
	
	add_meta_box(
		'shb_booking_price',
		__('Price','sohohotel_booking'),
		'shb_booking_price_meta_box',
		'shb_booking',
		'normal',
		'low'
	);
	
	add_meta_box(
		'shb_booking_ical',
		__('iCal','sohohotel_booking'),
		'shb_booking_ical_meta_box',
		'shb_booking',
		'normal',
		'low'
	);
	
    add_action('save_post','shb_booking_meta_save');

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_publish_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-publish.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_guest_account_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-guest-account.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_guest_information_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-guest-info.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_dates_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-dates.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_rooms_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-rooms.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_fee_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-fee.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_coupon_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-coupon.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_price_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-price.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Meta box content

---------------------------------------------------------------------------- */
function shb_booking_ical_meta_box() {
	
    global $post;
    $booking_data = get_post_meta($post->ID);
    include(SHB_PLUGIN_DIR . '/includes/templates/backend/booking/shb-booking-ical.htm.php');
    echo '<input type="hidden" name="booking_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

}



/* ----------------------------------------------------------------------------

   Post type custom columns

---------------------------------------------------------------------------- */
add_filter( 'manage_shb_booking_posts_columns', 'shb_booking_custom_columns' );
function shb_booking_custom_columns($columns) {
	
	unset($columns['date']);
    unset( $columns['author'] );
	$columns['booking_id'] = __( 'ID', 'sohohotel_booking' );
    $columns['booking_rooms'] = __( 'Room(s)', 'sohohotel_booking' );
    $columns['booking_check_in'] = __( 'Check In', 'sohohotel_booking' );
	$columns['booking_check_out'] = __( 'Check Out', 'sohohotel_booking' );
	$columns['booking_received'] = __( 'Received', 'sohohotel_booking' );
	$columns['booking_status'] = __( 'Status', 'sohohotel_booking' );
	$columns['booking_total'] = __( 'Total', 'sohohotel_booking' );
    return $columns;
	
}



/* ----------------------------------------------------------------------------

   Custom columns content

---------------------------------------------------------------------------- */
add_action( 'manage_shb_booking_posts_custom_column' , 'shb_booking_custom_columns_content', 10, 2 );
function shb_booking_custom_columns_content( $column, $post_id ) {
	
	$booking_data = get_post_meta(get_the_id());
	$accommodation_ids = shb_get_all_ids('shb_accommodation');
	$season_ids = shb_get_all_ids('shb_season');
	
	if(!empty($booking_data['shb_rooms'][0])) {
		$room_data = unserialize($booking_data['shb_rooms'][0]);
	} else {
		$room_data = array();
	}
	
    switch ( $column ) {
		
		case 'booking_id' :
			echo '#' . $post_id;
			break;
		
		case 'booking_rooms' :
		
			if(shb_room_booking_exist($room_data) == 1) {
				
				echo '<div class="shb-booked-room-title-wrapper">';
				
				foreach ($room_data as $key => $val) {
					if(!empty($val['quantity'])) {
						echo '<div class="shb-booked-room-title">';
						
						if(!empty(get_the_title($key))) {
							echo get_the_title(shb_get_original_wpml_id($key,'shb_accommodation')) . '<span>, </span>';
						} else {
							echo '(' . __('no title','sohohotel_booking') . ')<span>, </span>';
						}
						
						echo '</div>';
					}
				}
				
				echo '</div>';
			
			} else {
				
				echo '-';
				
			}
			
			break;
			
		case 'booking_check_in' :
			echo $booking_data['shb_check_in'][0];
			break;
		
		case 'booking_check_out' :
			echo $booking_data['shb_check_out'][0];
			break;
			
		case 'booking_received' :
			echo shb_get_time_elapsed( get_the_date('Y-m-d H:i:s') );
			break;
		
		case 'booking_status' :
			echo '<span class="' . get_post_status($post_id) . '_wrapper">' . shb_get_display_text( get_post_status($post_id) ) . '</span>';
			break;
			
		case 'booking_total' :
			echo shb_get_price($booking_data['shb_booking_grand_total'][0]);
			break;
		
    }
	
}



/* ----------------------------------------------------------------------------

   Make custom columns sortable

---------------------------------------------------------------------------- */
add_filter( 'manage_edit-shb_booking_sortable_columns', 'sortable_shb_booking_column' );
function sortable_shb_booking_column( $columns ) {
    
	$columns['booking_id'] = 'booking_id';
	$columns['booking_check_in'] = 'booking_check_in';
	$columns['booking_check_out'] = 'booking_check_out';
	$columns['booking_received'] = 'booking_received';
	$columns['booking_total'] = 'booking_total';
    return $columns;
	
}

add_action( 'pre_get_posts', 'booking_columns_orderby' );
function booking_columns_orderby( $query ) {
	
	if( ! is_admin() )
        return;
 
    $orderby = $query->get( 'orderby');
 	
    if( 'booking_id' == $orderby ) {
        $query->set('orderby','date');
    }
	
    if( 'booking_check_in' == $orderby ) {
        $query->set('meta_key','shb_check_in_alt');
        $query->set('orderby','meta_value');
    }
	
    if( 'booking_check_out' == $orderby ) {
        $query->set('meta_key','shb_check_out_alt');
        $query->set('orderby','meta_value');
    }
	
    if( 'booking_received' == $orderby ) {
        $query->set('orderby','date');
    }
	
    if( 'booking_total' == $orderby ) {
        $query->set('meta_key','shb_booking_grand_total');
        $query->set('orderby','meta_value');
    }
	
}



/* ----------------------------------------------------------------------------

   Disable quick edit

---------------------------------------------------------------------------- */
add_filter( 'post_row_actions', 'shb_booking_disable_quick_edit', 10, 2 );
function shb_booking_disable_quick_edit( $actions = array(), $post = null ) {

    if ( ! is_post_type_archive( 'shb_booking' ) ) {
        return $actions;
    }

    if ( isset( $actions['inline hide-if-no-js'] ) ) {
        unset( $actions['edit'] );
        unset( $actions['view'] );
        unset( $actions['trash'] );
        unset( $actions['inline hide-if-no-js'] );
    }

    return $actions;

}



/* ----------------------------------------------------------------------------

   Remove date filter

---------------------------------------------------------------------------- */ 
function shb_booking_remove_date_filter(){
	
	$screen = get_current_screen();
	
    if ( $screen->post_type == 'shb_booking'){
		add_filter('months_dropdown_results', '__return_empty_array');
	}
	
}

add_action('admin_head', 'shb_booking_remove_date_filter');



/* ----------------------------------------------------------------------------

   Remove publish meta box

---------------------------------------------------------------------------- */ 
add_action( 'admin_menu', function () {
    remove_meta_box( 'submitdiv', 'shb_booking', 'side' );
});



/* ----------------------------------------------------------------------------

   Filter bookings by date

---------------------------------------------------------------------------- */ 
add_filter( 'pre_get_posts', 'shb_filter_booking_dates' );
function shb_filter_booking_dates( $query ) {
	
	global $pagenow;
	
	if ( is_admin() && $pagenow == 'edit.php') {
	
		if(!empty($_GET['shb_in2']) && !empty($_GET['shb_out2'])) {
		
			$shb_check_in_alt = wp_specialchars_decode($_GET['shb_in2']);
			$shb_check_out_alt = wp_specialchars_decode($_GET['shb_out2']);
			
			$meta_query = array(
				'post_type' => 'shb_booking',
				'relation' => 'OR',
				array(
					'key' => 'shb_check_in_alt',
					'value' => array($shb_check_in_alt, $shb_check_out_alt),
					'compare' => 'BETWEEN',
					'type' => 'DATE'
				),
				array(
					'key' => 'shb_check_out_alt',
					'value' => array($shb_check_in_alt, $shb_check_out_alt),
					'compare' => 'BETWEEN',
					'type' => 'DATE'
				)
			);
	
			$query->set( 'meta_query', $meta_query );
					
		}
	
	}
	
}

add_action( 'restrict_manage_posts', 'shb_filter_booking_dates_restrict_manage_posts' );
function shb_filter_booking_dates_restrict_manage_posts() {
	
	global $pagenow;
	
	if ( is_admin() && $pagenow=='edit.php' && get_post_type() == 'shb_booking') {
		
		if(!empty($_GET['shb_in2']) && !empty($_GET['shb_out2'])) {
			$shb_check_in = wp_specialchars_decode($_GET['shb_in1']);
			$shb_check_out = wp_specialchars_decode($_GET['shb_out1']);
			$shb_check_in_alt = wp_specialchars_decode($_GET['shb_in2']);
			$shb_check_out_alt = wp_specialchars_decode($_GET['shb_out2']);
		} else {
			$shb_check_in = '';
			$shb_check_out = '';
			$shb_check_in_alt = '';
			$shb_check_out_alt = '';
		}

		echo '<input type="text" class="shb-check-in" name="shb_in1" value="' . $shb_check_in . '" placeholder="' . esc_html__('Check In','sohohotel_booking') . '" />';
		echo '<input type="text" class="shb-check-out" name="shb_out1" value="' . $shb_check_out . '" placeholder="' . esc_html__('Check Out','sohohotel_booking') . '" />';
		
		echo '<input type="hidden" class="shb-check-in-alt" name="shb_in2" value="' . $shb_check_in_alt . '" />';
		echo '<input type="hidden" class="shb-check-out-alt" name="shb_out2" value="' . $shb_check_out_alt . '" />';
	
	}

}



/* ----------------------------------------------------------------------------

   Save meta content

---------------------------------------------------------------------------- */
add_action('save_post', 'shb_booking_meta_save');
function shb_booking_meta_save( $post_id ){
	
	$prefix = 'shb';

	if ( isset($_POST['booking_meta_noncename'])) {
		
		if (!wp_verify_nonce($_POST['booking_meta_noncename'],__FILE__)) {
			return $post_id;
		}

		if ( !current_user_can( 'edit_post', $post_id ))
			return $post_id;
		
		$booking_data = get_post_meta($post_id);
		foreach($booking_data as $key => $val){
			$exp_key = explode('_', $key);
			if($exp_key[0] == $prefix){
				if(empty($_POST[$key])) {
					delete_post_meta($post_id,$key);
				} 
		    }
		}
		
		foreach($_POST as $key => $val){
			$exp_key = explode('_', $key);
			if($exp_key[0] == $prefix){
				update_post_meta($post_id,$key,$_POST[$key]);
		    }
		}

	}

}