<?php

function shb_booking_form_1_shortcode( $atts, $content = null ) {
	
	extract( shortcode_atts( array(
		'hotel_category' => '',
		'order' => '',
		'rooms_per_page' => ''
	), $atts ) );
	
	ob_start(); 
	
	if(!empty(get_option('shb_booking_page'))) {
		$booking_page_url = get_permalink(get_option('shb_booking_page'));
	} else {
		$booking_page_url = '';
	}
	
	$guestclass_ids = shb_get_all_ids('shb_guestclass');
	
	if(!empty(get_option('shb_maximum_guests_booking_form'))) {
		$shb_get_booking_max_guests = get_option('shb_maximum_guests_booking_form');
	} else {
		$shb_get_booking_max_guests = 1;
	}
	
	if(!empty(get_option('shb_display_hotel_selection'))) {
		
		if(get_option('shb_display_hotel_selection') == 'yes') {
			$hotel_selection = true;
		} else {
			$hotel_selection = false;
		}
		
	} else {
		$hotel_selection = false;
	}
	
	if($hotel_selection == true) {
		$hotel_selection_class = 'shb-booking-form-5-cols';
	} else {
		$hotel_selection_class = 'shb-booking-form-4-cols';
	}
	
	if(!empty(get_option('shb_date_format'))) {
		$shb_date_format = get_option('shb_date_format');
	} else {
		$shb_date_format = 'DD/MM/YYYY';
	}
		
	?>
	
	<!-- BEGIN .shb-booking-form-1 -->
	<div class="shb-booking-form-1 shb-booking-form <?php echo $hotel_selection_class; ?> shb-clearfix">
		
		<form action="<?php echo $booking_page_url; ?>" method="post">
			
			<?php if($hotel_selection == true) { ?>
		
			<!-- BEGIN .shb-booking-form-col -->
			<div class="shb-booking-form-col">
				
				<label for="accommodation-category"><?php _e('Hotel','sohohotel_booking'); ?></label>	
				<div class="shb-select-wrapper">
					<i class="fa fa-angle-down"></i>
					<select id="accommodation-category" name="accommodation-category">
						<option value=""><?php esc_html_e('All','sohohotel_booking'); ?></option>

						<?php $taxonomy = 'accommodation-categories';
						$terms = get_terms($taxonomy);

						if ( $terms && !is_wp_error( $terms ) ) :
	
						foreach ( $terms as $term ) { ?>
							<option value="<?php echo $term->term_id; ?>"><?php echo $term->name; ?></option>
						        <?php } 
						endif;?>

					</select>
				</div>
		
			<!-- END .shb-booking-form-col -->
			</div>
		
			<?php } 
			
			$shb_datepicker_data["blocked_dates"] = shb_get_blocked_dates('');
			$shb_datepicker_data["season"] = shb_get_restrictions('');
			
			$shb_datepicker_settings = array(
				"panels" => 2,
				"inline" => false,
				"noselect" => false,
				"dateformat" => 'DD/MM/YYYY',
				"checkin" => '',
				"checkout" => ''
			);
			
			echo shbdp($shb_datepicker_data,$shb_datepicker_settings); 
		
			?>
		
			<!-- BEGIN .shb-booking-form-col -->
			<div class="shb-booking-form-col">
				
				<label><?php _e('Guests','sohohotel_booking'); ?></label>
				<div class="shb-guest-selection-wrapper">
					<span class="shb-guest-value">0</span>
					<span class="shb-guest-title"><?php _e('Guest(s)','sohohotel_booking'); ?></span>
					<i class="fa fa-angle-down"></i>
				</div>
				
				<!-- BEGIN .shb-guest-selection-dropdown -->
				<div class="shb-guest-selection-dropdown">
					
					<?php foreach($guestclass_ids as $key => $val) { ?>
						
						<!-- BEGIN .shb-guest-selection -->
						<div class="shb-guest-selection shb-clearfix">
						
							<label for="shb-<?php echo $val; ?>-1"><?php echo get_the_title($val); ?></label>	
							<div class="shb-select-wrapper">
								<i class="fa fa-angle-down"></i>
								<select id="shb-<?php echo $val; ?>-1" name="shb-<?php echo $val; ?>-1">
							
									<?php foreach (range(0, $shb_get_booking_max_guests) as $r) { ?>
										<option value="<?php echo $r; ?>"><?php echo $r; ?></option>
									<?php } ?>

								</select>
							</div>
					
						<!-- END .shb-guest-selection -->
						</div>
						
					<?php } ?>
					
					<a href="#" class="shb-save-room-selection"><?php _e('Done','sohohotel_booking'); ?></a>
					
				<!-- END .shb-guest-selection-dropdown -->
				</div>
				
			<!-- END .shb-booking-form-col -->
			</div>
			
			<input type="hidden" name="shb-external-form" value="1" />
			<button type="submit"><?php _e('Check Availability','sohohotel_booking'); ?></button>
			
		</form>
		
	<!-- END .shb-booking-form-1 -->
	</div>
	
	<?php return ob_get_clean();

}

add_shortcode( 'shb_booking_form_1', 'shb_booking_form_1_shortcode' );

?>