<?php

function shb_booking_form_4_shortcode( $atts, $content = null ) {
	
	extract( shortcode_atts( array(
		'hotel_category' => '',
		'order' => '',
		'rooms_per_page' => ''
	), $atts ) );
	
	ob_start(); 
	
	if(!empty(get_option('shb_booking_page'))) {
		$booking_page_url = get_permalink(get_option('shb_booking_page'));
	} else {
		$booking_page_url = '';
	}
	
	$guestclass_ids = shb_get_all_ids('shb_guestclass');
	
	if(!empty(get_option('shb_maximum_guests_booking_form'))) {
		$shb_get_booking_max_guests = get_option('shb_maximum_guests_booking_form');
	} else {
		$shb_get_booking_max_guests = 1;
	}
	
	if(!empty(get_option('shb_display_hotel_selection'))) {
		
		if(get_option('shb_display_hotel_selection') == 'yes') {
			$hotel_selection = true;
		} else {
			$hotel_selection = false;
		}
		
	} else {
		$hotel_selection = false;
	}
	
	if($hotel_selection == true) {
		$hotel_selection_class = 'shb-booking-form-5-cols';
	} else {
		$hotel_selection_class = 'shb-booking-form-4-cols';
	}

	?>
	
	<!-- BEGIN .shb-booking-form-4-wrapper -->
	<div class="shb-booking-form-4-wrapper">
	
		<!-- BEGIN .shb-booking-form-4 -->
		<div class="shb-booking-form-4 shb-booking-form shb-clearfix">
		
			<form action="<?php echo $booking_page_url; ?>" method="post">
			
				<!-- BEGIN .shb-booking-form-step-1 -->
				<div class="shb-booking-form-step-1">
			
					<?php 
				
					$shb_datepicker_data["blocked_dates"] = shb_get_blocked_dates('');
					$shb_datepicker_data["season"] = shb_get_restrictions('');
			
					$shb_datepicker_settings = array(
						"panels" => 1,
						"inline" => true,
						"noselect" => false,
						"dateformat" => 'DD/MM/YYYY',
						"checkin" => '',
						"checkout" => ''
					);
			
					echo shbdp($shb_datepicker_data,$shb_datepicker_settings);  ?>
				
					<a href="#" class="shb-select-guests-button"><i class="fa fa-calendar"></i><?php _e('Book Now','sohohotel_booking'); ?></a>
				
				<!-- END .shb-booking-form-step-1 -->
				</div>
		
				<!-- BEGIN .shb-booking-form-step-2 -->
				<div class="shb-booking-form-step-2">
			
					<?php foreach($guestclass_ids as $key => $val) { ?>
					
						<!-- BEGIN .shb-guest-selection -->
						<div class="shb-guest-selection shb-clearfix">
					
							<label for="shb-<?php echo $val; ?>-1"><?php echo get_the_title($val); ?></label>	
							<div class="shb-select-wrapper">
								<i class="fa fa-angle-down"></i>
								<select id="shb-<?php echo $val; ?>-1" name="shb-<?php echo $val; ?>-1">
						
									<?php foreach (range(0, $shb_get_booking_max_guests) as $r) { ?>
										<option value="<?php echo $r; ?>"><?php echo $r; ?></option>
									<?php } ?>

								</select>
							</div>
				
						<!-- END .shb-guest-selection -->
						</div>
					
					<?php } ?>
				
					<a href="#" class="shb-change-dates-button"><i class="fa fa-angle-left"></i><?php _e('Change Dates','sohohotel_booking'); ?></a>
					<input type="hidden" name="shb-external-form" value="1" />
					<button type="submit"><i class="fa fa-calendar"></i><?php _e('Book Now','sohohotel_booking'); ?></button>
				
				<!-- END .shb-booking-form-step-2 -->
				</div>
			
			</form>
		
		<!-- END .shb-booking-form-4 -->
		</div>
	
	<!-- END .shb-booking-form-4-wrapper -->
	</div>
	
	<?php return ob_get_clean();

}

add_shortcode( 'shb_booking_form_4', 'shb_booking_form_4_shortcode' );

?>