<?php 

if(!empty($accommodation_data['shb_pricing'][0])) {
	$accommodation_pricing = unserialize($accommodation_data['shb_pricing'][0]);
} else {
	$accommodation_pricing = array();
}

array_walk_recursive($accommodation_pricing, function(&$accommodation_pricing) {
	$accommodation_pricing = shb_get_price_no_currency_symbol($accommodation_pricing);
});

$season_ids = shb_get_all_ids('shb_season'); 
$guestclass_ids = shb_get_all_ids('shb_guestclass');
$discount_ids = shb_get_all_ids('shb_discount');
$save_msg = __('Please save the room to continue','sohohotel_booking');

if (!empty($accommodation_data['shb_daily_price_scheme'][0]) && $accommodation_data['shb_daily_price_scheme'][0] == 'charge_same_price') {
	$days = array(
		'flat' => 'flat'
	);
} else {
	$days = array(
		1 => esc_html__('mon','sohohotel_booking'),
		2 => esc_html__('tue','sohohotel_booking'),
		3 => esc_html__('wed','sohohotel_booking'),
		4 => esc_html__('thu','sohohotel_booking'),
		5 => esc_html__('fri','sohohotel_booking'),
		6 => esc_html__('sat','sohohotel_booking'),
		0 => esc_html__('sun','sohohotel_booking')
	);
} ?>


<?php if (!empty($accommodation_data['shb_daily_price_scheme'][0])) { ?>

	<!-- BEGIN .shb-vertical-tabs -->
	<div class="shb-vertical-tabs shb-clearfix">
	
		<ul>
			<li><a title="<?php _e('Default','sohohotel_booking'); ?>" href="#season-default"><?php esc_html_e('Default','sohohotel_booking'); ?></a></li>		
			<?php foreach ($season_ids as $key => $val) {	
				if( !empty(get_post_meta( $val, 'shb_accommodation_' . get_the_ID(), true)) ) {
					$season_title = get_post_meta( $val, 'shb_start_date', true) . ' - ' . get_post_meta( $val, 'shb_end_date', true) . ' (' . get_the_title($val) . ')';
					$season_title_short = substr($season_title,0,31).'...';
					echo '<li><a title="' . $season_title . '" href="#season-' . $val . '">' . $season_title_short . '</a></li>';
				}
			} ?>
		</ul>
	
		<div id="season-default">
			<?php $val = 0; $season_tab = 'default'; include(SHB_PLUGIN_DIR . '/includes/templates/backend/accommodation/shb-accommodation-pricing-tabs.htm.php');?>
		</div>
	
		<?php foreach ($season_ids as $key => $val) {	
			if( !empty(get_post_meta( $val, 'shb_accommodation_' . get_the_ID(), true)) ) {
				echo '<div id="season-' . $val . '">';
				$season_tab = $val; include(SHB_PLUGIN_DIR . '/includes/templates/backend/accommodation/shb-accommodation-pricing-tabs.htm.php'); 
				echo '</div>';
			}
		} ?>
	
	<!-- END .shb-vertical-tabs -->
	</div>
	
	<p class="shb-save-room-continue-msg1"><?php echo $save_msg; ?></p>
	
<?php } else { ?>
	
	<p class="shb-save-room-continue-msg2"><?php echo $save_msg; ?></p>
	
<?php } ?>