<?php $guestclass_ids = shb_get_all_ids('shb_guestclass');
	
if(!empty($guestclass_ids)) { ?>

	<!-- BEGIN .shb-vertical-tabs -->
	<div class="shb-vertical-tabs shb-clearfix">
	
		<ul>
			<li><a href="#shb-room-type"><?php _e('Room Type','sohohotel_booking'); ?></a></li>
			<li><a href="#shb-price-scheme"><?php _e('Price Scheme','sohohotel_booking'); ?></a></li>
			<li><a href="#shb-display-settings"><?php _e('Display Settings','sohohotel_booking'); ?></a></li>
		
			<?php if(!empty($accommodation_data['shb_room_quantity'][0])) { ?>
				<li><a href="#shb-room-ids"><?php _e('Room IDs','sohohotel_booking'); ?></a></li>
			<?php } ?>
		
		</ul>
	
		<!-- BEGIN #shb-room-type -->
		<div id="shb-room-type">
		
			<?php $shb_room_type_fields1 = array(
				'fields' => array(
					array(
						'id' => 'room_type',
						'title' => __('Room Type','sohohotel_booking'),
						'type' => 'select',
						'options' => array(
							'private' => __('Private room','sohohotel_booking'),
							'dorm' => __('Shared dorm room','sohohotel_booking')
						)
					),
					array(
						'id' => 'room_quantity',
						'title' => __('Room Quantity','sohohotel_booking'),
						'type' => 'select',
						'options' => array(1,100)
					)
				)
			);
			echo shb_cpt_fields($shb_room_type_fields1,$accommodation_data);
		
			echo '<div class="shb-private-room-fields">';
		
			$shb_room_type_fields2 = array();
		
			foreach ($guestclass_ids as $val) {
			
				$shb_room_type_fields2['fields'][] = array(
					'id' => 'guestclass_' . $val . '_min_occupancy',
					'title' => get_the_title($val) . ' ' . __('Min Occupancy'),
					'type' => 'select',
					'options' => array(0,100)
				);
			
				$shb_room_type_fields2['fields'][] = array(
					'id' => 'guestclass_' . $val . '_max_occupancy',
					'title' => get_the_title($val) . ' ' . __('Max Occupancy'),
					'type' => 'select',
					'options' => array(0,100)
				);
			
			}
		
			echo shb_cpt_fields($shb_room_type_fields2,$accommodation_data);
		
			echo '</div>';
		
			$shb_room_type_fields3 = array(
				'fields' => array(
					array(
						'id' => 'total_min_occupancy',
						'title' => __('Total Minimum Occupancy','sohohotel_booking'),
						'type' => 'select',
						'options' => array(1,100)
					),
					array(
						'id' => 'total_max_occupancy',
						'title' => __('Total Max Occupancy','sohohotel_booking'),
						'type' => 'select',
						'options' => array(1,100)
					)
				)
			);
			echo shb_cpt_fields($shb_room_type_fields3,$accommodation_data); ?>
		
		<!-- END #shb-room-type -->
		</div>
	
		<!-- BEGIN #shb-price-scheme -->
		<div id="shb-price-scheme">
		
			<?php $shb_price_scheme_fields = array(
				'fields' => array(
					array(
						'id' => 'guest_price_scheme',
						'title' => __('Guest Price Scheme','sohohotel_booking'),
						'type' => 'select',
						'options' => array(
							'charge_per_room' => __('Flat price per room','sohohotel_booking'),
							'charge_per_guest_flat' => __('Variable price depending on guest quantity','sohohotel_booking'),
							'charge_per_guest_variable' => __('Advanced variable price depending on guest quantity','sohohotel_booking'),
							'charge_per_guest_advanced_variable' => __('Advanced variable price depending on exact guest quantity','sohohotel_booking'),
						)
					),
					array(
						'id' => 'daily_price_scheme',
						'title' => __('Daily Price Scheme','sohohotel_booking'),
						'type' => 'select',
						'options' => array(
							'charge_same_price' => __('Charge the same price for every day of the week','sohohotel_booking'),
							'charge_different_price' => __('Charge a different price for every day of the week','sohohotel_booking')
						)
					)
				)
			);
		
			echo shb_cpt_fields($shb_price_scheme_fields,$accommodation_data); ?>
	
		<!-- END #shb-price-scheme -->
		</div>
	
		<!-- BEGIN #shb-display-settings -->
		<div id="shb-display-settings">
		
			<?php $shb_price_display_fields = array(
				'fields' => array(
					array(
						'id' => 'from_price',
						'title' => __('From price (used for display purposes only)','sohohotel_booking') . ' (' . shb_get_currency_symbol() . ')',
						'type' => 'text',
					),
					array(
						'id' => 'from_text',
						'title' => __('From text (e.g. "Per Night" or "Per Week", etc)','sohohotel_booking'),
						'type' => 'text',
					),
					array(
						'id' => 'display_booking',
						'title' => __('Display booking form','sohohotel_booking'),
						'type' => 'select',
						'options' => array(
							'yes' => __('Yes','sohohotel_booking'),
							'no' => __('No','sohohotel_booking')
						)
					),
					array(
						'id' => 'display_price',
						'title' => __('Display price','sohohotel_booking'),
						'type' => 'select',
						'options' => array(
							'yes' => __('Yes','sohohotel_booking'),
							'no' => __('No','sohohotel_booking')
						)
					)
				)
			);
			echo shb_cpt_fields($shb_price_display_fields,$accommodation_data); ?>
		
		<!-- END #shb-display-settings -->
		</div>
	
		<?php if(!empty($accommodation_data['shb_room_quantity'][0])) { ?>
		
			<!-- BEGIN #shb-room-ids -->
			<div id="shb-room-ids">
			
				<?php $shb_room_id_fields = array();
		
				foreach (range(1, $accommodation_data['shb_room_quantity'][0]) as $r) {
			
					$shb_room_id_fields['fields'][] = array(
						'id' => 'room_id_' . $r,
						'title' => __('Room ID #','sohohotel_booking') . $r,
						'type' => 'text',
					);
			
				}
		
				echo shb_cpt_fields($shb_room_id_fields,$accommodation_data); ?>
			
			<!-- END #shb-room-ids -->	
			</div>
		
		<?php } ?>
	
	<!-- END .shb-vertical-tabs -->
	</div>
		
<?php } else { ?>
	
	<p><?php _e('Please go to "Hotel Booking > Guest Classes" and create at least 1 guest class, e.g. "Adult" or "Child"','sohohotel_booking'); ?></p>
	
<?php } ?>