<?php 

if(!empty(get_option('shb_maximum_rooms_booking_form'))) {
	$room_limit = get_option('shb_maximum_rooms_booking_form');
} else {
	$room_limit = 1;
}

if(!empty(get_option('shb_maximum_guests_booking_form'))) {
	$shb_get_booking_max_guests = get_option('shb_maximum_guests_booking_form');
} else {
	$shb_get_booking_max_guests = 1;
}

if(!empty(get_option('shb_display_hotel_selection'))) {
	
	if(get_option('shb_display_hotel_selection') == 'yes') {
		$hotel_selection = true;
	} else {
		$hotel_selection = false;
	}
	
} else {
	$hotel_selection = false;
}

if($hotel_selection == true) {
	$hotel_selection_class = 'shb-booking-form-5-cols';
} else {
	$hotel_selection_class = 'shb-booking-form-4-cols';
}

if(!empty(get_option('shb_date_format'))) {
	$shb_date_format = get_option('shb_date_format');
} else {
	$shb_date_format = 'DD/MM/YYYY';
}

$guestclass_ids = shb_get_all_ids('shb_guestclass');
$guestclass_count = count($guestclass_ids);

if ($guestclass_count % 2 == 0) {
	$guestclass_cols = 'shb-guest-2-cols';
} else {
	$guestclass_cols = 'shb-guest-1-cols';
}

if(!empty($_POST["shb-edit-room-guest"])) {
	$shb_booking_data = $_SESSION['shb_booking_data'];
} 

$_SESSION['shb_booking_data'] = array();
$_SESSION['shb_available_rooms'] = array();
	
if ( !empty($_POST['shb-external-form']) ) {
	
	echo '<script>
	jQuery(document).ready(function($) {	
		$("#shb-submit-booking-1").click();
	});	
	</script>';
	
}

if ( !empty($_POST['accommodation-category']) ) {
	$hotel = $_POST['accommodation-category'];
} else {
	$hotel = '';
}

if ( !empty($_POST['shbdp-checkin']) ) {
	$checkin = $_POST['shbdp-checkin'];
} else {
	$checkin = '';
}

if ( !empty($_POST['shbdp-checkout']) ) {
	$checkout = $_POST['shbdp-checkout'];
} else {
	$checkout = '';
} ?>

<form id="shb-booking-process" class="shb-clearfix">
	
	<!-- BEGIN .shb-booking-page-wrapper -->
	<div class="shb-booking-page-wrapper">
		
		<?php echo shb_booking_steps(1); ?>
		
		<!-- BEGIN .shb-booking-side-wrapper -->
		<div class="shb-booking-side-wrapper">
		
			<h4 class="shb-title1"><?php _e('Your Reservation','sohohotel_booking'); ?></h4>
		
			<?php if($hotel_selection == true) { ?>
				
				<label for="accommodation-category"><?php _e('Hotel','sohohotel_booking'); ?></label>	
				<div class="shb-select-wrapper">
					<i class="fa fa-angle-down"></i>
					<select id="accommodation-category" name="accommodation-category">
						<option value=""><?php esc_html_e('All','sohohotel_booking'); ?></option>

						<?php $taxonomy = 'accommodation-categories';
						$terms = get_terms($taxonomy);

						if ( $terms && !is_wp_error( $terms ) ) :

						foreach ( $terms as $term ) { 
							
							if($hotel == $term->term_id) { ?>
								<option value="<?php echo $term->term_id; ?>" selected><?php echo $term->name; ?></option>
							<?php } else { ?>
								<option value="<?php echo $term->term_id; ?>"><?php echo $term->name; ?></option>
							<?php }
						
						} 
						endif;?>

					</select>
				</div>
			
			<?php } ?>
			
			<label for="shb-room-selection"><?php _e('Rooms','sohohotel_booking'); ?></label>
			<div class="shb-select-wrapper shb-room-selection-wrapper">
				<i class="fa fa-angle-down"></i>
				<select name="shb-room-selection" id="shb-room-selection">
				
					<?php foreach (range(1, $room_limit) as $r) {?>
						<option value="<?php echo $r; ?>" <?php if(!empty($shb_booking_data)) {
							if($shb_booking_data['room_qty'] == $r) {echo 'selected'; }
						} ?>><?php echo $r; ?></option>
					<?php } ?>
				
				</select>
			</div>
			
			<!-- BEGIN .shb-rooms-wrapper -->
			<div class="shb-rooms-wrapper">
			
				<?php foreach (range(1, $room_limit) as $r1) {?>
				
					<div class="shb-room-<?php echo $r1; ?> shb-room shb-clearfix">
			
						<p><?php _e('Room','sohohotel_booking'); ?> <?php echo $r1; ?></p>
			
						<?php foreach ($guestclass_ids as $val) { ?>
						
							<div class="<?php echo $guestclass_cols; ?>">
								<label for="shb-<?php echo $val; ?>-1"><?php echo get_the_title($val); ?></label>
								<div class="shb-select-wrapper">
									<i class="fa fa-angle-down"></i>
									
									<select name="shb-<?php echo $val; ?>-<?php echo $r1; ?>" id="shb-<?php echo $val; ?>-<?php echo $r1; ?>">
										
										<?php foreach (range(0, $shb_get_booking_max_guests) as $r2) {?>
									
											<option value="<?php echo $r2; ?>" 
												
												<?php if(!empty($shb_booking_data['rooms'][$r1]['guests'][$val])) {
													if($shb_booking_data['rooms'][$r1]['guests'][$val] == $r2) {echo 'selected'; }
												} ?>
											
												<?php if( !empty($_POST['shb-' . $val . '-' . $r1]) && $_POST['shb-' . $val . '-' . $r1] == $r2 ) {echo 'selected';} ?>
											
											><?php echo $r2; ?></option>
											
										<?php } ?>
									</select>
								</div>
							</div>
					
						<?php } ?>
				
					</div>
				
				<?php } ?>
			
			<!-- END .shb-rooms-wrapper -->
			</div>
		
			<button type="button" class="shb-submit-btn-lrg" id="shb-submit-booking-1"><i class="fa fa-calendar"></i><?php _e('Search','sohohotel_booking'); ?></button>
		
		<!-- END .shb-booking-side-wrapper -->
		</div>
	
		<!-- BEGIN .shb-booking-main-wrapper -->
		<div class="shb-booking-main-wrapper">
		
			<?php 
			
			$shb_datepicker_data["blocked_dates"] = shb_get_blocked_dates('');
			$shb_datepicker_data["season"] = shb_get_restrictions('');
			
			$shb_datepicker_settings = array(
				"panels" => 2,
				"inline" => true,
				"noselect" => false,
				"dateformat" => 'DD/MM/YYYY',
				"checkin" => $checkin,
				"checkout" => $checkout
			);
			
			echo shbdp($shb_datepicker_data,$shb_datepicker_settings); ?>
		
		<!-- END .shb-booking-main-wrapper -->
		</div>
	
	<!-- END .shb-booking-page-wrapper -->
	</div>
	
	<?php if(!empty($hotel_category)) {
		$hotel_category = $hotel_category;
	} else {
		$hotel_category = '';
	} ?>
	
	<input type="hidden" name="shb-hotel-category" value="<?php echo $hotel_category; ?>" />
	
	<input type="hidden" name="shb-single-room" value="<?php if(!empty($_POST['shb-single-room'])) {echo $_POST['shb-single-room'];} ?>" />

	<input type="hidden" name="action" value="shb_frontend_booking_process" />
	<?php echo wp_nonce_field('ajax_contactform', '_acf_nonce', true, false); ?>

</form>