<?php 

if($_POST['shb_fees']) {
	$_SESSION['shb_booking_data']['fees'] = $_POST['shb_fees'];
}

if($_POST['shb-apply-coupon']) {
	$_SESSION['shb_booking_data']['coupons'][] = $_POST['shb-apply-coupon'];
}

$booking_data = $_SESSION['shb_booking_data']; 

// Format room data for price calculation function
foreach ($booking_data['rooms'] as $key => $val) {

	if(!empty($room_data[$val['room_id']]['quantity'])) {
		$room_data[$val['room_id']]['quantity'] = ($room_data[$val['room_id']]['quantity'] + 1);
	} else {
		$room_data[$val['room_id']]['quantity'] = 1;
	}
	
	$room_index = $room_data[$val['room_id']]['quantity'];
	 
	foreach ($booking_data['rooms'][$room_index]['guests'] as $key2 => $val2) {
		$room_data[$val['room_id']]['rooms']['room_' . $room_index]['guestid_' . $key2] = $val2;
	}

}

// Format fee data for price calculation function
foreach ($booking_data['fees'] as $key => $val) {
	$fee_data['fee_' . $key] = $val;
}

$coupon_data = $booking_data['coupons'];

$booking_data_price['shb_check_in_alt'][0] = $booking_data['checkin'];
$booking_data_price['shb_check_out_alt'][0] = $booking_data['checkout'];
$booking_data_price['shb_rooms'][0] = serialize($room_data);
$booking_data_price['shb_fees'][0] = serialize($fee_data);
$booking_data_price['shb_booking_coupon'][0] = serialize($coupon_data);
$booking_data_price['shb_booking_grand_total'][0] = '1';

$booking_price_breakdown = shb_calc_total_price($booking_data_price);

?>

	<!-- BEGIN .shb-booking-page-wrapper -->
	<div class="shb-booking-page-wrapper">
		
		<?php echo shb_booking_steps(4); ?>
		
		<!-- BEGIN .shb-booking-side-wrapper -->
		<div class="shb-booking-side-wrapper">
		
			<h4 class="shb-title1"><?php _e('Your Reservation','sohohotel_booking'); ?></h4>
			<ul>
				<li><span><?php _e('Check In','sohohotel_booking');?>: </span><?php echo shb_get_date($booking_data['checkin']); ?></li>
				<li><span><?php _e('Check Out','sohohotel_booking');?>: </span><?php echo shb_get_date($booking_data['checkout']); ?></li>
			</ul>
			
			<?php foreach ($_SESSION['shb_booking_data']['rooms'] as $key => $val) {
				
				if (!empty($val['room_id'])) {
					$room_title = get_the_title($val['room_id']);
				} else {
					$room_title = '';
				} 
			
				$guests_all = '<span class="shb-booking-guests-wrapper">';
				foreach ($_SESSION['shb_booking_data']['rooms'][$key]['guests'] as $guest_id => $guest_qty) {
					$guests_all .= '<span>' . get_the_title($guest_id) . ' ' . $guest_qty . '<span>,</span></span> ';
				}
				$guests_all .= '</span>'; ?>

				<h4 class="shb-title1">
					<?php echo __('Room','sohohotel_booking') . ' ' . $key . ' ' . __('of','sohohotel_booking') . ' ' . $booking_data['room_qty']; ?>
				</h4>
				<ul>
					<li><span><?php _e('Room','sohohotel_booking');?>: </span><?php echo $room_title; ?></li>
					<li><span><?php _e('Guests','sohohotel_booking');?>: </span><?php echo $guests_all; ?></li>
				</ul>
				
			<?php } ?>
			
			<?php if (!empty($_SESSION['shb_booking_data']['fees'])) { ?>
			
				<h4 class="shb-title1"><?php _e('Additional Fees','sohohotel_booking'); ?></h4>
				<ul>
				<?php foreach ($_SESSION['shb_booking_data']['fees'] as $key => $val) {
					if(!empty($val)) { ?>
						<li><span><?php echo get_the_title($key) ?>: </span><?php echo $val; ?></li>
					<?php }
				} ?>
				</ul>
			
			<?php } ?>
			
			<?php if(!empty($booking_price_breakdown['coupons'])) { ?>
				
				<h4 class="shb-title1"><?php _e('Coupons','sohohotel_booking'); ?></h4>
				<ul>
					<?php foreach($booking_price_breakdown['coupons'] as $key1 => $val1) { ?>
						<li><span><?php echo $val1['type'] ?>: </span><?php echo $val1['amount'] . ' ' . __('Discount','sohohotel_booking'); ?></li>
					<?php } ?>
				</ul>
				
			<?php } ?>
			
			<!-- BEGIN .shb-price-details -->
			<div class="shb-price-details">
				
				<p class="shb-deposit-notice"><?php echo get_option('shb_deposit_percentage') . '%' . ' ' . __('Deposit Due','sohohotel_booking'); ?></p>
				<h3 class="shb-deposit-price"><?php echo shb_get_price($booking_price_breakdown['deposit'])?></h3>
			
				<hr class="shb-total-separator" />
				<p class="shb-total-notice"><?php _e('Total Price','sohohotel_booking'); ?></p>
				<h3 class="shb-total-price"><?php echo shb_get_price($booking_price_breakdown['grand_total_inc_tax_inc_coupon_discount']); ?></h3>
				<p class="shb-pricebreakdown-button"><a href="#shb-pricebreakdown" data-gal="prettyPhoto"><?php _e('Detailed Price Breakdown','sohohotel_booking'); ?></a></p>
				
				<!-- BEGIN .shb-pricebreakdown -->
				<div id="shb-pricebreakdown" class="shb-pricebreakdown">
				
					<div class="shb-lightbox-title"><h4><?php _e('Price Breakdown','sohohotel_booking'); ?></h4></div>
				
					<!-- BEGIN .shb-lightbox-content -->
					<div class="shb-lightbox-content">
						
						<?php 
						
						foreach($booking_price_breakdown['rooms']['prices'] as $key1 => $val1) {
							
							echo '<table>';
							echo '<tr><th colspan="2">';
							echo get_the_title($key1);
							echo '</th></tr>';
							
							$num_rooms = count($val1);
							
							foreach($val1 as $key2 => $val2) {
								
								if($num_rooms > 1) {
									echo '<tr><td colspan="2">';
									echo '#' . $key2;
									echo '</td></tr>';
								}
								
								foreach($val2 as $key3 => $val3) {
									
									echo '<tr>';	
									echo '<td>' . shb_get_date($key3) . '</td>';
									echo '<td>';
									
									if(is_array($val3)) {
										
										foreach($val3 as $key4 => $val4) {
											echo get_the_title($key4) . ': ' . shb_get_price($val4) . '<br />';
										}
											
									} else {
										echo shb_get_price($val3) . '<br />';
									}
									
									echo '</td>';
									echo '</tr>';
									
								}
								
							}
						
						echo '</table>';
							
						}
						
						if(!empty($booking_price_breakdown['fees'])) {
							echo '<table>';
							echo '<tr><th colspan="2">';
							echo __('Fees','sohohotel_booking');
							echo '</th></tr>';
							foreach($booking_price_breakdown['fees'] as $key1 => $val1) {
								echo '<tr>';	
								echo '<td>' . get_the_title($key1) . '</td>';
								echo '<td>' . shb_get_price($val1) . '</td>';
								echo '</tr>';
							}
							echo '</table>';
						}
						
						if(!empty($booking_price_breakdown['coupons'])) {
							echo '<table>';
							echo '<tr><th colspan="2">';
							echo __('Coupons','sohohotel_booking');
							echo '</th></tr>';
							foreach($booking_price_breakdown['coupons'] as $key1 => $val1) {
								echo '<tr>';	
								echo '<td>' . get_the_title($key1) . '</td>';
								echo '<td>' . $val1['amount'] . ' ' . __('Discount','sohohotel_booking') . '</td>';
								echo '</tr>';
							
							}
							echo '</table>';
						}
						
						echo '<table>';
						echo '<tr><th>';
						echo __('Total Price','sohohotel_booking');
						echo '</th></tr>';
						echo '<tr>';
						echo '<td>' . shb_get_price($booking_price_breakdown['grand_total_inc_tax_inc_coupon_discount']) . '</td>';
						echo '</tr>';
						echo '</table>'; ?>
					
					<!-- END .shb-lightbox-content -->
					</div>
			
				<!-- END .shb-pricebreakdown -->
				</div>
				
			<!-- END .shb-price-details -->
			</div>
			
		<!-- END .shb-booking-side-wrapper -->
		</div>
	
		<!-- BEGIN .shb-booking-main-wrapper -->
		<div class="shb-booking-main-wrapper">
			
			<?php if( !empty($_POST['shb-custom-form-fields']) ) {
				
				$custom_booking_form_fields = array();
				$search = "shb_custom_form_";
				$search_length = strlen($search);
				foreach ($_POST as $key => $value) {
					if (substr($key, 0, $search_length) == $search) {
						$booking_data[$key][0] = $value;
					}
				}
			
			}
			
			$_SESSION['shb_booking_data'] = $booking_data;
			$_SESSION['shb_booking_data']['payment_method'] = $_POST['payment-method'];
			$_SESSION['shb_booking_data']['price_breakdown'] = $booking_price_breakdown;
			
			if($_POST['payment-method'] == 'pay-arrival' || $_POST['payment-method'] == 'bank-transfer') {
				
				if($_POST['payment-method'] == 'pay-arrival') {
					$_SESSION['shb_booking_data']['payment_method'] = __('Pay on arrival','sohohotel_booking');
				}
				
				if($_POST['payment-method'] == 'bank-transfer') {
					$_SESSION['shb_booking_data']['payment_method'] = __('Bank transfer','sohohotel_booking');
				}
				
				if(!empty(get_option('shb_manual_booking_confirmation'))) {
				
					if(get_option('shb_manual_booking_confirmation') == 'yes') {
						$_SESSION['shb_booking_data']['booking_status'] = 'pending';
					} else {
						$_SESSION['shb_booking_data']['booking_status'] = 'confirmed';
					}
				
				} else {
					$_SESSION['shb_booking_data']['booking_status'] = 'confirmed';
				}
			
				$booking_id = shb_add_new_booking($_SESSION['shb_booking_data']);
				
				shb_send_confirmation_email($booking_id,'customer_booking_confirmation');
				shb_send_confirmation_email($booking_id,'admin_booking_confirmation');
					
				?>
				
				<?php $booking_success_message = stripslashes(get_option('shb_booking_success_message')); ?>
				<h4 class="shb-title1"><?php _e('Reservation Complete','sohohotel_booking'); ?></h4>
				<p><?php echo $booking_success_message; ?></p>
				
				<?php $bank_transfer_details = stripslashes(get_option('shb_bank_transfer_details'));
				if ($_POST['payment-method'] == 'bank-transfer') { ?>
					
					<h4 class="shb-title1"><?php _e('Payment Due Now','sohohotel_booking'); ?></h4>
					<p><?php echo $bank_transfer_details; ?></p>
						
				<?php } ?>
				
				<h4 class="shb-title1"><?php _e('Contact Details','sohohotel_booking'); ?></h4>
				<ul class="shb-contact-details-list">
					
					<?php if(!empty(get_option('shb_hotel_address'))) { ?>
						<li class="shb-cdw-address clearfix"><?php echo get_option('shb_hotel_address'); ?></li>
					<?php } ?>
					
					<?php if(!empty(get_option('shb_hotel_phone'))) { ?>
						<li class="shb-cdw-phone clearfix"><?php echo get_option('shb_hotel_phone'); ?></li>
					<?php } ?>
					
					<?php if(!empty(get_option('shb_email_address'))) { ?>
						<li class="shb-cdw-email clearfix"><?php echo get_option('shb_email_address'); ?></li>
					<?php } ?>
					
				</ul>
				
			<?php } ?>
			
			<?php if($_POST['payment-method'] == 'paypal' ) { 
			
				$_SESSION['shb_booking_data']['booking_status'] = 'pending';
				$booking_id = shb_add_new_booking($_SESSION['shb_booking_data']);
			
				echo do_shortcode('[shb_paypal_page amount="' . $booking_price_breakdown['deposit'] . '" id="' . $booking_id . '"]');
			
			} ?> 
			
			<?php if($_POST['payment-method'] == 'stripe' ) { 
			
				$_SESSION['shb_booking_data']['booking_status'] = 'pending';
				$booking_id = shb_add_new_booking($_SESSION['shb_booking_data']);
			
				echo do_shortcode('[shb_stripe_payment amount="' . shb_get_price_no_currency_symbol($booking_price_breakdown['deposit']) . '" id="' . $booking_id . '"]');
			
			} ?>
			
		<!-- END .shb-booking-main-wrapper -->
		</div>
	
	<!-- END .shb-booking-page-wrapper -->
	</div>

	<input type="hidden" class="shb-selected-room" name="shb-selected-room" value="" />
	<input type="hidden" name="action" value="shb_frontend_booking_process" />
	<?php echo wp_nonce_field('ajax_contactform', '_acf_nonce', true, false); ?>