<?php 

if(!empty($_POST['shb_fees'])) {
	$_SESSION['shb_booking_data']['fees'] = $_POST['shb_fees'];
}

if(!empty($_POST['shb-apply-coupon'])) {
	$_SESSION['shb_booking_data']['coupons'][] = $_POST['shb-apply-coupon'];
}

$booking_data = $_SESSION['shb_booking_data']; 

$room_index = 0;

// Format room data for price calculation function
foreach ($booking_data['rooms'] as $key => $val) {
	
	$room_index++;
	
	if(!empty($room_data[$val['room_id']]['quantity'])) {
		$room_data[$val['room_id']]['quantity'] = ($room_data[$val['room_id']]['quantity'] + 1);
	} else {
		$room_data[$val['room_id']]['quantity'] = 1;
	}
	 
	foreach ($booking_data['rooms'][$room_index]['guests'] as $key2 => $val2) {
		$room_data[$val['room_id']]['rooms']['room_' . $room_index]['guestid_' . $key2] = $val2;
	}

}

// Format fee data for price calculation function
if(!empty($booking_data['fees'])) {
	
	foreach ($booking_data['fees'] as $key => $val) {
		$fee_data['fee_' . $key] = $val;
	}
	
} else {
	$fee_data = array();
}

if(!empty($booking_data['coupons'])) {
	$coupon_data = $booking_data['coupons'];
} else {
	$coupon_data = array();
}

$booking_data_price['shb_check_in_alt'][0] = $booking_data['checkin'];
$booking_data_price['shb_check_out_alt'][0] = $booking_data['checkout'];
$booking_data_price['shb_rooms'][0] = serialize($room_data);
$booking_data_price['shb_fees'][0] = serialize($fee_data);
$booking_data_price['shb_booking_coupon'][0] = serialize($coupon_data);
$booking_data_price['shb_booking_grand_total'][0] = '1';

$booking_data_price['unserialized']['shb_rooms'] = $room_data;
$booking_data_price['unserialized']['shb_fees'] = $fee_data;
$booking_data_price['unserialized']['shb_coupons'] = $coupon_data;

$booking_price_breakdown = shb_calc_total_price($booking_data_price);

?>

	<!-- BEGIN .shb-booking-page-wrapper -->
	<div class="shb-booking-page-wrapper">
		
		<?php echo shb_booking_steps(3); ?>
		
		<!-- BEGIN .shb-booking-side-wrapper -->
		<div class="shb-booking-side-wrapper">
		
			<h4 class="shb-title1"><?php _e('Your Reservation','sohohotel_booking'); ?></h4>
			<ul>
				<li><span><?php _e('Check In','sohohotel_booking');?>: </span><?php echo shb_get_date($booking_data['checkin']); ?></li>
				<li><span><?php _e('Check Out','sohohotel_booking');?>: </span><?php echo shb_get_date($booking_data['checkout']); ?></li>
			</ul>
			
			<?php foreach ($_SESSION['shb_booking_data']['rooms'] as $key => $val) {
				
				if (!empty($val['room_id'])) {
					$room_title = get_the_title($val['room_id']);
				} else {
					$room_title = '';
				} 
			
				$guests_all = '<span class="shb-booking-guests-wrapper">';
				foreach ($_SESSION['shb_booking_data']['rooms'][$key]['guests'] as $guest_id => $guest_qty) {
					$guests_all .= '<span>' . get_the_title($guest_id) . ' ' . $guest_qty . '<span>,</span></span> ';
				}
				$guests_all .= '</span>'; ?>

				<h4 class="shb-title1">
					<?php echo __('Room','sohohotel_booking') . ' ' . $key . ' ' . __('of','sohohotel_booking') . ' ' . $booking_data['room_qty']; ?>
				</h4>
				<ul>
					<li><span><?php _e('Room','sohohotel_booking');?>: </span><?php echo $room_title; ?></li>
					<li><span><?php _e('Guests','sohohotel_booking');?>: </span><?php echo $guests_all; ?></li>
				</ul>
				
			<?php } ?>
			
			<?php if (!empty($_SESSION['shb_booking_data']['fees'])) { ?>
			
				<h4 class="shb-title1"><?php _e('Additional Fees','sohohotel_booking'); ?></h4>
				<ul>
				<?php foreach ($_SESSION['shb_booking_data']['fees'] as $key => $val) {
					if(!empty($val)) { ?>
						<li><span><?php echo get_the_title($key) ?>: </span><?php echo $val; ?></li>
					<?php }
				} ?>
				</ul>
			
			<?php } ?>
			
			<?php if(!empty($booking_price_breakdown['coupons'])) { ?>
				
				<h4 class="shb-title1"><?php _e('Coupons','sohohotel_booking'); ?></h4>
				<ul>
					<?php foreach($booking_price_breakdown['coupons'] as $key1 => $val1) { ?>
						<li><span><?php echo $val1['type'] ?>: </span><?php echo $val1['amount'] . ' ' . __('Discount','sohohotel_booking'); ?></li>
					<?php } ?>
				</ul>
				
			<?php } ?>
			
			<!-- BEGIN .shb-price-details -->
			<div class="shb-price-details">
				
				<p class="shb-deposit-notice"><?php echo get_option('shb_deposit_percentage') . '%' . ' ' . __('Deposit Due','sohohotel_booking'); ?></p>
				<h3 class="shb-deposit-price"><?php echo shb_get_price($booking_price_breakdown['deposit'])?></h3>
			
				<hr class="shb-total-separator" />
				<p class="shb-total-notice"><?php _e('Total Price','sohohotel_booking'); ?></p>
				<h3 class="shb-total-price"><?php echo shb_get_price($booking_price_breakdown['grand_total_inc_tax_inc_coupon_discount']); ?></h3>
				<p class="shb-pricebreakdown-button"><a href="#shb-pricebreakdown" data-gal="prettyPhoto"><?php _e('Detailed Price Breakdown','sohohotel_booking'); ?></a></p>
				
				<!-- BEGIN .shb-pricebreakdown -->
				<div id="shb-pricebreakdown" class="shb-pricebreakdown">
				
					<div class="shb-lightbox-title"><h4><?php _e('Price Breakdown','sohohotel_booking'); ?></h4></div>
				
					<!-- BEGIN .shb-lightbox-content -->
					<div class="shb-lightbox-content">
						
						<?php 
						
						foreach($booking_price_breakdown['rooms']['prices'] as $key1 => $val1) {
							
							echo '<table>';
							echo '<tr><th colspan="2">';
							echo get_the_title($key1);
							echo '</th></tr>';
							
							$num_rooms = count($val1);
							
							foreach($val1 as $key2 => $val2) {
								
								if($num_rooms > 1) {
									echo '<tr><td colspan="2">';
									echo '#' . $key2;
									echo '</td></tr>';
								}
								
								foreach($val2 as $key3 => $val3) {
									
									echo '<tr>';	
									echo '<td>' . shb_get_date($key3) . '</td>';
									echo '<td>';
									
									if(is_array($val3)) {
										
										foreach($val3 as $key4 => $val4) {
											echo get_the_title($key4) . ': ' . shb_get_price($val4) . '<br />';
										}
											
									} else {
										echo shb_get_price($val3) . '<br />';
									}
									
									echo '</td>';
									echo '</tr>';
									
								}
								
							}
						
						echo '</table>';
							
						}
						
						if(!empty($booking_price_breakdown['fees'])) {
							echo '<table>';
							echo '<tr><th colspan="2">';
							echo __('Fees','sohohotel_booking');
							echo '</th></tr>';
							foreach($booking_price_breakdown['fees'] as $key1 => $val1) {
								echo '<tr>';	
								echo '<td>' . get_the_title($key1) . '</td>';
								echo '<td>' . shb_get_price($val1) . '</td>';
								echo '</tr>';
							}
							echo '</table>';
						}
						
						if(!empty($booking_price_breakdown['coupons'])) {
							echo '<table>';
							echo '<tr><th colspan="2">';
							echo __('Coupons','sohohotel_booking');
							echo '</th></tr>';
							foreach($booking_price_breakdown['coupons'] as $key1 => $val1) {
								echo '<tr>';	
								echo '<td>' . get_the_title($key1) . '</td>';
								echo '<td>' . $val1['amount'] . ' ' . __('Discount','sohohotel_booking') . '</td>';
								echo '</tr>';
							
							}
							echo '</table>';
						}
						
						echo '<table>';
						echo '<tr><th>';
						echo __('Total Price','sohohotel_booking');
						echo '</th></tr>';
						echo '<tr>';
						echo '<td>' . shb_get_price($booking_price_breakdown['grand_total_inc_tax_inc_coupon_discount']) . '</td>';
						echo '</tr>';
						echo '</table>'; ?>
					
					<!-- END .shb-lightbox-content -->
					</div>
			
				<!-- END .shb-pricebreakdown -->
				</div>
				
			<!-- END .shb-price-details -->
			</div>
			
			<button class="shb-edit-booking-3-button" name="shb-edit-booking-3-button" value="shb-edit-booking-3-button"><?php _e('Edit Booking','sohohotel_booking'); ?></button>
			<input type="hidden" class="shb-edit-booking-3" name="shb-edit-booking-3" value="" />
			
		<!-- END .shb-booking-side-wrapper -->
		</div>
	
		<!-- BEGIN .shb-booking-main-wrapper -->
		<div class="shb-booking-main-wrapper">
			
			<?php if( !empty($_POST['shb-custom-form-fields']) ) {
				
				$custom_booking_form_fields = array();
				$search = "shb_custom_form_";
				$search_length = strlen($search);
				foreach ($_POST as $key => $value) {
				    if (substr($key, 0, $search_length) == $search) {
				        $booking_data[$key][0] = $value;
				    }
				}
				
			}
			
			if ( is_user_logged_in() && empty($_POST['shb-custom-form-fields']) ) {
				
				$shb_general_field_names = shb_custom_form_field_names();
				$user = get_current_user_id();
				$user_data = shb_get_user_data($shb_general_field_names,$user);
				foreach($user_data as $key => $val) {
					$booking_data[$key][0] = $val[0];
				}
				
			}
			
			echo shb_custom_form($booking_data); 
			
			$_SESSION['shb_booking_data'] = $booking_data;
			$_SESSION['shb_booking_data']['booking_price_data'] = $booking_data_price; ?>
			
			<input type="hidden" name="shb-custom-form-fields" value="1" />
			
			<hr />
			
			<h4 class="shb-title1"><?php _e('Apply Coupon','sohohotel_booking'); ?></h4>
			<div class="shb-clearfix">
				<input type="text" class="shb-apply-coupon" name="shb-apply-coupon" value="" />
				<input type="hidden" class="shb-apply-coupon-hidden" name="shb-apply-coupon-hidden" value="" />
				<button class="shb-apply-coupon-button" name="shb-apply-coupon-button" value="shb-apply-coupon-button"><?php _e('Apply Coupon','sohohotel_booking'); ?></button>
			</div>
			
			<hr />
			
			<h4 class="shb-title1"><?php _e('Select Payment Method','sohohotel_booking'); ?></h4>
			
			<!-- BEGIN .shb-payment-method -->
			<div class="shb-payment-method">
				
				<?php if (function_exists('shb_stripe_payment_shortcode')) { ?>
				
				<h3><input type="radio" name="payment-method" value="stripe" id="payment-method-stripe" checked="checked" /><label for="payment-method-stripe"><?php esc_html_e('Credit Card', 'sohohotel_booking'); ?><img src="<?php echo plugins_url('../../../../assets/images/stripe.png', __FILE__); ?>" /></label></h3>
				<div><p><?php esc_html_e('Pay via Credit Card. All major credit and debit cards accepted', 'sohohotel_booking'); ?></p></div>
				
				<?php } ?>
				
				<?php if (function_exists('shb_paypal_page_shortcode')) { ?>
		
				<h3><input type="radio" name="payment-method" value="paypal" id="payment-method-paypal" checked="checked" /><label for="payment-method-paypal"><?php esc_html_e('Paypal', 'sohohotel_booking'); ?><img src="<?php echo plugins_url('../../../../assets/images/paypal.png', __FILE__); ?>" /></label></h3>
				<div><p><?php esc_html_e('Pay via Paypal. Accepts all major credit and debit cards', 'sohohotel_booking'); ?></p></div>
				
				<?php } ?>
				
				<?php if (get_option('shb_bank_transfer_display') == 'yes') { ?>
				
				<h3><input type="radio" name="payment-method" value="bank-transfer" id="payment-method-bank-transfer" checked="checked" /><label for="payment-method-bank-transfer"><?php esc_html_e('Bank Transfer', 'sohohotel_booking'); ?></label></h3>
				<div><p><?php esc_html_e('Pay via direct bank transfer', 'sohohotel_booking'); ?></p></div>
				
				<?php } ?>
				
				<?php if (get_option('shb_pay_on_arrival_display') == 'yes') { ?>
				
				<h3><input type="radio" name="payment-method" value="pay-arrival" id="payment-method-pay-arrival" /><label for="payment-method-pay-arrival"><?php esc_html_e('Pay On Arrival', 'sohohotel_booking'); ?></label></h3>
				<div><p><?php esc_html_e('Pay on arrival. Pay by credit card or cash when you arrive.', 'sohohotel_booking'); ?></p></div>
				
				<?php } ?>
				
			<!-- END .shb-payment-method -->
			</div>
			
			<?php if(get_option('shb_display_terms_and_conditions') == 'yes') { ?>
				
				<div class="shb-terms-and-conditions-wrapper shb-clearfix">
				
					<input type="checkbox" id="sh-terms-and-conditions" name="terms-and-conditions" value="1" />
					<label for="sh-terms-and-conditions"><?php esc_html_e('I have read and accept the', 'sohohotel_booking'); ?> <a target="_blank" href="<?php echo get_permalink(get_option('shb_terms_and_conditions_page')); ?>"><?php esc_html_e('terms &amp; conditions', 'sohohotel_booking'); ?></a>.</label>
				
				</div>
				
			<?php } ?>
			
			<button class="shb-booking-3-pay-button" name="shb-booking-3-pay-button" value="shb-booking-3-pay-button"><?php _e('Proceed To Payment','sohohotel_booking'); ?></button>
			<input type="hidden" class="shb-booking-3-pay" name="shb-booking-3-pay" value="" />
			
		<!-- END .shb-booking-main-wrapper -->
		</div>
	
	<!-- END .shb-booking-page-wrapper -->
	</div>

	<input type="hidden" class="shb-selected-room" name="shb-selected-room" value="" />
	<input type="hidden" name="action" value="shb_frontend_booking_process" />
	<?php echo wp_nonce_field('ajax_contactform', '_acf_nonce', true, false); ?>