<?php

/*
  Plugin Name: Soho Hotel Booking
  Plugin URI: http://quitenicestuff.com
  Description: Accommodation Booking System
  Version: 3.2.2
  Author: Quite Nice Stuff
  Author URI: http://quitenicestuff.com
*/



/* ----------------------------------------------------------------------------

   Register Session

---------------------------------------------------------------------------- */
function shb_register_session(){
	if( !session_id())
		session_start();
}

add_action('init','shb_register_session');



/* ----------------------------------------------------------------------------

   Load Files

---------------------------------------------------------------------------- */
if ( ! defined( 'SHB_PLUGIN_DIR' ) )
    define( 'SHB_PLUGIN_DIR', dirname( __FILE__ ) );

if ( ! defined( 'SHB_PLUGIN_URL' ) )
    define( 'SHB_PLUGIN_URL', plugin_dir_url( __FILE__ ) );



/* ----------------------------------------------------------------------------

   Load Language Files

---------------------------------------------------------------------------- */
function shb_init() {
	load_plugin_textdomain( 'sohohotel_booking', false, dirname(plugin_basename( __FILE__ ))  . '/languages/' ); 
}
add_action('init', 'shb_init');



/* ----------------------------------------------------------------------------

   Shortcodes

---------------------------------------------------------------------------- */
include 'includes/shortcodes/shb-my-account.php';
include 'includes/shortcodes/shb-booking-page.php';
include 'includes/shortcodes/shb-booking-form-1.php';
include 'includes/shortcodes/shb-booking-form-2.php';
include 'includes/shortcodes/shb-booking-form-3.php';
include 'includes/shortcodes/shb-booking-form-4.php';
include 'includes/shortcodes/shb-accommodation-listing-1.php';
include 'includes/shortcodes/shb-accommodation-listing-2.php';
include 'includes/shortcodes/shb-accommodation-listing-3.php';
include 'includes/shortcodes/shb-accommodation-carousel-1.php';
include 'includes/shortcodes/shb-accommodation-carousel-2.php';
include 'includes/shortcodes/shb-accommodation-listing-video.php';
include 'includes/shortcodes/shb-hotel-listing-1.php';
include 'includes/shortcodes/shb-hotel-listing-2.php';
include 'includes/shortcodes/shb-payment-thanks-page.php';



/* ----------------------------------------------------------------------------

   Widgets

---------------------------------------------------------------------------- */
include 'includes/widgets/shb-widget-booking.php';



/* ----------------------------------------------------------------------------

   Post types

---------------------------------------------------------------------------- */
include 'includes/post-types/shb-accommodation.php';
include 'includes/post-types/shb-booking.php';
include 'includes/post-types/shb-guestclass.php';
include 'includes/post-types/shb-restriction.php';
include 'includes/post-types/shb-season.php';
include 'includes/post-types/shb-tax.php';
include 'includes/post-types/shb-fee.php';
include 'includes/post-types/shb-coupon.php';
include 'includes/post-types/shb-discount.php';



/* ----------------------------------------------------------------------------

   Core functions

---------------------------------------------------------------------------- */
include 'includes/functions/backend/general/shb-core-functions.php';
include 'includes/functions/backend/general/shb-image-sizes.php';
include 'includes/functions/backend/general/shb-users.php';
include 'includes/functions/backend/general/shb-admin-menu.php';
include 'includes/functions/backend/general/shb-admin-fields.php';
include 'includes/functions/backend/general/shb-admin-update-settings.php';
include 'includes/functions/backend/general/shb-settings.php';
include 'includes/functions/backend/general/shb-ical.php';
include 'includes/functions/backend/general/shb-css-js.php';
include 'includes/functions/backend/general/shb-language-translation.php';
include 'includes/functions/backend/general/shb-templates.php';
include 'includes/functions/frontend/shb-datepicker/shb-datepicker.php';
include 'includes/functions/frontend/emails/shb-emails.php';



/* ----------------------------------------------------------------------------

   Booking functions

---------------------------------------------------------------------------- */
include 'includes/functions/backend/bookings/shb-admin-booking-custom-form.php';
include 'includes/functions/backend/bookings/shb-admin-booking-room.php';
include 'includes/functions/backend/bookings/shb-admin-booking-room-price.php';
include 'includes/functions/backend/bookings/shb-admin-booking-coupon.php';
include 'includes/functions/backend/bookings/shb-admin-booking-fee.php';
include 'includes/functions/backend/bookings/shb-admin-booking-guest-search.php';
include 'includes/functions/frontend/booking-page/shb-booking-page-ajax.php';



/* ----------------------------------------------------------------------------

   Page builder

---------------------------------------------------------------------------- */
include 'includes/pagebuilder/pagebuilder_booking.php';



/* ----------------------------------------------------------------------------

   Save iCal files

---------------------------------------------------------------------------- */
register_activation_hook(__FILE__, 'shb_activation');
function shb_activation() {
    if (! wp_next_scheduled ( 'shb_ical_cron' )) {
	wp_schedule_event(time(), 'hourly', 'shb_ical_cron');
    }
}

add_action('shb_ical_cron', 'shb_ical_cron_function');
function shb_ical_cron_function() {
	
	$dirname = SHB_PLUGIN_DIR . "/shb_ical";
	if (!is_dir($dirname)) {
	    mkdir($dirname);
	}

	$accommodation_ids = shb_get_all_ids('shb_accommodation');	
	foreach($accommodation_ids as $key => $room_id) {
		shb_ical_export($room_id);
	}
	
}

register_deactivation_hook(__FILE__, 'shb_deactivation');
function shb_deactivation() {
	wp_clear_scheduled_hook('shb_ical_cron');
}