<?php

/*
  Plugin Name: Soho Hotel Demo Data
  Plugin URI: http://quitenicestuff.com
  Description: Import Soho Hotel Demo Data
  Version: 3.2.2
  Author: Quite Nice Stuff
  Author URI: http://quitenicestuff.com
*/



/* ----------------------------------------------------------------------------

   Load Files

---------------------------------------------------------------------------- */
if ( ! defined( 'SH_DEMO_DATA_PLUGIN_DIR' ) )
    define( 'SH_DEMO_DATA_PLUGIN_DIR', dirname( __FILE__ ) );

if ( ! defined( 'SH_DEMO_DATA_PLUGIN_URL' ) )
    define( 'SH_DEMO_DATA_PLUGIN_URL', plugin_dir_url( __FILE__ ) );



/* ----------------------------------------------------------------------------

   Set maximum execution time

---------------------------------------------------------------------------- */

function sh_maximum_execution_time_activation(){

	$text = "
	# Maximum execution time
	<IfModule mod_php5.c>
		php_value max_execution_time 300
	</IfModule>";

	$htaccess = get_home_path().'.htaccess';
	$contents = @file_get_contents($htaccess);
	if(!strpos($htaccess,$text))
	file_put_contents($htaccess,$contents.$text);
}

function sh_maximum_execution_time_deactivation(){

	$text = "
	# Maximum execution time
	<IfModule mod_php5.c>
		php_value max_execution_time 300
	</IfModule>";

	$htaccess = get_home_path().'.htaccess';
	$contents = @file_get_contents($htaccess);
	file_put_contents($htaccess,str_replace($text,'',$contents));
	
}

register_activation_hook( __FILE__, 'sh_maximum_execution_time_activation' );
register_deactivation_hook( __FILE__, 'sh_maximum_execution_time_deactivation' );



/* ----------------------------------------------------------------------------

   Import Content

---------------------------------------------------------------------------- */
	
add_action( 'admin_menu', 'sh_demo_data_menu' );

function sh_demo_data_menu() {
	
	$parent_slug = 'sh_demo_import';
	
	add_menu_page(
		esc_html__('Demo Import', 'sohohotel_booking'),
		esc_html__('Demo Import', 'sohohotel_booking'),
		'manage_options',
		$parent_slug,
		'sh_demo_data',
		'dashicons-media-default',
		50
	);
	
}

function sh_demo_data() {
	
	$url = get_admin_url() . 'admin.php?page=sh_demo_import&sh_action=';
	
	if(!empty($_GET['sh_action'])) {
		
		if($_GET['sh_action'] == 'delete_all') {
		
			// Delete all existing data
			sh_delete_posts('shb_accommodation');
			sh_delete_posts('shb_guestclass');
			sh_delete_posts('post');
			sh_delete_posts('page');
			sh_delete_posts('testimonial');
			sh_delete_posts('attachment');
			sh_delete_post_categories();
			sh_delete_post_tags();
			sh_delete_slides();
			sh_delete_menu();
			sh_delete_widgets();
			sh_delete_posts('shb_fee');
			
			update_option( 'sh_delete_all', '1' );
			
			update_option( 'sh_import_accommodation', '' );
			update_option( 'sh_import_posts', '' );
			update_option( 'sh_import_testimonials', '' );
			update_option( 'sh_import_pages', '' );
			update_option( 'sh_import_slides', '' );
			update_option( 'sh_import_settings', '' );
			update_option( 'sh_import_menu', '' );
			update_option( 'sh_import_widgets', '' );
			update_option( 'sh_set_homepage', '' );
			update_option( 'sh_import_additional_fees', '' );
		
		}
	
		if($_GET['sh_action'] == 'import_accommodation') {
		
			// Import accommodation
			sh_import_accommodation();
			
			update_option( 'sh_import_accommodation', '1' );
		
		}
	
		if($_GET['sh_action'] == 'import_posts') {
		
			// Import posts
			sh_import_posts();
			
			update_option( 'sh_import_posts', '1' );
			
		}
	
		if($_GET['sh_action'] == 'import_testimonials') {
		
			// Import testimonials
			sh_import_testimonials();
			
			update_option( 'sh_import_testimonials', '1' );
		
		}
	
		if($_GET['sh_action'] == 'import_pages') {
		
			// Import pages
			sh_import_pages();
			
			update_option( 'sh_import_pages', '1' );
		
		}
	
		if($_GET['sh_action'] == 'import_slides') {
		
			// Import slides
			sh_import_slides();
			
			update_option( 'sh_import_slides', '1' );
		
		}
	
		if($_GET['sh_action'] == 'import_settings') {
		
			// Import settings
			sh_import_settings();
			
			update_option( 'sh_import_settings', '1' );
		
		}
	
		if($_GET['sh_action'] == 'import_menu') {
		
			// Import menus
			sh_import_menu();
			sh_import_menu_left_right();
			
			update_option( 'sh_import_menu', '1' );
		
		}
	
		if($_GET['sh_action'] == 'import_widgets') {
		
			// Import widgets
			sh_import_widgets();
			
			update_option( 'sh_import_widgets', '1' );
		
		}
	
		if($_GET['sh_action'] == 'set_homepage') {
		
			// Set homepage
			sh_set_homepage();
			
			update_option( 'sh_set_homepage', '1' );
		
		}
		
		if($_GET['sh_action'] == 'import_additional_fees') {
		
			// Import additional fees
			sh_import_additional_fees();
			
			update_option( 'sh_import_additional_fees', '1' );
		
		}
	
	}
	
	if(!empty(get_option('sh_delete_all'))) {
		$sh_delete_all = '(Done)';
	} else {
		$sh_delete_all = '';
	}
	
	if(!empty(get_option('sh_import_accommodation'))) {
		$sh_import_accommodation = '(Done)';
	} else {
		$sh_import_accommodation = '';
	}
	
	if(!empty(get_option('sh_import_posts'))) {
		$sh_import_posts = '(Done)';
	} else {
		$sh_import_posts = '';
	}
	
	if(!empty(get_option('sh_import_testimonials'))) {
		$sh_import_testimonials = '(Done)';
	} else {
		$sh_import_testimonials = '';
	}
	
	if(!empty(get_option('sh_import_pages'))) {
		$sh_import_pages = '(Done)';
	} else {
		$sh_import_pages = '';
	}
	
	if(!empty(get_option('sh_import_slides'))) {
		$sh_import_slides = '(Done)';
	} else {
		$sh_import_slides = '';
	}
	
	if(!empty(get_option('sh_import_settings'))) {
		$sh_import_settings = '(Done)';
	} else {
		$sh_import_settings = '';
	}
	
	if(!empty(get_option('sh_import_menu'))) {
		$sh_import_menu = '(Done)';
	} else {
		$sh_import_menu = '';
	}
	
	if(!empty(get_option('sh_import_widgets'))) {
		$sh_import_widgets = '(Done)';
	} else {
		$sh_import_widgets = '';
	}
	
	if(!empty(get_option('sh_set_homepage'))) {
		$sh_set_homepage = '(Done)';
	} else {
		$sh_set_homepage = '';
	} 
	
	if(!empty(get_option('sh_import_additional_fees'))) {
		$sh_import_additional_fees = '(Done)';
	} else {
		$sh_import_additional_fees = '';
	} ?>
	
	<!-- BEGIN .wrap -->
	<div class="wrap">

		<h1><?php _e('Demo Import','sohohotel_booking'); ?></h1>
			
		
		
		<?php if( function_exists('shb_get_all_ids') && function_exists('sohohotel_shortcode_updater') && class_exists('Vc_Manager') && class_exists('RevSliderFront') ){ ?>
			
			<ul>
			
				<li><a href="<?php echo $url . 'delete_all'; ?>" onclick="return confirm('Are you sure? This will DELETE all of your existing pages, posts, widgets, settings, e.g. EVERYTHING')"><?php _e('Delete all existing data','sohohotel_booking'); ?></a> <?php echo $sh_delete_all; ?></li>
			
				<?php if( !empty(get_option('sh_delete_all')) && empty(get_option('sh_import_accommodation')) ) { ?>
					<li><a href="<?php echo $url . 'import_accommodation'; ?>"><?php _e('Import Accommodation','sohohotel_booking'); ?></a> <?php echo $sh_import_accommodation; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Accommodation','sohohotel_booking'); ?> <?php echo $sh_import_accommodation; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && empty(get_option('sh_import_posts')) ) { ?>
					<li><a href="<?php echo $url . 'import_posts'; ?>"><?php _e('Import Posts','sohohotel_booking'); ?></a> <?php echo $sh_import_posts; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Posts','sohohotel_booking'); ?> <?php echo $sh_import_posts; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && empty(get_option('sh_import_testimonials')) ) { ?>
					<li><a href="<?php echo $url . 'import_testimonials'; ?>"><?php _e('Import Testimonials','sohohotel_booking'); ?></a> <?php echo $sh_import_testimonials; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Testimonials','sohohotel_booking'); ?> <?php echo $sh_import_testimonials; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && empty(get_option('sh_import_pages')) ) { ?>
					<li><a href="<?php echo $url . 'import_pages'; ?>"><?php _e('Import Pages','sohohotel_booking'); ?></a> <?php echo $sh_import_pages; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Pages','sohohotel_booking'); ?> <?php echo $sh_import_pages; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && !empty(get_option('sh_import_pages')) && empty(get_option('sh_import_slides')) ) { ?>
					<li><a href="<?php echo $url . 'import_slides'; ?>"><?php _e('Import Slides','sohohotel_booking'); ?></a> <?php echo $sh_import_slides; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Slides','sohohotel_booking'); ?> <?php echo $sh_import_slides; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && !empty(get_option('sh_import_pages')) && !empty(get_option('sh_import_slides')) && empty(get_option('sh_import_settings')) ) { ?>
					<li><a href="<?php echo $url . 'import_settings'; ?>"><?php _e('Import Settings','sohohotel_booking'); ?></a> <?php echo $sh_import_settings; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Settings','sohohotel_booking'); ?> <?php echo $sh_import_settings; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && !empty(get_option('sh_import_pages')) && !empty(get_option('sh_import_slides')) && !empty(get_option('sh_import_settings')) && empty(get_option('sh_import_menu')) ) { ?>
					<li><a href="<?php echo $url . 'import_menu'; ?>"><?php _e('Import Menu','sohohotel_booking'); ?></a> <?php echo $sh_import_menu; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Menu','sohohotel_booking'); ?> <?php echo $sh_import_menu; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && !empty(get_option('sh_import_pages')) && !empty(get_option('sh_import_slides')) && !empty(get_option('sh_import_settings')) && !empty(get_option('sh_import_menu')) && empty(get_option('sh_import_widgets')) ) { ?>
					<li><a href="<?php echo $url . 'import_widgets'; ?>"><?php _e('Import Widgets','sohohotel_booking'); ?></a> <?php echo $sh_import_widgets; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Widgets','sohohotel_booking'); ?> <?php echo $sh_import_widgets; ?></li>
				<?php } ?>
			
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && !empty(get_option('sh_import_pages')) && !empty(get_option('sh_import_slides')) && !empty(get_option('sh_import_settings')) && !empty(get_option('sh_import_menu')) && !empty(get_option('sh_import_widgets')) && empty(get_option('sh_set_homepage')) ) { ?>
					<li><a href="<?php echo $url . 'set_homepage'; ?>"><?php _e('Set Homepage','sohohotel_booking'); ?></a> <?php echo $sh_set_homepage; ?></li>
				<?php } else { ?>
					<li><?php _e('Set Homepage','sohohotel_booking'); ?> <?php echo $sh_set_homepage; ?></li>
				<?php } ?>
				
				<?php if( !empty(get_option('sh_delete_all')) && !empty(get_option('sh_import_accommodation')) && !empty(get_option('sh_import_posts')) && !empty(get_option('sh_import_testimonials')) && !empty(get_option('sh_import_pages')) && !empty(get_option('sh_import_slides')) && !empty(get_option('sh_import_settings')) && !empty(get_option('sh_import_menu')) && !empty(get_option('sh_import_widgets')) && !empty(get_option('sh_set_homepage')) && empty(get_option('sh_import_additional_fees')) ) { ?>
					<li><a href="<?php echo $url . 'import_additional_fees'; ?>"><?php _e('Import Additional Fees','sohohotel_booking'); ?></a> <?php echo $sh_import_additional_fees; ?></li>
				<?php } else { ?>
					<li><?php _e('Import Additional Fees','sohohotel_booking'); ?> <?php echo $sh_import_additional_fees; ?></li>
				<?php } ?>
			
			</ul>
		
			<p>It's recommended that you delete the demo import plugin after you've finished importing, since it has the ability to delete your entire website in a single click.</p>
			
		<?php } else { ?>
			
			<p>You must activate the following plugins before you can import the demo data:</p>
			<ol>
				<li>Soho Hotel Booking</li>
				<li>Soho Hotel Shortcodes & Post Types</li>
				<li>Slider Revolution</li>
				<li>WPBakery Page Builder</li>
			</ol>
			
		<?php } ?>
		
	<!-- END .wrap -->
	</div>
	
<?php }

/*

http://quitenicestuff2.com/import/sohohotel3/01.jpg (1920x680) (homepage slideshow)
http://quitenicestuff2.com/import/sohohotel3/11.jpg (1920x935) (homepage slideshow full screen)
http://quitenicestuff2.com/import/sohohotel3/07.jpg (1920x1000) (homepage slideshow full screen)

http://quitenicestuff2.com/import/sohohotel3/02.jpg (552x330) (homepage video)
http://quitenicestuff2.com/import/sohohotel3/03.jpg (1920x600) (call to action large and small)
http://quitenicestuff2.com/import/sohohotel3/04.jpg (80x80) (testimonial featured image)
http://quitenicestuff2.com/import/sohohotel3/05.jpg (800x500) (post featured image)
http://quitenicestuff2.com/import/sohohotel3/06.jpg (1920x250) (page title header)
http://quitenicestuff2.com/import/sohohotel3/08.jpg (650x450) (accommodation single photo gallery)
http://quitenicestuff2.com/import/sohohotel3/09.jpg (850x490)(accommodation single slideshow)
http://quitenicestuff2.com/import/sohohotel3/10.jpg (1920x700) (testimonial carousel)
http://quitenicestuff2.com/import/sohohotel3/12.jpg (1000x635) (accommodation featured image)
http://quitenicestuff2.com/import/sohohotel3/13.jpg (950x766) (accommodation video)
http://quitenicestuff2.com/import/sohohotel3/14.jpg (1000x600) (image text on homepage)
http://quitenicestuff2.com/import/sohohotel3/15.jpg (1920x1200) (contact form background on homepage)
http://quitenicestuff2.com/import/sohohotel3/16.jpg (500x460) (homepage photo gallery)

*/

function sh_delete_post_categories() {
	
	$args = array(
	    "hide_empty" => 0,
	    "type"       => "post",
	    "orderby"    => "name",
	    "order"      => "ASC"
	);
	$types = get_categories($args);

	foreach ( $types as $type) {
	    wp_delete_category( $type->term_id );
	}
	
}

function sh_delete_post_tags() {
	
	$tags = get_tags(array(
		'hide_empty' => false
	));
	
	foreach ($tags as $tag) {
		wp_delete_term( $tag->term_id, 'post_tag' );
	}
	
}

function sh_import_accommodation() {
	
	// Upload accommodation photo gallery images
	$accommodation_image_ids = '';
	$accommodation_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$accommodation_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$accommodation_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$accommodation_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$accommodation_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$accommodation_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	
	// Upload accommodation featured image
	$accommodation_featured_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/12.jpg');
	
	// Set accommodation single main content
	$post_content = '[vc_row][vc_column][rev_slider_vc alias="accommodation-single"][sohohotel_title type="title3" title1="Room Description"][vc_column_text]Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est.[/vc_column_text][vc_tta_tabs][vc_tta_section title="Room Overview" tab_id="1537784805224-44b90db2-280a"][vc_column_text]
<table>
<tbody>
<tr>
<td data-title="Column 1"><i class="fa fa-wifi"></i>Hi speed wifi</td>
<td data-title="Column 1"><i class="fa fa-plane"></i>Airport pickup</td>
<td data-title="Column 1"><i class="fa fa-phone"></i>24 hour front desk</td>
</tr>
<tr>
<td data-title="Column 2"><i class="fa fa-support"></i>Swimming pool</td>
<td data-title="Column 2"><i class="fa fa-car"></i>Chauffeur service</td>
<td data-title="Column 2"><i class="fa fa-bath"></i>Ensuite bathroom</td>
</tr>
<tr>
<td data-title="Column 3"><i class="fa fa-bed"></i>King size bed</td>
<td data-title="Column 3"><i class="fa fa-bell"></i>Room service</td>
<td data-title="Column 3"><i class="fa fa-briefcase"></i>Luggage storage</td>
</tr>
<tr>
<td data-title="Column 4"><i class="fa fa-coffee"></i>Coffee machine</td>
<td data-title="Column 4"><i class="fa fa-glass"></i>Minibar</td>
<td data-title="Column 4"><i class="fa fa-key"></i>Room safe</td>
</tr>
</tbody>
</table>
[/vc_column_text][/vc_tta_section][vc_tta_section title="Floor Plan" tab_id="1537784805248-5523af46-f2d8"][vc_column_text]Nunc congue praesent ac fringilla neque aliquam euismod sem est pellentes lorem dignissim in. Duis in convallis nulla. Ut ut placerat velit, ultricies pharetra ante. Fusce aliquam velit sed magna consectetur, at scelerisque elit lobortis. Sed lacus est, dictum eget auctor sit lorem ips dolor amet consec adipisci pellentesque mollis hend accumsan in euismod tortor posuere nisi donec malesuada feugiat dapibus.[/vc_column_text][/vc_tta_section][vc_tta_section title="Room Rates" tab_id="1537784808237-4420b1fb-8092"][vc_column_text]Duis in convallis nulla. Ut ut placerat velit, ultricies pharetra ante. Lorem ips dolor amet consec adipisci pellentesque mollis hend accumsan in euismod tortor posuere nisi donec malesuada feugiat dapibus. Nunc congue praesent ac fringilla neque aliquam euismod sem est pellentes lorem dignissim in. Fusce aliquam velit sed magna consectetur, at scelerisque elit lobortis. Sed lacus est, dictum eget auctor sit[/vc_column_text][/vc_tta_section][/vc_tta_tabs][vc_empty_space height="15px"][/vc_column][/vc_row][vc_row][vc_column][sohohotel_title type="title3" title1="Photo Gallery"][vc_column_text]

[gallery link="file" ids="' . $accommodation_image_ids . '"]

[/vc_column_text][sohohotel_title type="title3" title1="Cancellation Policy"][vc_toggle title="My flight arrives early in the morning, what time can I check in?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Is breakfast included as standard with all rooms?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Do you provide a child day care service?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_empty_space height="60px"][/vc_column][/vc_row]';
	
	// Set accommodation single short description content
	$shb_short_description = '<ul>
<li><span>Max Occupancy:</span> 2 Person(s)</li>
<li><span>Size:</span> 35-40sqm / 375-430sqf</li>
<li><span>View:</span> City</li>
</ul>';
	
	// Insert guest classes
	$guestclass_data = array(
		0 => array(
			'post_title' => 'Adult',
			'shb_guestclass_title_plural' => 'Adults'
		),
		1 => array(
			'post_title' => 'Child',
			'shb_guestclass_title_plural' => 'Children'
		)
	);
	
	foreach($guestclass_data as $val) {
		$id = sh_insert_guestclass($val);
		$guestclass_ids[] = $id;
	}
	
	// Accommodation data
	$accommodation_data = array(
		0 => array(
			'post_title' => 'Standard Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 150,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 150
		),
		1 => array(
			'post_title' => 'Ensuite Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 200,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 200
		),
		2 => array(
			'post_title' => 'Premium Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 250,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 250
		),
		3 => array(
			'post_title' => 'Premium Queen Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 300,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 300
		),
		4 => array(
			'post_title' => 'Premium King Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 350,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 350
		),
		5 => array(
			'post_title' => 'Premium Queen Suite',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 370,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 370
		),
		6 => array(
			'post_title' => 'Premium King Suite',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 400,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 400
		),
		7 => array(
			'post_title' => 'Deluxe Queen Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 460,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 460
		),
		8 => array(
			'post_title' => 'Deluxe King Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 480,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 480
		),
		9 => array(
			'post_title' => 'Premium Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 250,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 250
		),
		10 => array(
			'post_title' => 'Premium Queen Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 300,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 300
		),
		11 => array(
			'post_title' => 'Premium King Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 350,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 350
		),
		12 => array(
			'post_title' => 'Premium Queen Suite',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 370,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 370
		),
		13 => array(
			'post_title' => 'Premium King Suite',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 400,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 400
		),
		14 => array(
			'post_title' => 'Deluxe Queen Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 460,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 460
		),
		15 => array(
			'post_title' => 'Deluxe King Room',
			'post_content' => $post_content,
			'shb_short_description' => $shb_short_description,
			'shb_room_type' => 'private',
			'shb_room_quantity' => 3,
			'shb_total_min_occupancy' => 1,
			'shb_total_max_occupancy' => 6,
			'shb_guest_price_scheme' => 'charge_per_room',
			'shb_daily_price_scheme' => 'charge_same_price',
			'shb_from_price' => 480,
			'shb_from_text' => 'Per Night',
			'shb_display_booking' => 'yes',
			'shb_display_price' => 'yes',
			'shb_price' => 480
		)
	);
	
	// Set guest class accommodation data
	foreach($accommodation_data as $key1 => $val1) {
		
		foreach($guestclass_ids as $val2) {
			$accommodation_data[$key1]['shb_guestclass_' . $val2 . '_min_occupancy'] = 1;
			$accommodation_data[$key1]['shb_guestclass_' . $val2 . '_max_occupancy'] = 6;
		}
		
	}
	
	// Insert accommodation data
	foreach($accommodation_data as $val) {
		
		$accommodation_id = sh_insert_accommodation($val,$guestclass_ids);
		set_post_thumbnail( $accommodation_id, $accommodation_featured_image_id );
		
	}
	
}

function sh_import_posts() {
	
	// Upload post featured image
	$post_featured_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/05.jpg');
	
	// Add categories
	$category_city_breaks = wp_create_category( 'City Breaks' );
	$category_cocktail_party = wp_create_category( 'Cocktail Party' );
	$category_fine_dining = wp_create_category( 'Fine Dining' );
	$category_hotels = wp_create_category( 'Hotels' );
	$category_luxury_spas = wp_create_category( 'Luxury Spas' );
	$category_travel = wp_create_category( 'Travel' );
	
	// Add tags
	$tag_accommodation = wp_insert_term( 'Accommodation', 'post_tag' );
	$tag_beaches = wp_insert_term( 'Beaches', 'post_tag' );
	$tag_best_restaurants = wp_insert_term( 'Best Restaurants', 'post_tag' );
	$tag_cities = wp_insert_term( 'Cities', 'post_tag' );
	$tag_cocktail_party = wp_insert_term( 'Cocktail Party', 'post_tag' );
	$tag_hotel = wp_insert_term( 'Hotel', 'post_tag' );
	$tag_luxury = wp_insert_term( 'Luxury', 'post_tag' );
	$tag_mountain_resort = wp_insert_term( 'Mountain Resort', 'post_tag' );
	$tag_relaxing_breaks = wp_insert_term( 'Relaxing Breaks', 'post_tag' );
	$tag_spa = wp_insert_term( 'Spa', 'post_tag' );
	
	$post_content = 'Integer cursus accumsan laoreet. Nunc quis porta ligula. Cras nulla lectus, fermentum et sagittis nec, fringilla sit amet. <!--more-->Nam aliquet et tortor sed aliquet. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.

Integer sit amet aliquet leo. Sed aliquam ex id turpis mattis, sit amet porta augue laoreet. Duis euismod feugiat consectetur. Phasellus rhoncus tortor nec mi imperdiet, ut elementum metus vehicula. Maecenas sodales maximus mi sed placerat. Cras nec velit blandit, porta risus a, accumsan tellus. In hac habitasse platea dictumst. Curabitur mollis nisl sit amet pellentesque congue. Sed feugiat elit et nunc tempor eleifend. Sed ac porttitor ligula, nec efficitur justo. Nam sit amet sagittis diam, id maximus nibh.

Proin consequat, nibh ut semper rhoncus, lacus tortor laoreet ante, a fermentum felis tellus in nisl. Sed placerat ultricies quam a tincidunt. Ut ullamcorper maximus sem a pellentesque. Donec sodales tempus libero eu pellentesque. Cras venenatis nisi vel consectetur ornare. Ut euismod interdum fringilla. Donec imperdiet hendrerit est interdum pretium. Integer pharetra, arcu commodo ornare';
	
	$data = array(
		0 => array(
			'post_title' => 'This Week Only 10% Discounts On Fridays',
			'post_content' => $post_content,
			'post_category' => array($category_city_breaks),
			'tags_input' => array($tag_accommodation['term_id'])
		),
		1 => array(
			'post_title' => 'Our New York Hotel Has Been Renovated!',
			'post_content' => $post_content,
			'post_category' => array($category_cocktail_party),
			'tags_input' => array($tag_beaches['term_id'])
		),
		2 => array(
			'post_title' => 'Cocktail Party For All Guests This Saturday',
			'post_content' => $post_content,
			'post_category' => array($category_fine_dining),
			'tags_input' => array($tag_best_restaurants['term_id'])
		),
		3 => array(
			'post_title' => 'Our New Miami Beach Hotel Is Open!',
			'post_content' => $post_content,
			'post_category' => array($category_hotels),
			'tags_input' => array($tag_cities['term_id'])
		),
		4 => array(
			'post_title' => 'Celebrating 20 Years Of Soho Hotel',
			'post_content' => $post_content,
			'post_category' => array($category_luxury_spas),
			'tags_input' => array($tag_cocktail_party['term_id'])
		),
		5 => array(
			'post_title' => 'All Rooms Now Equipped With Wifi',
			'post_content' => $post_content,
			'post_category' => array($category_travel),
			'tags_input' => array($tag_hotel['term_id'])
		),
		6 => array(
			'post_title' => 'Our Michelin Star Restaurant Is Open!',
			'post_content' => $post_content,
			'post_category' => array($category_city_breaks),
			'tags_input' => array($tag_luxury['term_id'])
		),
		7 => array(
			'post_title' => 'This Week Only 10% Discounts On Fridays',
			'post_content' => $post_content,
			'post_category' => array($category_cocktail_party),
			'tags_input' => array($tag_mountain_resort['term_id'])
		),
		8 => array(
			'post_title' => 'Our New York Hotel Has Been Renovated!',
			'post_content' => $post_content,
			'post_category' => array($category_fine_dining),
			'tags_input' => array($tag_relaxing_breaks['term_id'])
		),
		9 => array(
			'post_title' => 'Cocktail Party For All Guests This Saturday',
			'post_content' => $post_content,
			'post_category' => array($category_hotels),
			'tags_input' => array($tag_spa['term_id'])
		),
		10 => array(
			'post_title' => 'Our New Miami Beach Hotel Is Open!',
			'post_content' => $post_content,
			'post_category' => array($category_luxury_spas),
			'tags_input' => array($tag_accommodation['term_id'])
		)
	);
	
	foreach($data as $val) {
		
		$post_id = sh_insert_post($val);
		set_post_thumbnail( $post_id, $post_featured_image_id );
		
	}	
	
}

function sh_delete_posts($post_type) {
	
	$post_ids = get_posts(array(
	    'fields'          => 'ids',
	    'posts_per_page'  => -1,
		'post_type' => $post_type
	));
	
	foreach ($post_ids as $post_id) {
		
		if($post_type == 'attachment') {
			wp_delete_attachment( $post_id );
		} else {
			wp_delete_post( $post_id, true );
		}
	
	}
	
}

function sh_insert_guestclass($data) {
	
	$post_id = wp_insert_post(array (
	   'post_type' => 'shb_guestclass',
	   'post_title' => $data['post_title'],
	   'post_content' => '',
	   'post_status' => 'publish',
	   'comment_status' => 'closed',
	   'ping_status' => 'closed',
	));

	// Save custom fields
	if ($post_id) {
		add_post_meta($post_id, 'shb_guestclass_title_plural', $data['shb_guestclass_title_plural'], true);
	}
	
	return $post_id;
	
}

function sh_insert_accommodation($data,$guestclass_ids) {
	
	$post_id = wp_insert_post(array (
	   'post_type' => 'shb_accommodation',
	   'post_title' => $data['post_title'],
	   'post_content' => $data['post_content'],
	   'post_status' => 'publish',
	   'comment_status' => 'closed',
	   'ping_status' => 'closed',
	));

	// Save custom fields
	if ($post_id) {
		
		foreach($guestclass_ids as $val) {
			add_post_meta($post_id, 'shb_guestclass_' . $val . '_min_occupancy', $data['shb_guestclass_' . $val . '_min_occupancy'], true);
			add_post_meta($post_id, 'shb_guestclass_' . $val . '_max_occupancy', $data['shb_guestclass_' . $val . '_max_occupancy'], true);
		}
		
		add_post_meta($post_id, 'shb_short_description', $data['shb_short_description'], true);
		add_post_meta($post_id, 'shb_room_type', $data['shb_room_type'], true);
		add_post_meta($post_id, 'shb_room_quantity', $data['shb_room_quantity'], true);
		add_post_meta($post_id, 'shb_total_min_occupancy', $data['shb_total_min_occupancy'], true);
		add_post_meta($post_id, 'shb_total_max_occupancy', $data['shb_total_max_occupancy'], true);
		add_post_meta($post_id, 'shb_guest_price_scheme', $data['shb_guest_price_scheme'], true);
		add_post_meta($post_id, 'shb_daily_price_scheme', $data['shb_daily_price_scheme'], true);
		add_post_meta($post_id, 'shb_from_price', $data['shb_from_price'], true);
		add_post_meta($post_id, 'shb_from_text', $data['shb_from_text'], true);
		add_post_meta($post_id, 'shb_display_booking', $data['shb_display_booking'], true);
		add_post_meta($post_id, 'shb_display_price', $data['shb_display_price'], true);
		
		$price['season_default']['general']['price']['day_flat']['flat'] = $data['shb_price'];
		
		add_post_meta($post_id, 'shb_pricing', $price, true);
		
	}
	
	return $post_id;
	
}

function sh_insert_image($url) {
		
	$parts = explode("/",$url);
	$upload_dir = wp_upload_dir();
	$image_data = file_get_contents($url);
	$unique_file_name = wp_unique_filename( $upload_dir['path'], end($parts) );
	$filename = basename( $unique_file_name );

	if( wp_mkdir_p( $upload_dir['path'] ) ) {
	    $file = $upload_dir['path'] . '/' . $filename;
	} else {
	    $file = $upload_dir['basedir'] . '/' . $filename;
	}

	file_put_contents( $file, $image_data );

	$wp_filetype = wp_check_filetype( $filename, null );

	$attachment = array(
	    'post_mime_type' => $wp_filetype['type'],
	    'post_title'     => sanitize_file_name( $filename ),
	    'post_content'   => '',
	    'post_status'    => 'inherit'
	);
	
	$attach_id = wp_insert_attachment( $attachment, $file);
	require_once(ABSPATH . 'wp-admin/includes/image.php');
	$attach_data = wp_generate_attachment_metadata( $attach_id, $file );
	wp_update_attachment_metadata( $attach_id, $attach_data );
	
	return $attach_id;
	
}

function sh_insert_post($data) {
	
	$post_id = wp_insert_post(array (
	   'post_type' => 'post',
	   'post_title' => $data['post_title'],
	   'post_content' => $data['post_content'],
	   'post_status' => 'publish',
	   'comment_status' => 'open',
	   'ping_status' => 'closed',
	   'post_category' => $data['post_category'],
	   'tags_input' => $data['tags_input']
	));
	
	return $post_id;
	
}

function sh_insert_testimonial($data) {
	
	$post_id = wp_insert_post(array (
	   'post_type' => 'testimonial',
	   'post_title' => $data['post_title'],
	   'post_content' => $data['post_content'],
	   'post_status' => 'publish',
	   'comment_status' => 'closed',
	   'ping_status' => 'closed'
	));
	
	// Save custom fields
	if ($post_id) {
		
		add_post_meta($post_id, 'sohohotel_testimonial_name', $data['sohohotel_testimonial_name'], true);
		add_post_meta($post_id, 'sohohotel_testimonial_other_details', $data['sohohotel_testimonial_other_details'], true);
		
	}
	
	return $post_id;
	
}

function sh_import_testimonials() {
	
	// Upload post featured image
	$testimonial_featured_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/04.jpg');
	
	$post_content = 'Fusce mi vitae at vestibulum sed porttitor bibendum nulla quisque blandit odio ac pretium semper nulla sed nisl mauris massa ex tincidunt suscipit sit viverra!<!--more-->et, faucibus luctus mi. Etiam euismod egestas mauris, sit amet tincidunt eros imperdiet vel. Nulla aliquam felis at sagittis tristique. Vestibulum a lectus metus. Mauris maximus id ante et eleifend. Aenean vitae mauris nec justo cursus ultrices ac a nunc. Vestibulum fringilla turpis a tortor gravida feugiat. Mauris non ex arcu. Sed nunc orci, dignissim ut ligula molestie, viverra rutrum mauris. Aliquam egestas ullamcorper nulla sit amet viverra. Nunc facilisis ut nisi id tristique. Pellentesque suscipit sit amet quam mollis pharetra. Vestibulum eu mollis arcu. ';
	
	$data = array(
		0 => array(
			'post_title' => 'Testimonial #1',
			'post_content' => $post_content,
			'sohohotel_testimonial_name' => 'Gary Goldman',
			'sohohotel_testimonial_other_details' => 'Standard Room'
		),
		1 => array(
			'post_title' => 'Testimonial #2',
			'post_content' => $post_content,
			'sohohotel_testimonial_name' => 'Maria Cole',
			'sohohotel_testimonial_other_details' => 'Deluxe Harbour Suite'
		),
		2 => array(
			'post_title' => 'Testimonial #3',
			'post_content' => $post_content,
			'sohohotel_testimonial_name' => 'Chris Jones',
			'sohohotel_testimonial_other_details' => 'Deluxe Ensuite Room'
		),
		3 => array(
			'post_title' => 'Testimonial #4',
			'post_content' => $post_content,
			'sohohotel_testimonial_name' => 'Dave Turner',
			'sohohotel_testimonial_other_details' => 'Premium King Room'
		),
		4 => array(
			'post_title' => 'Testimonial #5',
			'post_content' => $post_content,
			'sohohotel_testimonial_name' => 'Tina Miles',
			'sohohotel_testimonial_other_details' => 'Deluxe King Suite'
		)
	);
	
	foreach($data as $val) {
		
		$post_id = sh_insert_testimonial($val);
		set_post_thumbnail( $post_id, $testimonial_featured_image_id );
		
	}	
	
}

function sh_insert_page($data) {
	
	$post_id = wp_insert_post(array (
	   'post_type' => 'page',
	   'post_title' => $data['post_title'],
	   'post_content' => $data['post_content'],
	   'post_status' => 'publish',
	   'comment_status' => 'closed',
	   'ping_status' => 'closed'
	));
	
	// Save custom fields
	if ($post_id) {
		
		add_post_meta($post_id, 'sohohotel_page_layout', $data['sohohotel_page_layout'], true);
		add_post_meta($post_id, 'sohohotel_title_style', $data['sohohotel_title_style'], true);
		
	}
	
	return $post_id;
	
}

function sh_import_pages() {
	
	/* ----------------------------------------------------------------------------

	   About Us 1

	---------------------------------------------------------------------------- */
	
	$about_us_1_image_ids = '';
	$about_us_1_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$about_us_1_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$about_us_1_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$about_us_1_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg') . ',';
	$about_us_1_video_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/02.jpg');
	
	$about_us_1_page_content = '<p>[vc_row][vc_column width="1/2"][sohohotel_title type="title3" title1="Our Hotel"][vc_column_text]Maecenas feugiat mattis ipsum, vitae semper massa porttitor sit amet. Nulla mattis, urna et posuere ornare, neque leo dapibus ante, nec dignissim massa felis sed nulla. Donec porttitor nulla et tristique dignissim. Cras vulputate iaculis metus ac rutrum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque vel justo accumsan, rutrum ante eu, consectetur elit. Nam eget nulla in nibh gravida condimentum non sed nisi. Integer ipsum nisl, porta id venenatis quis, fringilla ac est nulla lorem nunc, viverra at aliquet at.</p>
<p>Nunc et tincidunt nisl. Etiam vitae lobortis eros. Cras quis vehicula odio. Ut euismod nunc quis nisi facilisis dapibus. Vestibulum dignissim sem id velit dignissim ornare. Nunc feugiat aliquam arcu, nec hendrerit leo bibendum vel. Sed iaculis, urna nec venenatis venenatis, turpis urna gravida arcu, et condimentum nunc libero nec libero. Nunc vitae aliquet nisi, nec hendrerit risus. Aenean rhoncus erat felis, sit amet placerat est convallis at.[/vc_column_text][vc_empty_space][/vc_column][vc_column width="1/2"][vc_column_text]</p>
<p>[gallery link="file" columns="2" ids="' . $about_us_1_image_ids . '"]</p>
<p>[/vc_column_text][vc_empty_space][/vc_column][/vc_row][vc_row][vc_column width="1/2"][sohohotel_title type="title3" title1="Video Tour"][sohohotel_video_thumbnail thumbnail_url="' . $about_us_1_video_image_id . '" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][vc_empty_space height="80px"][/vc_column][vc_column width="1/2"][sohohotel_title type="title3" title1="Video Tour"][vc_tta_tabs][vc_tta_section title="Our Rooms" tab_id="1537771879600-6d972c55-0c88"][vc_column_text]Lorem ips dolor amet consec adipisci pellentesque mollis hend accumsan in euismod tortor posuere nisi donec malesuada feugiat dapibus. Nunc congue praesent ac fringilla neque aliquam euismod sem est pellentes lorem dignissim in. Duis in convallis nulla. Ut ut placerat velit, ultricies pharetra ante. Fusce aliquam velit sed magna consectetur, at scelerisque.</p>
<p>Elit lobortis. Sed lacus est, dictum eget auctor sit amet, gravida in ipsum. Mauris eget nibh lorem. In imperdiet nec ligula vel vulputate. Nam convallis, urna id lobortis facilisis, velit turpis facilisis eros, eget ultrices enim diam in quam. Ut est elit, rutrum ac hendrerit vel, hendrerit sit amet eros nunc.[/vc_column_text][/vc_tta_section][vc_tta_section title="Luxury Spa" tab_id="1537771879649-b69780bf-5b72"][vc_column_text]Elit lobortis. Sed lacus est, dictum eget auctor sit amet, gravida in ipsum. Mauris eget nibh lorem. In imperdiet nec ligula vel vulputate. Nam convallis, urna id lobortis facilisis, velit turpis facilisis eros, eget ultrices enim diam in quam. Ut est elit, rutrum ac hendrerit vel, hendrerit sit amet eros nunc.</p>
<p>Lorem ips dolor amet consec adipisci pellentesque mollis hend accumsan in euismod tortor posuere nisi donec malesuada feugiat dapibus. Nunc congue praesent ac fringilla neque aliquam euismod sem est pellentes lorem dignissim in. Duis in convallis nulla. Ut ut placerat velit, ultricies pharetra ante. Fusce aliquam velit sed magna consectetur, at scelerisque.[/vc_column_text][/vc_tta_section][vc_tta_section title="Airport Transfer" tab_id="1537771882104-b19ba0b8-3eac"][vc_column_text]Lorem ips dolor amet consec adipisci pellentesque mollis hend accumsan in euismod tortor posuere nisi donec malesuada feugiat dapibus. Nunc congue praesent ac fringilla neque aliquam euismod sem est pellentes lorem dignissim in. Duis in convallis nulla. Ut ut placerat velit, ultricies pharetra ante. Fusce aliquam velit sed magna consectetur, at scelerisque.</p>
<p>Elit lobortis. Sed lacus est, dictum eget auctor sit amet, gravida in ipsum. Mauris eget nibh lorem. In imperdiet nec ligula vel vulputate. Nam convallis, urna id lobortis facilisis, velit turpis facilisis eros, eget ultrices enim diam in quam. Ut est elit, rutrum ac hendrerit vel, hendrerit sit amet eros nunc.[/vc_column_text][/vc_tta_section][/vc_tta_tabs][vc_empty_space height="60px"][/vc_column][/vc_row]</p>';
	
	$about_us_1_data = array(
		'post_title' => 'About Us 1',
		'post_content' => $about_us_1_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	
	sh_insert_page($about_us_1_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   About Us 2

	---------------------------------------------------------------------------- */
	
	$about_us_2_page_content = '[vc_row][vc_column width="1/2"][sohohotel_title type="title3" title1="Our Hotel"][vc_column_text]Aenean et ultrices neque. Proin pretium, felis in maximus consectetur, sapien est lacinia leo, vel consectetur velit dui at nisi. Vestibulum non ante metus. Aliquam auctor lacus pretium, accumsan libero in, aliquam lacus vestibulum est lacus.
<ul class="border-list">
 	<li>Cras efficitur iaculis vulputate curabitur eros dolor</li>
 	<li>Aliquam in est sed dictum facilisis urna et commodo</li>
 	<li>Suspendisse ex arcu, consequat ac blandit</li>
 	<li>Morbi imperdiet ornare dui maecenas ultrices eget est</li>
</ul>
[/vc_column_text][vc_empty_space height="10px"][/vc_column][vc_column width="1/2"][sohohotel_video_thumbnail thumbnail_url="' . $about_us_1_video_image_id . '" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][vc_empty_space height="40px"][/vc_column][/vc_row][vc_row][vc_column width="1/2"][sohohotel_title type="title3" title1="Testimonials"][sohohotel_testimonials_carousel posts_per_page="3"][vc_empty_space height="80px"][/vc_column][vc_column width="1/2"][sohohotel_title type="title3" title1="Hotel Facilities"][vc_column_text]Maecenas feugiat mattis ipsum, vitae semper massa porttitor sit amet. Nulla mattis, urna et posuere ornare, neque leo dapibus ante, nec dignissim massa felis sed nulla. Donec porttitor nulla et tristique dignissim. Cras vulputate iaculis metus ac rutrum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque vel justo accumsan, rutrum ante eu, consectetur elit. Nam eget nulla in nibh gravida condimentum non sed nisi. Integer ipsum nisl, porta id venenatis quis, fringilla ac est nulla lorem nunc, viverra at aliquet at.

Nunc et tincidunt nisl. Etiam vitae lobortis eros. Cras quis vehicula odio. Ut euismod nunc quis nisi facilisis dapibus. Vestibulum dignissim sem id velit dignissim ornare. Nunc feugiat aliquam arcu, nec hendrerit leo bibendum vel. Sed iaculis, urna nec venenatis venenatis, turpis urna gravida arcu, et condimentum nunc libero nec libero. Nunc vitae aliquet nisi, nec hendrerit risus. Aenean rhoncus erat felis, sit amet placerat est convallis at donec sed congue justo aliquam mollis congue leo vestibulum vitae auctor dolor.[/vc_column_text][vc_empty_space height="60px"][/vc_column][/vc_row]';
	
	$about_us_2_data = array(
		'post_title' => 'About Us 2',
		'post_content' => $about_us_2_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	
	sh_insert_page($about_us_2_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Carousel 1

	---------------------------------------------------------------------------- */

	$accommodation_carousel_1_page_content = '<p>[vc_row css=".vc_custom_1538387930947{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 80px !important;padding-right: 0px !important;padding-bottom: 80px !important;padding-left: 0px !important;background-color: #1c1c1c !important;}"][vc_column css=".vc_custom_1537520810268{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_title type="title2" title1="Our Rooms" text_color="2"][vc_column_text el_class="sohohotel-accommodation-carousel-text"]</p>
<p style="text-align: center;"><span style="color: #ffffff;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla.</span></p>
<p>[/vc_column_text][shb_accommodation_carousel_1 rooms_per_page="9"][/vc_column][/vc_row]</p>';
	
	$accommodation_carousel_1_data = array(
		'post_title' => 'Accommodation Carousel 1',
		'post_content' => $accommodation_carousel_1_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	
	sh_insert_page($accommodation_carousel_1_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Carousel 2

	---------------------------------------------------------------------------- */
	
	$accommodation_carousel_2_page_content = '<p>[vc_row css=".vc_custom_1538388018732{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538018149634{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][shb_accommodation_carousel_2][/vc_column][/vc_row]</p>';
	
	$accommodation_carousel_2_data = array(
		'post_title' => 'Accommodation Carousel 2',
		'post_content' => $accommodation_carousel_2_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	
	sh_insert_page($accommodation_carousel_2_data);
	

	
	/* ----------------------------------------------------------------------------

	   Accommodation Listing Video

	---------------------------------------------------------------------------- */
	
	$accommodation_listing_video_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/13.jpg');
	
	$accommodation_listing_video_page_content = '<p>[vc_row fixed_width="true" css=".vc_custom_1538388126265{margin-top: 80px !important;}"][vc_column][sohohotel_title type="title2" title1="Our Rooms"][vc_column_text]</p>
<p style="text-align: center;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla</p>
<p>[/vc_column_text][/vc_column][/vc_row][vc_row css=".vc_custom_1538104469940{margin-bottom: 80px !important;}"][vc_column][shb_accommodation_listing_video video_thumbnail="' . $accommodation_listing_video_image_id . '" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][/vc_column][/vc_row]</p>';
	
	$accommodation_listing_video_data = array(
		'post_title' => 'Accommodation Listing Video',
		'post_content' => $accommodation_listing_video_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	
	sh_insert_page($accommodation_listing_video_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 1 - 1 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_1_1_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_1 columns="1" rooms_per_page="4"][/vc_column][/vc_row]';
	$accommodation_style_1_1_columns_data = array(
		'post_title' => 'Accommodation Style 1 - 1 Columns',
		'post_content' => $accommodation_style_1_1_columns_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_1_1_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 1 - 2 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_1_2_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_1 columns="2" rooms_per_page="6"][/vc_column][/vc_row]';
	$accommodation_style_1_2_columns_data = array(
		'post_title' => 'Accommodation Style 1 - 2 Columns',
		'post_content' => $accommodation_style_1_2_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_1_2_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 1 - 3 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_1_3_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_1 columns="3" rooms_per_page="6"][/vc_column][/vc_row]';
	$accommodation_style_1_3_columns_data = array(
		'post_title' => 'Accommodation Style 1 - 3 Columns',
		'post_content' => $accommodation_style_1_3_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_1_3_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 1 - 4 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_1_4_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_1 columns="4" rooms_per_page="8"][/vc_column][/vc_row]';
	$accommodation_style_1_4_columns_data = array(
		'post_title' => 'Accommodation Style 1 - 4 Columns',
		'post_content' => $accommodation_style_1_4_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_1_4_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 1 - 5 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_1_5_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_1 columns="5" rooms_per_page="10"][/vc_column][/vc_row]';
	$accommodation_style_1_5_columns_data = array(
		'post_title' => 'Accommodation Style 1 - 5 Columns',
		'post_content' => $accommodation_style_1_5_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_1_5_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 2 - 1 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_2_1_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_2 columns="1" rooms_per_page="4"][/vc_column][/vc_row]';
	$accommodation_style_2_1_columns_data = array(
		'post_title' => 'Accommodation Style 2 - 1 Columns',
		'post_content' => $accommodation_style_2_1_columns_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_2_1_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 2 - 2 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_2_2_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_2 columns="2" rooms_per_page="6"][/vc_column][/vc_row]';
	$accommodation_style_2_2_columns_data = array(
		'post_title' => 'Accommodation Style 2 - 2 Columns',
		'post_content' => $accommodation_style_2_2_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_2_2_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 2 - 3 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_2_3_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_2 columns="3" rooms_per_page="9"][/vc_column][/vc_row]';
	$accommodation_style_2_3_columns_data = array(
		'post_title' => 'Accommodation Style 2 - 3 Columns',
		'post_content' => $accommodation_style_2_3_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_2_3_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 2 - 4 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_2_4_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_2 columns="4" rooms_per_page="12"][/vc_column][/vc_row]';
	$accommodation_style_2_4_columns_data = array(
		'post_title' => 'Accommodation Style 2 - 4 Columns',
		'post_content' => $accommodation_style_2_4_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_2_4_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 2 - 5 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_2_5_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_2 columns="5" rooms_per_page="15"][/vc_column][/vc_row]';
	$accommodation_style_2_5_columns_data = array(
		'post_title' => 'Accommodation Style 2 - 5 Columns',
		'post_content' => $accommodation_style_2_5_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_2_5_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 3 - 1 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_3_1_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_3 columns="1" rooms_per_page="3"][/vc_column][/vc_row]';
	$accommodation_style_3_1_columns_data = array(
		'post_title' => 'Accommodation Style 3 - 1 Columns',
		'post_content' => $accommodation_style_3_1_columns_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_3_1_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 3 - 2 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_3_2_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_3 columns="2" rooms_per_page="6"][/vc_column][/vc_row]';
	$accommodation_style_3_2_columns_data = array(
		'post_title' => 'Accommodation Style 3 - 2 Columns',
		'post_content' => $accommodation_style_3_2_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_3_2_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 3 - 3 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_3_3_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_3 columns="3" rooms_per_page="9"][/vc_column][/vc_row]';
	$accommodation_style_3_3_columns_data = array(
		'post_title' => 'Accommodation Style 3 - 3 Columns',
		'post_content' => $accommodation_style_3_3_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_3_3_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 3 - 4 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_3_4_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_3 columns="4" rooms_per_page="12"][/vc_column][/vc_row]';
	$accommodation_style_3_4_columns_data = array(
		'post_title' => 'Accommodation Style 3 - 4 Columns',
		'post_content' => $accommodation_style_3_4_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_3_4_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Accommodation Style 3 - 5 Columns

	---------------------------------------------------------------------------- */
	$accommodation_style_3_5_columns_page_content = '[vc_row][vc_column][shb_accommodation_listing_3 columns="5" rooms_per_page="15"][/vc_column][/vc_row]';
	$accommodation_style_3_5_columns_data = array(
		'post_title' => 'Accommodation Style 3 - 5 Columns',
		'post_content' => $accommodation_style_3_5_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($accommodation_style_3_5_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Booking

	---------------------------------------------------------------------------- */
	$booking_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/07.jpg');
	$booking_image_id_url = wp_get_attachment_image_src( $booking_image_id, 'full' );
	$booking_page_content = '[vc_row css=".vc_custom_1563182493706{background-image: url(' . $booking_image_id_url[0] . ') !important;}" el_class="shb-background-fixed"][vc_column css=".vc_custom_1563352254950{margin-top: 0px !important;margin-bottom: 0px !important;border-top-width: 0px !important;border-bottom-width: 0px !important;padding-top: 0px !important;padding-bottom: 0px !important;}"][shb_booking_page][/vc_column][/vc_row]';
	$booking_data = array(
		'post_title' => 'Bookings',
		'post_content' => $booking_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($booking_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Booking Form 1

	---------------------------------------------------------------------------- */
	$booking_form_1_content = '[vc_row css=".vc_custom_1563179667440{margin-bottom: 70px !important;}"][vc_column][shb_booking_form_1][/vc_column][/vc_row]';
	$booking_form_1_data = array(
		'post_title' => 'Booking Form 1',
		'post_content' => $booking_form_1_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($booking_form_1_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Booking Form 2

	---------------------------------------------------------------------------- */
	$booking_form_2_content = '[vc_row css=".vc_custom_1563179667440{margin-bottom: 70px !important;}"][vc_column][shb_booking_form_2][/vc_column][/vc_row]';
	$booking_form_2_data = array(
		'post_title' => 'Booking Form 2',
		'post_content' => $booking_form_2_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($booking_form_2_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Booking Form 3

	---------------------------------------------------------------------------- */
	$booking_form_3_content = '[vc_row css=".vc_custom_1563179667440{margin-bottom: 70px !important;}"][vc_column][shb_booking_form_3][/vc_column][/vc_row]';
	$booking_form_3_data = array(
		'post_title' => 'Booking Form 3',
		'post_content' => $booking_form_3_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($booking_form_3_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Booking Form 4

	---------------------------------------------------------------------------- */
	$booking_form_4_content = '[vc_row css=".vc_custom_1563179667440{margin-bottom: 70px !important;}"][vc_column][shb_booking_form_4][/vc_column][/vc_row]';
	$booking_form_4_data = array(
		'post_title' => 'Booking Form 4',
		'post_content' => $booking_form_4_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($booking_form_4_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Contact Details

	---------------------------------------------------------------------------- */
	$contact_details_content = '<p>[vc_row][vc_column width="1/6"][/vc_column][vc_column width="2/3"][sohohotel_title type="title3" title1="Contact Details"][sohohotel_contact_details address="55 Columbus Circle, New York, NY, USA" phone="1111-2222-3333" email="booking@example.com"][vc_empty_space height="80px"][/vc_column][vc_column width="1/6"][/vc_column][/vc_row]</p>';
	$contact_details_data = array(
		'post_title' => 'Contact Details',
		'post_content' => $contact_details_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($contact_details_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Contact Form

	---------------------------------------------------------------------------- */
	$contact_form_7_1_data = array(
		'post_title' => 'Contact Us 3',
		'post_content' => '<div class="sohohotel-clearfix"><div class="sohohotel-one-half"><label>Full Name:</label>[text* your-name]</div><div class="sohohotel-one-half"><label>Number of Guests:</label><div class="sohohotel-select-wrapper"><i class="fa fa-angle-down"></i>[select number-of-guests "1" "2" "3" "4" "5" "6" "7" "8" "9" "10"]</div></div></div><div class="sohohotel-clearfix"><div class="sohohotel-one-half"><label>Check In:</label>[date check-in]</div><div class="sohohotel-one-half"><label>Check Out:</label>[date check-out]</div></div><div class="sohohotel-clearfix"><label>Room Interested In:</label><div class="sohohotel-select-wrapper"><i class="fa fa-angle-down"></i>[select room-interested-in "Standard Room" "Deluxe Room" "Queen Suite" "King Suite"]</div></div><div class="sohohotel-clearfix"><div class="sohohotel-one-half"><label>Your Email: </label>[email* your-email]</div><div class="sohohotel-one-half"><label>Phone Number: </label>[tel phone-number]</div></div><div class="sohohotel-clearfix"><label>Special Requirements:</label>[textarea your-message]</div>[submit "Get In Touch"]'
	);
	$contact_form_7_1_id = sh_insert_contact_form_7($contact_form_7_1_data);
	$contact_form_image_id = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/15.jpg');
	$contact_form_image_id_url = wp_get_attachment_image_src( $booking_image_id, 'full' );
	$contact_form_content = '<p>[vc_row el_class="sohohotel-dark-contact-form" css=".vc_custom_1538120217625{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 0px !important;padding-bottom: 80px !important;padding-left: 0px !important;background-image: url(' . $booking_image_id_url[0] . ') !important;}"][vc_column][sohohotel_title type="title2" title1="Contact Us"][contact-form-7 id="' . $contact_form_7_1_id . '"][/vc_column][/vc_row]</p>';
	$contact_form_data = array(
		'post_title' => 'Contact Form',
		'post_content' => $contact_form_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($contact_form_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Contact Us 1

	---------------------------------------------------------------------------- */
	$contact_form_7_2_data = array(
		'post_title' => 'Contact Us 1',
		'post_content' => '<label>Your Name <span>*</span></label>[text* your-name]<label>Your Email <span>*</span></label>[email* your-email]<label>Subject</label>[text your-subject]<label>Your Message <span>*</span></label>[textarea* your-message class:sohohotel-cf7-form1][submit "Send"]'
);
	$contact_form_7_2_id = sh_insert_contact_form_7($contact_form_7_2_data);
	$contact_us_1_content = '[vc_row][vc_column width="1/2"][sohohotel_title type="title3" title1="Get In Touch"][vc_column_text]Duis commodo ipsum quis ante venenatis rhoncus. Vivamus imperdiet felis ac facilisis hendrerit. Nulla eu elementum ex, ut pulvinar est. Nam aliquet et tortor sed aliquet. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Integer sit amet aliquet leo sed aliquam ex.[/vc_column_text][contact-form-7 id="' . $contact_form_7_2_id . '"][vc_empty_space height="40px"][/vc_column][vc_column width="1/2"][sohohotel_title type="title3" title1="Contact Details"][sohohotel_contact_details address="55 Columbus Circle, New York, NY, USA" phone="1111-2222-3333" email="booking@example.com"][sohohotel_title type="title3" title1="Social Media"][sohohotel_social_media facebook="#" instagram="#" pinterest="#" twitter="#" youtube="#"][vc_empty_space height="40px"][sohohotel_googlemap height="380px"][vc_empty_space height="80px"][/vc_column][/vc_row]';
	$contact_us_1_data = array(
		'post_title' => 'Contact Us 1',
		'post_content' => $contact_us_1_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($contact_us_1_data);
	
	

	/* ----------------------------------------------------------------------------

	   Contact Us 2

	---------------------------------------------------------------------------- */
	$contact_form_7_3_data = array(
		'post_title' => 'Contact Us 2',
		'post_content' => '<label>Your Name <span>*</span></label>[text* your-name]<label>Your Email <span>*</span></label>[email* your-email]<label>Subject</label>[text your-subject]<label>Your Message <span>*</span></label>[textarea* your-message class:sohohotel-cf7-form2][submit "Send"]'
);
	$contact_form_7_3_id = sh_insert_contact_form_7($contact_form_7_3_data);
	$contact_us_2_content = '[vc_row][vc_column width="1/2"][sohohotel_title type="title3" title1="Get In Touch"][vc_column_text]Duis commodo ipsum quis ante venenatis rhoncus. Vivamus imperdiet felis ac facilisis hendrerit. Nulla eu elementum ex, ut pulvinar est. Nam aliquet et tortor sed aliquet. Pellentesque habitant morbi tristique senectus et netus et malesuada[/vc_column_text][sohohotel_title type="title3" title1="Social Media"][sohohotel_social_media facebook="#" instagram="#" pinterest="#" twitter="#" youtube="#"][vc_empty_space height="40px"][contact-form-7 id="' . $contact_form_7_3_id . '"][vc_empty_space height="40px"][/vc_column][vc_column width="1/2"][sohohotel_googlemap height="260px"][vc_empty_space height="35px"][sohohotel_title type="title3" title1="New York City"][sohohotel_contact_details type="2" address="55 Columbus Circle, New York, NY, USA" phone="1111-2222-3333"][sohohotel_googlemap map_id="2" height="260px" latitude="34.081796" longitude="-118.413395"][vc_empty_space height="35px"][sohohotel_title type="title3" title1="Los Angeles"][sohohotel_contact_details type="2" address="55 Columbus Circle, New York, NY, USA" phone="1111-2222-3333"][vc_empty_space height="60px"][/vc_column][/vc_row]';
	$contact_us_2_data = array(
		'post_title' => 'Contact Us 2',
		'post_content' => $contact_us_2_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($contact_us_2_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Contact Us 3

	---------------------------------------------------------------------------- */
	$contact_form_7_4_data = array(
		'post_title' => 'Contact Us 3',
		'post_content' => '<label>Your Name <span>*</span></label>[text* your-name]<label>Your Email <span>*</span></label>[email* your-email]<label>Subject</label>[text your-subject]<label>Your Message <span>*</span></label>[textarea* your-message class:sohohotel-cf7-form2][submit "Send"]'
);
	$contact_form_7_4_id = sh_insert_contact_form_7($contact_form_7_4_data);
	$contact_us_3_content = '<p>[vc_row][vc_column width="1/2"][contact-form-7 id="' . $contact_form_7_4_id . '"][vc_empty_space height="40px"][/vc_column][vc_column width="1/2"][sohohotel_title type="title3" title1="Get In Touch"][vc_column_text]Duis commodo ipsum quis ante venenatis rhoncus. Vivamus imperdiet felis ac facilisis hendrerit. Nulla eu elementum ex, ut pulvinar est. Nam aliquet et tortor sed aliquet. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Integer sit amet aliquet leo sed aliquam ex.[/vc_column_text][sohohotel_title type="title3" title1="Contact Details"][sohohotel_contact_details address="55 Columbus Circle, New York, NY, USA" phone="1111-2222-3333" email="booking@example.com"][vc_empty_space height="10px"][sohohotel_title type="title3" title1="Social Media"][sohohotel_social_media facebook="#" instagram="#" pinterest="#" twitter="#" youtube="#"][vc_empty_space height="50px"][/vc_column][/vc_row][vc_row][vc_column][sohohotel_googlemap height="370px"][vc_empty_space height="80px"][/vc_column][/vc_row]</p>
';
	$contact_us_3_data = array(
		'post_title' => 'Contact Us 3',
		'post_content' => $contact_us_3_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($contact_us_3_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Full Width

	---------------------------------------------------------------------------- */
	$full_width_content = '[vc_row css=".vc_custom_1537608225703{margin-bottom: 80px !important;}"][vc_column][vc_column_text]
<h1>H1 Tag</h1>
Nullam erat felis, pellentesque non egestas nec, <a href="#">vulputate id odio</a>. Donec mattis nec orci ut porta. Donec pharetra <a href="#">convallis augue</a> in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h2>H2 Tag</h2>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h3>H3 Tag</h3>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h4>H4 Tag</h4>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h5>H5 Tag</h5>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h6>H6 Tag</h6>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.[/vc_column_text][/vc_column][/vc_row]
';
	$full_width_data = array(
		'post_title' => 'Full Width',
		'post_content' => $full_width_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($full_width_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery Images

	---------------------------------------------------------------------------- */
	
	$gal_img_1 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_2 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_3 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_4 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_5 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_6 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_7 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_8 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_9 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_10 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_11 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_12 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_13 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_14 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_15 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_16 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_17 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_18 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_19 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$gal_img_20 = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	
	$gal_6_items = $gal_img_1 . ',' . $gal_img_2 . ',' . $gal_img_3 . ',' . $gal_img_4 . ',' . $gal_img_5 . ',' . $gal_img_6; 
	$gal_9_items = $gal_img_1 . ',' . $gal_img_2 . ',' . $gal_img_3 . ',' . $gal_img_4 . ',' . $gal_img_5 . ',' . $gal_img_6 . ',' . $gal_img_7 . ',' . $gal_img_8 . ',' . $gal_img_9;
	$gal_16_items = $gal_img_1 . ',' . $gal_img_2 . ',' . $gal_img_3 . ',' . $gal_img_4 . ',' . $gal_img_5 . ',' . $gal_img_6 . ',' . $gal_img_7 . ',' . $gal_img_8 . ',' . $gal_img_9 . ',' . $gal_img_10 . ',' . $gal_img_11 . ',' . $gal_img_12 . ',' . $gal_img_13 . ',' . $gal_img_14 . ',' . $gal_img_15 . ',' . $gal_img_16;
	$gal_20_items = $gal_img_1 . ',' . $gal_img_2 . ',' . $gal_img_3 . ',' . $gal_img_4 . ',' . $gal_img_5 . ',' . $gal_img_6 . ',' . $gal_img_7 . ',' . $gal_img_8 . ',' . $gal_img_9 . ',' . $gal_img_10 . ',' . $gal_img_11 . ',' . $gal_img_12 . ',' . $gal_img_13 . ',' . $gal_img_14 . ',' . $gal_img_15 . ',' . $gal_img_16 . ',' . $gal_img_17 . ',' . $gal_img_18 . ',' . $gal_img_19 . ',' . $gal_img_20;
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 1 Column Full Width

	---------------------------------------------------------------------------- */
	$gallery_1_column_full_width_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text][gallery link="file" columns="1" ids="' . $gal_6_items . '"][/vc_column_text][/vc_column][/vc_row]';
	$gallery_1_column_full_width_data = array(
		'post_title' => 'Gallery 1 Column Full Width',
		'post_content' => $gallery_1_column_full_width_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_1_column_full_width_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 1 Column Sidebar

	---------------------------------------------------------------------------- */
	$gallery_1_column_sidebar_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text][gallery link="file" columns="1" ids="' . $gal_6_items . '"][/vc_column_text][/vc_column][/vc_row]';
	$gallery_1_column_sidebar_data = array(
		'post_title' => 'Gallery 1 Column Sidebar',
		'post_content' => $gallery_1_column_sidebar_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);	
	sh_insert_page($gallery_1_column_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 2 Columns Full Width

	---------------------------------------------------------------------------- */	
	$gallery_2_columns_full_width_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text][gallery link="file" columns="2" ids="' . $gal_6_items . '"][/vc_column_text][/vc_column][/vc_row]';
	$gallery_2_columns_full_width_data = array(
		'post_title' => 'Gallery 2 Columns Full Width',
		'post_content' => $gallery_2_columns_full_width_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_2_columns_full_width_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 2 Columns Sidebar

	---------------------------------------------------------------------------- */	
	$gallery_2_columns_sidebar_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text][gallery link="file" columns="2" ids="' . $gal_6_items . '"][/vc_column_text][/vc_column][/vc_row]';
	$gallery_2_columns_sidebar_data = array(
		'post_title' => 'Gallery 2 Columns Sidebar',
		'post_content' => $gallery_2_columns_sidebar_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_2_columns_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 3 Columns Full Width

	---------------------------------------------------------------------------- */	
	$gallery_3_columns_full_width_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[gallery link="file" ids="' . $gal_9_items . '"]
[/vc_column_text][/vc_column][/vc_row]';
	$gallery_3_columns_full_width_data = array(
		'post_title' => 'Gallery 3 Columns Full Width',
		'post_content' => $gallery_3_columns_full_width_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_3_columns_full_width_data);
	
	

	/* ----------------------------------------------------------------------------

	   Gallery 3 Columns Sidebar

	---------------------------------------------------------------------------- */	
	$gallery_3_columns_sidebar_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[gallery link="file" ids="' . $gal_9_items . '"]
[/vc_column_text][/vc_column][/vc_row]';
	$gallery_3_columns_sidebar_data = array(
		'post_title' => 'Gallery 3 Columns Sidebar',
		'post_content' => $gallery_3_columns_sidebar_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_3_columns_sidebar_data);
	
	

	/* ----------------------------------------------------------------------------

	   Gallery 4 Columns Full Width

	---------------------------------------------------------------------------- */	
	$gallery_4_columns_full_width_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[gallery link="file" columns="4" ids="' . $gal_16_items . '"]
[/vc_column_text][/vc_column][/vc_row]';
	$gallery_4_columns_full_width_data = array(
		'post_title' => 'Gallery 4 Columns Full Width',
		'post_content' => $gallery_4_columns_full_width_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_4_columns_full_width_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 4 Columns Sidebar

	---------------------------------------------------------------------------- */	
	$gallery_4_columns_sidebar_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[gallery link="file" columns="4" ids="' . $gal_16_items . '"]
[/vc_column_text][/vc_column][/vc_row]';
	$gallery_4_columns_sidebar_data = array(
		'post_title' => 'Gallery 4 Columns Sidebar',
		'post_content' => $gallery_4_columns_sidebar_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_4_columns_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 5 Columns Full Width

	---------------------------------------------------------------------------- */	
	$gallery_5_columns_full_width_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[gallery link="file" columns="5" ids="' . $gal_20_items . '"]
[/vc_column_text][/vc_column][/vc_row]';
	$gallery_5_columns_full_width_data = array(
		'post_title' => 'Gallery 5 Columns Full Width',
		'post_content' => $gallery_5_columns_full_width_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_5_columns_full_width_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Gallery 5 Columns Sidebar

	---------------------------------------------------------------------------- */	
	$gallery_5_columns_sidebar_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[gallery link="file" columns="5" ids="' . $gal_20_items . '"]
[/vc_column_text][/vc_column][/vc_row]';
	$gallery_5_columns_sidebar_data = array(
		'post_title' => 'Gallery 5 Columns Sidebar',
		'post_content' => $gallery_5_columns_sidebar_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($gallery_5_columns_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Google Map

	---------------------------------------------------------------------------- */	
	$google_map_page_content = '[vc_row][vc_column][sohohotel_googlemap height="450px"][vc_empty_space height="80px"][/vc_column][/vc_row]';
	$google_map_data = array(
		'post_title' => 'Google Map',
		'post_content' => $google_map_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($google_map_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Home 1

	---------------------------------------------------------------------------- */	
	
	$home_1_img_video = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/02.jpg');
	$home_1_img_call_to_action = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/03.jpg');
	
	$home_1_page_content = '<p>[vc_row css=".vc_custom_1537517367646{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537517359601{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][rev_slider_vc alias="homepage1" el_class="sohohotel-homepage-slider"][/vc_column][/vc_row][vc_row css=".vc_custom_1538104631210{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 45px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537517343778{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][shb_booking_form_1][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1537519315431{margin-bottom: 60px !important;}"][vc_column width="1/2"][sohohotel_title title1="Welcome To Soho Hotel" title2="Luxury Resort &amp; Rooms"][vc_column_text]</p>
<p style="text-align: center;"><span style="color: #7e8286;">Duis vel nisl lacinia, facilisis in, consectetur leon vestibulum et ullamcorper tortor leon placerat mauris tincidunt ut non velit faucibus nam a pretium in sapien nunc quis congue purus nunc feugiat purus a ultricies suspendisse fringilla est sodales dui, non mattis tortor</span></p>
<p>[/vc_column_text][sohohotel_button align="center" background_color="#b99470" text_color="#ffffff" text="Learn More" link="#" icon="fa-angle-right" margin="20px"][/vc_column][vc_column width="1/2"][sohohotel_video_thumbnail thumbnail_url="' . $home_1_img_video . '" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][/vc_column][/vc_row][vc_row css=".vc_custom_1537522799844{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 80px !important;padding-right: 0px !important;padding-bottom: 80px !important;padding-left: 0px !important;background-color: #1c1c1c !important;}"][vc_column css=".vc_custom_1537520810268{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_title type="title2" title1="Our Rooms" text_color="2"][vc_column_text el_class="sohohotel-accommodation-carousel-text"]</p>
<p style="text-align: center;"><span style="color: #ffffff;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla.</span></p>
<p>[/vc_column_text][shb_accommodation_carousel_1 rooms_per_page="9"][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1537523492174{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 60px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column width="1/2"][sohohotel_title type="title2" title1="Testimonials"][sohohotel_testimonials_carousel posts_per_page="3"][/vc_column][vc_column width="1/2"][sohohotel_title type="title2" title1="Hotel Information"][vc_toggle title="My flight arrives early in the morning, what time can I check in?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Is breakfast included as standard with all rooms?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Do you provide a child day care service?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Are airport pickups available for late night flight arrivals?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][/vc_column][/vc_row][vc_row css=".vc_custom_1537523518263{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 80px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537523206062{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_large title="Book online today and look forward to a relaxing stay with us" text="Call Us On 1800-1111-2222 or Email booking@website.com" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row css=".vc_custom_1537604322692{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 80px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537604294146{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_title type="title2" title1="Latest News"][sohohotel_blog_carousel posts_per_page="10"][/vc_column][/vc_row]</p>
';
	$home_1_data = array(
		'post_title' => 'Home',
		'post_content' => $home_1_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($home_1_data);
	

	
	/* ----------------------------------------------------------------------------

	   Home 2

	---------------------------------------------------------------------------- */	
	
	$home_2_img_testimonials = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/10.jpg');
	$home_2_img_testimonials_url = wp_get_attachment_image_src( $home_2_img_testimonials, 'full' );
	
	$home_2_page_content = '[vc_row el_class="sohohotel-home2-slider-wrapper" css=".vc_custom_1538037248365{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 30px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538030545990{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][rev_slider_vc alias="homepage-2"][shb_booking_form_1][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1538037034701{margin-bottom: 50px !important;}"][vc_column][sohohotel_title type="title2" title1="Our Hotels"][vc_column_text]
<p style="text-align: center;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla</p>
[/vc_column_text][shb_hotel_listing_1 columns="3" hotel_name_1="New York" hotel_link_1="#" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_name_3="San Francisco" hotel_link_3="#"][shb_hotel_listing_1 columns="3" hotel_name_1="Miami" hotel_link_1="#" hotel_name_2="Tokyo" hotel_link_2="#" hotel_name_3="London" hotel_link_3="#"][/vc_column][/vc_row][vc_row css=".vc_custom_1538037109510{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 45px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538018149634{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][shb_accommodation_carousel_2][/vc_column][/vc_row][vc_row css=".vc_custom_1538037135512{margin-bottom: 15px !important;}"][vc_column][sohohotel_icon_text icon1="fa-wifi" title1="Wifi" content1="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon2="fa-plane" title2="Airport Transfers" content2="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon3="fa-phone" title3="24 Hour Front Desk" content3="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon4="fa-support" title4="Swimming Pool &amp; Jacuzzi" content4="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus."][/vc_column][/vc_row][vc_row css=".vc_custom_1538018848582{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 0px !important;padding-bottom: 60px !important;padding-left: 0px !important;background-image: url(' . $home_2_img_testimonials_url[0] . ') !important;}"][vc_column][sohohotel_title type="title2" title1="Testimonials" text_color="2"][sohohotel_testimonials_carousel type="2" border="2" posts_per_page="3" background_image_url="427"][/vc_column][/vc_row][vc_row css=".vc_custom_1538019006226{margin-top: 40px !important;margin-bottom: 80px !important;}"][vc_column][sohohotel_title type="title2" title1="Latest News"][sohohotel_blog_carousel posts_per_page="9"][/vc_column][/vc_row]';
	$home_2_data = array(
		'post_title' => 'Home 2',
		'post_content' => $home_2_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($home_2_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Home 3

	---------------------------------------------------------------------------- */	
	
	$home_3_img_about_us = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/14.jpg');
	
	$home_3_page_content = '<p>[vc_row css=".vc_custom_1538107259047{margin-bottom: 35px !important;}"][vc_column][rev_slider_vc alias="homepage-3"][/vc_column][/vc_row][vc_row fixed_width="true"][vc_column][sohohotel_title type="title2" title1="Our Rooms"][vc_column_text]</p>
<p style="text-align: center;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla</p>
<p>[/vc_column_text][/vc_column][/vc_row][vc_row css=".vc_custom_1538104469940{margin-bottom: 80px !important;}"][vc_column][shb_accommodation_listing_video video_thumbnail="' . $accommodation_listing_video_image_id . '" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][/vc_column][/vc_row][vc_row css=".vc_custom_1538107206445{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 45px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538104222717{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][shb_booking_form_1][/vc_column][/vc_row][vc_row css=".vc_custom_1538107231811{margin-bottom: 15px !important;}"][vc_column][sohohotel_icon_text icon1="fa-wifi" title1="Free Hi-Speed Wifi" content1="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon2="fa-plane" title2="Airport Transfers" content2="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon3="fa-phone" title3="24 Hour Front Desk" content3="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon4="fa-support" title4="Swimming Pool &amp; Jacuzzi" content4="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus."][/vc_column][/vc_row][vc_row css=".vc_custom_1538018848582{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 0px !important;padding-bottom: 60px !important;padding-left: 0px !important;background-image: url(' . $home_2_img_testimonials_url[0] . ') !important;}"][vc_column][sohohotel_title type="title2" title1="Testimonials" text_color="2"][sohohotel_testimonials_carousel type="2" border="2" posts_per_page="3" background_image_url="427"][/vc_column][/vc_row][vc_row css=".vc_custom_1538019006226{margin-top: 40px !important;margin-bottom: 80px !important;}"][vc_column][sohohotel_title type="title2" title1="Latest News"][sohohotel_blog_carousel posts_per_page="9"][/vc_column][/vc_row][vc_row css=".vc_custom_1538105437245{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538105445493{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_image_text image="' . $home_3_img_about_us . '" title="About Us" button_text="Learn More" button_url="#" button_target="2"]Donec commodo massa non tincidunt tincidunt. Sed vel turpis tristique, viverra tortor et, lobortis nisi. Suspendisse ornare viverra lorem at aliquet. Nullam cursus nunc sit amet massa finibus consectetur. Vivamus vel neque non turpis faucibus faucibus phasellus pulvinar urna vel lacinia.[/sohohotel_image_text][/vc_column][/vc_row][vc_row el_class="sohohotel-dark-contact-form" css=".vc_custom_1538105826896{padding-top: 40px !important;padding-bottom: 80px !important;background-image: url(' . $booking_image_id_url[0] . ') !important;}"][vc_column][sohohotel_title type="title2" title1="Contact Us"][contact-form-7 id="' . $contact_form_7_1_id . '"][/vc_column][/vc_row]</p>
';
	$home_3_data = array(
		'post_title' => 'Home 3',
		'post_content' => $home_3_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($home_3_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Home 4

	---------------------------------------------------------------------------- */	
	
	$home_4_gallery_image_ids = '';
	$home_4_gallery_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/16.jpg') . ',';
	$home_4_gallery_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/16.jpg') . ',';
	$home_4_gallery_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/16.jpg') . ',';
	$home_4_gallery_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/16.jpg') . ',';
	$home_4_gallery_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/16.jpg') . ',';
	$home_4_gallery_image_ids .= sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/16.jpg') . ',';
	
	$home_4_page_content = '<p>[vc_row css=".vc_custom_1538130244833{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}" el_class="sohohotel-home4-slider-wrapper"][vc_column css=".vc_custom_1537517359601{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][rev_slider_vc alias="homepage-4" el_class="sohohotel-homepage-slider"][shb_booking_form_4][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1538119658403{margin-bottom: 50px !important;}"][vc_column][sohohotel_title type="title2" title1="Our Rooms"][vc_column_text]</p>
<p style="text-align: center; width: 850px; max-width: calc(100% - 30px); margin: 0 auto;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla</p>
<p>[/vc_column_text][shb_accommodation_listing_2 columns="2" rooms_per_page="4" hide_pagination="2"][/vc_column][/vc_row][vc_row css=".vc_custom_1538119691764{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537523206062{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_large title="Book online today and look forward to a relaxing stay with us" text="Call Us On 1800-1111-2222 or Email booking@website.com" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row css=".vc_custom_1538037135512{margin-bottom: 15px !important;}"][vc_column][sohohotel_icon_text icon1="fa-wifi" title1="Wifi" content1="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon2="fa-plane" title2="Airport Transfers" content2="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon3="fa-phone" title3="24 Hour Front Desk" content3="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon4="fa-support" title4="Swimming Pool &amp; Jacuzzi" content4="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus."][/vc_column][/vc_row][vc_row css=".vc_custom_1538120293678{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 75px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538119869965{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_small text="Book online today and look forward to a relaxing stay with us" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row css=".vc_custom_1537604322692{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 80px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537604294146{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_title type="title2" title1="Latest News"][sohohotel_blog_carousel posts_per_page="10"][/vc_column][/vc_row][vc_row css=".vc_custom_1538119738011{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538115502835{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_video_text image="' . $home_3_img_about_us . '" title="About Us" text="Donec commodo massa non tincidunt tincidunt. Sed vel turpis tristique, viverra tortor et, lobortis nisi. Suspendisse ornare viverra lorem at aliquet. Nullam cursus nunc sit amet massa finibus consectetur. Vivamus vel neque non turpis faucibus faucibus phasellus pulvinar urna vel lacinia." button_text="Learn More" button_url="#" button_target="2" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1538119754906{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column width="1/2"][sohohotel_title type="title2" title1="Photo Gallery"][vc_column_text]</p>
<p>[gallery link="file" ids="' . $home_4_gallery_image_ids . '"]</p>
<p>[/vc_column_text][/vc_column][vc_column width="1/2"][sohohotel_title type="title2" title1="Testimonials"][sohohotel_testimonials_carousel posts_per_page="3"][/vc_column][/vc_row]</p>';
	$home_4_data = array(
		'post_title' => 'Home 4',
		'post_content' => $home_4_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($home_4_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Home 5

	---------------------------------------------------------------------------- */	
	$home_5_page_content = '<p>[vc_row css=".vc_custom_1538129713957{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 45px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}" el_class="sohohotel-home5-slider-wrapper"][vc_column css=".vc_custom_1537517359601{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][rev_slider_vc alias="homepage-5" el_class="sohohotel-homepage-slider"][shb_booking_form_3][/vc_column][/vc_row][vc_row css=".vc_custom_1538121225869{margin-bottom: 80px !important;}"][vc_column][sohohotel_icon_text type="2" icon1="fa-wifi" title1="Free Wifi" content1="Nullam ut eros cursus, ultrices justo eu, venenatis orci id" icon2="fa-plane" title2="Airport Transfers" content2="Nullam ut eros cursus, ultrices justo eu, venenatis orci id" icon3="fa-phone" title3="24/7 Front Desk" content3="Nullam ut eros cursus, ultrices justo eu, venenatis orci id" icon4="fa-support" title4="Swimming Pool" content4="Nullam ut eros cursus, ultrices justo eu, venenatis orci id"][/vc_column][/vc_row][vc_row css=".vc_custom_1538121070984{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538105445493{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_image_text image="' . $home_3_img_about_us . '" title="About Us" button_text="Learn More" button_url="#" button_target="2"]Donec commodo massa non tincidunt tincidunt. Sed vel turpis tristique, viverra tortor et, lobortis nisi. Suspendisse ornare viverra lorem at aliquet. Nullam cursus nunc sit amet massa finibus consectetur. Vivamus vel neque non turpis faucibus faucibus phasellus pulvinar urna vel lacinia.[/sohohotel_image_text][sohohotel_image_text type="2" image="' . $home_3_img_about_us . '" title="Our Location" button_text="Learn More" button_url="#" button_target="2"]Donec commodo massa non tincidunt tincidunt. Sed vel turpis tristique, viverra tortor et, lobortis nisi. Suspendisse ornare viverra lorem at aliquet. Nullam cursus nunc sit amet massa finibus consectetur. Vivamus vel neque non turpis faucibus faucibus phasellus pulvinar urna vel lacinia.[/sohohotel_image_text][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1537523492174{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 60px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column width="1/2"][sohohotel_title type="title2" title1="Testimonials"][sohohotel_testimonials_carousel posts_per_page="3"][/vc_column][vc_column width="1/2"][sohohotel_title type="title2" title1="Hotel Information"][vc_toggle title="My flight arrives early in the morning, what time can I check in?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Is breakfast included as standard with all rooms?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Do you provide a child day care service?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][vc_toggle title="Are airport pickups available for late night flight arrivals?"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et rhoncus neque. Maecenas enim nunc, dapibus in mattis eleifend, luctus et magna. Maecenas nunc est, posuere sed convallis tincidunt[/vc_toggle][/vc_column][/vc_row][vc_row css=".vc_custom_1537523518263{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 80px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537523206062{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_large title="Book online today and look forward to a relaxing stay with us" text="Call Us On 1800-1111-2222 or Email booking@website.com" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row css=".vc_custom_1537604322692{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 80px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537604294146{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_title type="title2" title1="Latest News"][sohohotel_blog_carousel posts_per_page="10"][/vc_column][/vc_row][vc_row css=".vc_custom_1538120194822{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538119869965{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_small text="Book online today and look forward to a relaxing stay with us" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row el_class="sohohotel-dark-contact-form" css=".vc_custom_1538120217625{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 0px !important;padding-bottom: 80px !important;padding-left: 0px !important;background-image: url(' . $booking_image_id_url[0] . ') !important;}"][vc_column][sohohotel_title type="title2" title1="Contact Us"][contact-form-7 id="' . $contact_form_7_1_id . '"][/vc_column][/vc_row]</p>
';
	$home_5_data = array(
		'post_title' => 'Home 5',
		'post_content' => $home_5_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($home_5_data);
	
	

	/* ----------------------------------------------------------------------------

	   Home 6

	---------------------------------------------------------------------------- */	
	$home_6_page_content = '<p>[vc_row css=".vc_custom_1538134738183{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}" el_class="sohohotel-home6-slider-wrapper"][vc_column css=".vc_custom_1537517359601{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][rev_slider_vc alias="homepage-6" el_class="sohohotel-homepage-slider6"][shb_booking_form_2][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1538119658403{margin-bottom: 50px !important;}"][vc_column][sohohotel_title type="title2" title1="Our Rooms"][vc_column_text]</p>
<p style="text-align: center; width: 850px; max-width: calc(100% - 30px); margin: 0 auto;">Duis vel nisl lacinia, facilisis leo in, consectetur leon vestibulum facilisis ullamcorper tortor, et placerat mauris tincidunt ut non velit faucibus vestibulum nam a pretium sapien. Nunc quis congue purus nunc feugiat nec purus a ultricies suspendisse in fringilla</p>
<p>[/vc_column_text][shb_accommodation_listing_2 columns="2" rooms_per_page="4" hide_pagination="2"][/vc_column][/vc_row][vc_row css=".vc_custom_1538119691764{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537523206062{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_large title="Book online today and look forward to a relaxing stay with us" text="Call Us On 1800-1111-2222 or Email booking@website.com" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row css=".vc_custom_1538037135512{margin-bottom: 15px !important;}"][vc_column][sohohotel_icon_text icon1="fa-wifi" title1="Wifi" content1="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon2="fa-plane" title2="Airport Transfers" content2="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon3="fa-phone" title3="24 Hour Front Desk" content3="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus." icon4="fa-support" title4="Swimming Pool &amp; Jacuzzi" content4="Vestibulum efficitur se sit amet sem semper luctus pellentes auctor tristique ornare. Ut porta ut magna in cursus."][/vc_column][/vc_row][vc_row css=".vc_custom_1538120293678{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 75px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538119869965{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_call_to_action_small text="Book online today and look forward to a relaxing stay with us" button_text="Online Booking" button_url="#" background_url="' . $home_1_img_call_to_action . '"][/vc_column][/vc_row][vc_row css=".vc_custom_1537604322692{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 80px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1537604294146{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_title type="title2" title1="Latest News"][sohohotel_blog_carousel posts_per_page="10"][/vc_column][/vc_row][vc_row css=".vc_custom_1538119738011{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1538115502835{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][sohohotel_video_text image="' . $home_3_img_about_us . '" title="About Us" text="Donec commodo massa non tincidunt tincidunt. Sed vel turpis tristique, viverra tortor et, lobortis nisi. Suspendisse ornare viverra lorem at aliquet. Nullam cursus nunc sit amet massa finibus consectetur. Vivamus vel neque non turpis faucibus faucibus phasellus pulvinar urna vel lacinia." button_text="Learn More" button_url="#" button_target="2" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][/vc_column][/vc_row][vc_row fixed_width="true" css=".vc_custom_1538119754906{margin-top: 0px !important;margin-right: 0px !important;margin-bottom: 40px !important;margin-left: 0px !important;border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][vc_column width="1/2"][sohohotel_title type="title2" title1="Photo Gallery"][vc_column_text]</p>
<p>[gallery link="file" ids="' . $home_4_gallery_image_ids . '"]</p>
<p>[/vc_column_text][/vc_column][vc_column width="1/2"][sohohotel_title type="title2" title1="Testimonials"][sohohotel_testimonials_carousel posts_per_page="3"][/vc_column][/vc_row]</p>';
	$home_6_data = array(
		'post_title' => 'Home 6',
		'post_content' => $home_6_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($home_6_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Hotels Style 1 - 2 Columns

	---------------------------------------------------------------------------- */	
	$hotels_style_1_2_columns_page_content = '[vc_row][vc_column][shb_hotel_listing_1 hotel_name_1="New York" hotel_link_1="#" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_name_3="London" hotel_link_3="#" hotel_name_4="Tokyo" hotel_link_4="#"][shb_hotel_listing_1 hotel_name_1="Beijing" hotel_link_1="#" hotel_name_2="Miami" hotel_link_2="#" hotel_name_3="Hong Kong" hotel_link_3="#" hotel_name_4="Paris" hotel_link_4="#"][vc_empty_space height="50px"][/vc_column][/vc_row]';
	$hotels_style_1_2_columns_data = array(
		'post_title' => 'Hotels Style 1 - 2 Columns',
		'post_content' => $hotels_style_1_2_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($hotels_style_1_2_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Hotels Style 1 - 3 Columns

	---------------------------------------------------------------------------- */	
	$hotels_style_1_3_columns_page_content = '[vc_row][vc_column][shb_hotel_listing_1 columns="3" hotel_name_1="New York" hotel_link_1="#" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_name_3="London" hotel_link_3="#"][shb_hotel_listing_1 columns="3" hotel_name_1="Tokyo" hotel_link_1="#" hotel_name_2="Miami" hotel_link_2="#" hotel_name_3="Hong Kong" hotel_link_3="#"][shb_hotel_listing_1 columns="3" hotel_name_1="Beijing" hotel_link_1="#" hotel_name_2="Shanghai" hotel_link_2="#" hotel_name_3="Paris" hotel_link_3="#"][vc_empty_space height="50px"][/vc_column][/vc_row]';
	$hotels_style_1_3_columns_data = array(
		'post_title' => 'Hotels Style 1 - 3 Columns',
		'post_content' => $hotels_style_1_3_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($hotels_style_1_3_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Hotels Style 1 - 4 Columns

	---------------------------------------------------------------------------- */	
	$hotels_style_1_4_columns_page_content = '[vc_row][vc_column][shb_hotel_listing_1 columns="4" hotel_name_1="New York" hotel_link_1="#" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_name_3="London" hotel_link_3="#" hotel_name_4="Tokyo" hotel_link_4="#"][shb_hotel_listing_1 columns="4" hotel_name_1="Beijing" hotel_link_1="#" hotel_name_2="Miami" hotel_link_2="#" hotel_name_3="Hong Kong" hotel_link_3="#" hotel_name_4="Paris" hotel_link_4="#"][shb_hotel_listing_1 columns="4" hotel_name_1="Shanghai" hotel_link_1="#" hotel_name_2="Rome" hotel_link_2="#" hotel_name_3="San Francisco" hotel_link_3="#" hotel_name_4="Madrid" hotel_link_4="#"][vc_empty_space height="50px"][/vc_column][/vc_row]';
	$hotels_style_1_4_columns_data = array(
		'post_title' => 'Hotels Style 1 - 4 Columns',
		'post_content' => $hotels_style_1_4_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($hotels_style_1_4_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Hotels Style 2 - 2 Columns

	---------------------------------------------------------------------------- */	
	$hotels_style_2_img = sh_insert_image('http://quitenicestuff2.com/import/sohohotel3/08.jpg');
	$hotels_style_2_2_columns_page_content = '[vc_row][vc_column][shb_hotel_listing_2 hotel_name_1="New York" hotel_link_1="#" hotel_image_1="' . $hotels_style_2_img . '" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_image_2="' . $hotels_style_2_img . '" hotel_name_3="London" hotel_link_3="#" hotel_image_3="' . $hotels_style_2_img . '" hotel_name_4="Tokyo" hotel_link_4="#" hotel_image_4="' . $hotels_style_2_img . '"][vc_empty_space height="50px"][/vc_column][/vc_row]';
	$hotels_style_2_2_columns_data = array(
		'post_title' => 'Hotels Style 2 - 2 Columns',
		'post_content' => $hotels_style_2_2_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($hotels_style_2_2_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Hotels Style 2 - 3 Columns

	---------------------------------------------------------------------------- */	
	$hotels_style_2_3_columns_page_content = '[vc_row][vc_column][shb_hotel_listing_2 columns="3" hotel_name_1="New York" hotel_link_1="#" hotel_image_1="' . $hotels_style_2_img . '" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_image_2="' . $hotels_style_2_img . '" hotel_name_3="London" hotel_link_3="#" hotel_image_3="' . $hotels_style_2_img . '"][shb_hotel_listing_2 columns="3" hotel_name_1="Tokyo" hotel_link_1="#" hotel_image_1="' . $hotels_style_2_img . '" hotel_name_2="Miami" hotel_link_2="#" hotel_image_2="' . $hotels_style_2_img . '" hotel_name_3="Hong Kong" hotel_link_3="#" hotel_image_3="' . $hotels_style_2_img . '"][vc_empty_space height="50px"][/vc_column][/vc_row]';
	$hotels_style_2_3_columns_data = array(
		'post_title' => 'Hotels Style 2 - 3 Columns',
		'post_content' => $hotels_style_2_3_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($hotels_style_2_3_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Hotels Style 2 - 4 Columns

	---------------------------------------------------------------------------- */	
	$hotels_style_2_4_columns_page_content = '[vc_row][vc_column][shb_hotel_listing_2 columns="4" hotel_name_1="New York" hotel_link_1="#" hotel_image_1="' . $hotels_style_2_img . '" hotel_name_2="Los Angeles" hotel_link_2="#" hotel_image_2="' . $hotels_style_2_img . '" hotel_name_3="London" hotel_link_3="#" hotel_image_3="' . $hotels_style_2_img . '" hotel_name_4="Tokyo" hotel_link_4="#" hotel_image_4="' . $hotels_style_2_img . '"][shb_hotel_listing_2 columns="4" hotel_name_1="Miami" hotel_link_1="#" hotel_image_1="' . $hotels_style_2_img . '" hotel_name_2="Paris" hotel_link_2="#" hotel_image_2="' . $hotels_style_2_img . '" hotel_name_3="Rome" hotel_link_3="#" hotel_image_3="' . $hotels_style_2_img . '" hotel_name_4="Hong Kong" hotel_link_4="#" hotel_image_4="' . $hotels_style_2_img . '"][vc_empty_space height="50px"][/vc_column][/vc_row]';
	$hotels_style_2_4_columns_data = array(
		'post_title' => 'Hotels Style 2 - 4 Columns',
		'post_content' => $hotels_style_2_4_columns_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($hotels_style_2_4_columns_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Left Sidebar

	---------------------------------------------------------------------------- */	
	$left_sidebar_page_content = '[vc_row css=".vc_custom_1537608309097{margin-bottom: 80px !important;}"][vc_column][vc_column_text]
<h1>H1 Tag</h1>
Nullam erat felis, pellentesque non egestas nec, <a href="#">vulputate id odio</a>. Donec mattis nec orci ut porta. Donec pharetra <a href="#">convallis augue</a> in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h2>H2 Tag</h2>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h3>H3 Tag</h3>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h4>H4 Tag</h4>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h5>H5 Tag</h5>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h6>H6 Tag</h6>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.[/vc_column_text][/vc_column][/vc_row]';
	$left_sidebar_data = array(
		'post_title' => 'Left Sidebar',
		'post_content' => $left_sidebar_page_content,
		'sohohotel_page_layout' => 'left-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($left_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   More Features

	---------------------------------------------------------------------------- */	
	$more_features_page_content = '<p>[vc_row el_class="list-link-no-underline"][vc_column width="1/2"][sohohotel_title type="title3" title1="Elements"][vc_column_text]</p>
<ul>
<li><a href="' . get_site_url() . '/accommodation-carousel-1/">Accommodation Carousel 1</a></li>
<li><a href="' . get_site_url() . '/accommodation-carousel-2/">Accommodation Carousel 2</a></li>
<li><a href="' . get_site_url() . '/accommodation-listing-video/">Accommodation Listing Video</a></li>
<li><a href="' . get_site_url() . '/video-tour/">Video Tour</a></li>
</ul>
<p>[/vc_column_text][sohohotel_title type="title3" title1="Elements"][vc_column_text]</p>
<ul>
<li><a href="' . get_site_url() . '/social-media/">Social Media</a></li>
<li><a href="' . get_site_url() . '/google-map/">Google Map</a></li>
<li><a href="' . get_site_url() . '/contact-details/">Contact Details</a></li>
<li><a href="' . get_site_url() . '/contact-form/">Contact Form</a></li>
</ul>
<p>[/vc_column_text][/vc_column][vc_column width="1/2"][sohohotel_title type="title3" title1="Hotel Listing Style 1"][vc_column_text]</p>
<ul>
<li><a href="' . get_site_url() . '/hotels-style-1-2-columns/">2 Columns</a></li>
<li><a href="' . get_site_url() . '/hotels-style-1-3-columns/">3 Columns</a></li>
<li><a href="' . get_site_url() . '/hotels-style-1-4-columns/">4 Columns</a></li>
</ul>
<p>[/vc_column_text][sohohotel_title type="title3" title1="Hotel Listing Style 2"][vc_column_text]</p>
<ul>
<li><a href="' . get_site_url() . '/hotels-style-2-2-columns/">2 Columns</a></li>
<li><a href="' . get_site_url() . '/hotels-style-2-3-columns/">3 Columns</a></li>
<li><a href="' . get_site_url() . '/hotels-style-2-4-columns/">4 Columns</a></li>
</ul>
<p>[/vc_column_text][/vc_column][/vc_row]</p>
';
	$more_features_data = array(
		'post_title' => 'More Features',
		'post_content' => $more_features_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($more_features_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  News 1 Column

	---------------------------------------------------------------------------- */	
	$news_1_column_page_content = '[vc_row][vc_column][sohohotel_blog_page posts_per_page="4"][/vc_column][/vc_row]';
	$news_1_column_data = array(
		'post_title' => 'News 1 Column',
		'post_content' => $news_1_column_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($news_1_column_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  News 2 Columns

	---------------------------------------------------------------------------- */	
	$news_2_column_page_content = '[vc_row][vc_column][sohohotel_blog_page columns="2" posts_per_page="6"][/vc_column][/vc_row]';
	$news_2_column_data = array(
		'post_title' => 'News 2 Columns',
		'post_content' => $news_2_column_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($news_2_column_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  News 3 Columns

	---------------------------------------------------------------------------- */	
	$news_3_column_page_content = '[vc_row][vc_column][sohohotel_blog_page columns="3" posts_per_page="6"][/vc_column][/vc_row]';
	$news_3_column_data = array(
		'post_title' => 'News 3 Columns',
		'post_content' => $news_3_column_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($news_3_column_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  News 4 Columns

	---------------------------------------------------------------------------- */	
	$news_4_column_page_content = '[vc_row][vc_column][sohohotel_blog_page columns="4" posts_per_page="8"][/vc_column][/vc_row]';
	$news_4_column_data = array(
		'post_title' => 'News 4 Columns',
		'post_content' => $news_4_column_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($news_4_column_data);
	
	

	/* ----------------------------------------------------------------------------

	  Pages

	---------------------------------------------------------------------------- */	
	$pages_page_content = '[vc_row el_class="list-link-no-underline"][vc_column width="1/2"][sohohotel_title type="title3" title1="Pages"][vc_column_text]
<ul>
 	<li><a href="' . get_site_url() . '/about-us-1/">About Us 1</a></li>
 	<li><a href="' . get_site_url() . '/about-us-2/">About Us 2</a></li>
 	<li><a href="' . get_site_url() . '/left-sidebar/">Left Sidebar</a></li>
 	<li><a href="' . get_site_url() . '/right-sidebar/">Right Sidebar</a></li>
 	<li><a href="' . get_site_url() . '/full-width/">Full Width</a></li>
</ul>
[/vc_column_text][sohohotel_title type="title3" title1="News"][vc_column_text]
<ul>
 	<li><a href="' . get_site_url() . '/news-1-column/">1 Column</a></li>
 	<li><a href="' . get_site_url() . '/news-2-columns/">2 Columns</a></li>
 	<li><a href="' . get_site_url() . '/news-3-columns/">3 Columns</a></li>
 	<li><a href="' . get_site_url() . '/news-4-columns/">4 Columns</a></li>
 	<li><a href="' . get_site_url() . '/2018/09/22/this-week-only-10-discounts-on-fridays/">Single Post</a></li>
</ul>
[/vc_column_text][/vc_column][vc_column width="1/2"][sohohotel_title type="title3" title1="Photo Gallery"][vc_column_text]
<ul>
 	<li><a href="' . get_site_url() . '/gallery-1-column-full-width/">1 Column</a></li>
 	<li><a href="' . get_site_url() . '/gallery-2-columns-full-width/">2 Columns</a></li>
 	<li><a href="' . get_site_url() . '/gallery-3-columns-full-width/">3 Columns</a></li>
 	<li><a href="' . get_site_url() . '/gallery-4-columns-full-width/">4 Columns</a></li>
 	<li><a href="' . get_site_url() . '/gallery-5-columns-full-width/">5 Columns</a></li>
</ul>
[/vc_column_text][sohohotel_title type="title3" title1="Testimonials"][vc_column_text]
<ul>
 	<li><a href="' . get_site_url() . '/testimonials-left-sidebar/">Left Sidebar</a></li>
 	<li><a href="' . get_site_url() . '/testimonials/">Right Sidebar</a></li>
</ul>
[/vc_column_text][/vc_column][/vc_row]';
	$pages_data = array(
		'post_title' => 'Pages',
		'post_content' => $pages_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($pages_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  Right Sidebar

	---------------------------------------------------------------------------- */	
	$right_sidebar_page_content = '[vc_row css=".vc_custom_1537608309097{margin-bottom: 80px !important;}"][vc_column][vc_column_text]
<h1>H1 Tag</h1>
Nullam erat felis, pellentesque non egestas nec, <a href="#">vulputate id odio</a>. Donec mattis nec orci ut porta. Donec pharetra <a href="#">convallis augue</a> in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h2>H2 Tag</h2>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h3>H3 Tag</h3>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h4>H4 Tag</h4>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h5>H5 Tag</h5>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.
<h6>H6 Tag</h6>
Nullam erat felis, pellentesque non egestas nec, vulputate id odio. Donec mattis nec orci ut porta. Donec pharetra convallis augue in tincidunt. Nullam eget felis urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent tincidunt massa porta odio euismod, sit amet cursus quam sagittis. Mauris eget volutpat urna, sit amet ultricies est. Aenean dapibus lacinia risus, nec consectetur purus fringilla eu. Aenean eget congue mauris, id venenatis augue. Maecenas vulputate maximus vehicula.[/vc_column_text][/vc_column][/vc_row]';
	$right_sidebar_data = array(
		'post_title' => 'Right Sidebar',
		'post_content' => $right_sidebar_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($right_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  Social Media

	---------------------------------------------------------------------------- */	
	$social_media_page_content = '[vc_row][vc_column][sohohotel_social_media facebook="#" flickr="#" googleplus="#" instagram="#" pinterest="#" skype="#" soundcloud="#" tumblr="#" twitter="#" vimeo="#" vine="#" yelp="#" youtube="#" tripadvisor="#"][vc_empty_space height="80px"][/vc_column][/vc_row]';
	$social_media_data = array(
		'post_title' => 'Social Media',
		'post_content' => $social_media_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($social_media_data);
	

	
	/* ----------------------------------------------------------------------------

	  Testimonials

	---------------------------------------------------------------------------- */	
	$testimonials_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[sohohotel_testimonials_page posts_per_page="4"]
[/vc_column_text][/vc_column][/vc_row]';
	$testimonials_data = array(
		'post_title' => 'Testimonials',
		'post_content' => $testimonials_page_content,
		'sohohotel_page_layout' => 'right-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($testimonials_data);
	


	/* ----------------------------------------------------------------------------

	  Testimonials Left Sidebar

	---------------------------------------------------------------------------- */	
	$testimonials_left_sidebar_page_content = '[vc_row][vc_column css=".vc_custom_1537770283670{margin-bottom: 40px !important;}"][vc_column_text]
[sohohotel_testimonials_page posts_per_page="4"]
[/vc_column_text][/vc_column][/vc_row]';
	$testimonials_left_sidebar_data = array(
		'post_title' => 'Testimonials Left Sidebar',
		'post_content' => $testimonials_left_sidebar_page_content,
		'sohohotel_page_layout' => 'left-sidebar',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($testimonials_left_sidebar_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  Video Tour

	---------------------------------------------------------------------------- */	
	$video_tour_page_content = '<p>[vc_row fixed_width="true" css=".vc_custom_1537519315431{margin-bottom: 60px !important;}"][vc_column width="1/2"][sohohotel_title title1="Welcome To Soho Hotel" title2="Luxury Resort &amp; Rooms"][vc_column_text]</p>
<p style="text-align: center;"><span style="color: #7e8286;">Duis vel nisl lacinia, facilisis in, consectetur leon vestibulum et ullamcorper tortor leon placerat mauris tincidunt ut non velit faucibus nam a pretium in sapien nunc quis congue purus nunc feugiat purus a ultricies suspendisse fringilla est sodales dui, non mattis tortor</span></p>
<p>[/vc_column_text][sohohotel_button align="center" background_color="#b99470" text_color="#ffffff" text="Learn More" link="#" icon="fa-angle-right" margin="20px"][/vc_column][vc_column width="1/2"][sohohotel_video_thumbnail thumbnail_url="' . $home_1_img_video . '" video_url="https://www.youtube.com/watch?v=9ATwmA0AZOM"][/vc_column][/vc_row]</p>
';
	$video_tour_data = array(
		'post_title' => 'Video Tour',
		'post_content' => $video_tour_page_content,
		'sohohotel_page_layout' => 'unboxed-full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($video_tour_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  My account page

	---------------------------------------------------------------------------- */	
	$my_account_page_content = '[vc_row css=".vc_custom_1562637327675{margin-bottom: 70px !important;}"][vc_column][shb_my_account][/vc_column][/vc_row]';
	$my_account_data = array(
		'post_title' => 'My Account',
		'post_content' => $my_account_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'standard_title'
		
	);
	sh_insert_page($my_account_data);
	
	
	
	/* ----------------------------------------------------------------------------

	  Payment thanks page

	---------------------------------------------------------------------------- */	
	$payment_thanks_page_content = '[vc_row][vc_column][shb_payment_thanks_page][/vc_column][/vc_row]';
	$payment_thanks_data = array(
		'post_title' => 'Thanks for your payment',
		'post_content' => $payment_thanks_page_content,
		'sohohotel_page_layout' => 'full-width',
		'sohohotel_title_style' => 'no_title'
		
	);
	sh_insert_page($payment_thanks_data);
	
	

}

function sh_import_settings() {
	
	update_option( 'shb_email_address', get_option('admin_email') );
	update_option( 'shb_email_sender_name', get_bloginfo('name') );
	update_option( 'shb_admin_booking_confirmation_email_subject', 'Admin Booking Confirmation' );
	update_option( 'shb_admin_booking_confirmation_email_body', '<div style="background:#1c1c1c;color:#fff;padding:30px;margin:0 auto;width:600px;max-width:100%;"><h4>{hotel_name}, Booking Confirmation</h4></div>
	<div style="padding:30px;margin:0 auto 30px auto;width:600px;max-width:100%;border-left:#e8e8e8 1px solid;border-right:#e8e8e8 1px solid;border-bottom:#e8e8e8 1px solid;">

	<p>Dear {guest_name},</p>

	<p>Thank you for booking with {hotel_name}, we are happy to confirm that your booking has been successfully placed and we look forward to seeing you on {checkin} for your {nights} stay with us. For full details of your reservation please see below:</p>

	{booking_details}
	{booking_rooms}
	{booking_additional_fees}
	{booking_guest_details}
	{booking_payment_details}

	</div>' );
	
	update_option( 'shb_customer_booking_confirmation_email_subject', 'Customer Booking Confirmation' );
	update_option( 'shb_customer_booking_confirmation_email_body', '<div style="background:#1c1c1c;color:#fff;padding:30px;margin:0 auto;width:600px;max-width:100%;"><h4>{hotel_name}, Booking Confirmation</h4></div>
	<div style="padding:30px;margin:0 auto 30px auto;width:600px;max-width:100%;border-left:#e8e8e8 1px solid;border-right:#e8e8e8 1px solid;border-bottom:#e8e8e8 1px solid;">

	<p>Dear {guest_name},</p>

	<p>Thank you for booking with {hotel_name}, we are happy to confirm that your booking has been successfully placed and we look forward to seeing you on {checkin} for your {nights} stay with us. For full details of your reservation please see below:</p>

	{booking_details}
	{booking_rooms}
	{booking_additional_fees}
	{booking_guest_details}
	{booking_payment_details}

	</div>' );
	
	update_option( 'shb_admin_payment_confirmation_email_subject', 'Admin Payment Confirmation' );
	update_option( 'shb_admin_payment_confirmation_email_body', '<div style="background:#1c1c1c;color:#fff;padding:30px;margin:0 auto;width:600px;max-width:100%;"><h4>{hotel_name}, Booking Confirmation</h4></div>
	<div style="padding:30px;margin:0 auto 30px auto;width:600px;max-width:100%;border-left:#e8e8e8 1px solid;border-right:#e8e8e8 1px solid;border-bottom:#e8e8e8 1px solid;">

	<p>Dear {guest_name},</p>

	<p>Thank you for booking with {hotel_name}, we are happy to confirm that your booking has been successfully placed and we look forward to seeing you on {checkin} for your {nights} stay with us. For full details of your reservation please see below:</p>

	{booking_details}
	{booking_rooms}
	{booking_additional_fees}
	{booking_guest_details}
	{booking_payment_details}

	</div>' );
	
	update_option( 'shb_customer_payment_confirmation_email_subject', 'Customer Payment Confirmation' );
	update_option( 'shb_customer_payment_confirmation_email_body', '<div style="background:#1c1c1c;color:#fff;padding:30px;margin:0 auto;width:600px;max-width:100%;"><h4>{hotel_name}, Booking Confirmation</h4></div>
	<div style="padding:30px;margin:0 auto 30px auto;width:600px;max-width:100%;border-left:#e8e8e8 1px solid;border-right:#e8e8e8 1px solid;border-bottom:#e8e8e8 1px solid;">

	<p>Dear {guest_name},</p>

	<p>Thank you for booking with {hotel_name}, we are happy to confirm that your booking has been successfully placed and we look forward to seeing you on {checkin} for your {nights} stay with us. For full details of your reservation please see below:</p>

	{booking_details}
	{booking_rooms}
	{booking_additional_fees}
	{booking_guest_details}
	{booking_payment_details}

	</div>' );
	
	update_option( 'shb_custom_fields', '[text required name="first_name" label="First Name" column="1/2"]
[text required name="last_name" label="Last Name" column="1/2"]
[text required class="shb-email-validation" name="email_address" label="Email Address" column="1/3"]
[text required class="shb-phone-validation" name="phone_number" label="Phone Number" column="1/3"]
[radio required name="radio_selection" label="Radio Selection" option="Option 1" option="Option 2" option="Option 3" column="1/3"]
[checkbox required name="checkbox" label="Check Boxes 1" option="Option 1" option="Option 2" option="Option 3" column="1/4"]
[checkbox required name="checkbox" label="Check Boxes 2" option="Option 1" option="Option 2" option="Option 3" column="1/4"]
[textarea name="optional_field" label="Optional field" column="1/4"]
[textarea required name="any_custom_fields" label="Add any custom fields" column="1/4"]' );
	
	update_option( 'shb_manual_booking_confirmation', 'no' );
	update_option( 'shb_hotel_address', '55 Columbus Circle, New York, NY' );
	
	update_option( 'shb_hotel_phone', '1111-2222-3333-4444' );
	update_option( 'shb_date_format', 'DD/MM/YYYY' );
	update_option( 'shb_my_account_page', get_page_by_title('My Account')->ID );
	update_option( 'shb_booking_page', get_page_by_title('Bookings')->ID );
	update_option( 'shb_booking_success_message', 'Thank you for booking' );
	update_option( 'shb_payment_success_message', 'Thanks! Your payment has now successfully been received and we look forward to seeing you soon. In the meantime if you have any questions or concerns please do not hesitate to contact us via email: hello@quitenicestuff.com' );
	update_option( 'shb_deposit_percentage', '100' );
	update_option( 'shb_price_decimal_places', 'two' );
	update_option( 'shb_price_decimal_separator', '.' );
	update_option( 'shb_price_thousand_separator', ',' );
	update_option( 'shb_currency_symbol', '$' );
	update_option( 'shb_currency_symbol_position', 'before' );
	update_option( 'shb_payment_thanks_page', get_page_by_title('Thanks for your payment')->ID );
	update_option( 'shb_banktransfer_title', '' );
	update_option( 'shb_bank_transfer_details', '' );
	update_option( 'shb_paypal_sandbox', 'on' );
	update_option( 'shb_paypal_currency', 'USD' );
	update_option( 'shb_paypal_email', '' );
	update_option( 'shb_stripe_api_sk_live', '' );
	update_option( 'shb_stripe_api_pk_live', '' );
	update_option( 'shb_stripe_api_sk_test', '' );
	update_option( 'shb_stripe_api_pk_test', '' );
	update_option( 'shb_stripe_currency', 'USD' );
	update_option( 'shb_stripe_testmode', 'on' );
	update_option( 'shb_display_hotel_selection', 'on' );
	update_option( 'shb_maximum_guests_booking_form', '5' );
	
}

function sh_import_slides() {
	
	$absolute_path = __FILE__;
	$path_to_file = explode( 'wp-content', $absolute_path );
	$path_to_wp = $path_to_file[0];
 
	require_once( $path_to_wp.'/wp-load.php' );
	require_once( $path_to_wp.'/wp-includes/functions.php');
	
	$slider_array = array(
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/accommodation-single.zip',
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/homepage-1.zip',
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/homepage-2.zip',
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/homepage-3.zip',
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/homepage-4.zip',
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/homepage-5.zip',
		SH_DEMO_DATA_PLUGIN_DIR .'/slideshow/homepage-6.zip'
	);
	
	$slider = new RevSlider();
 
	foreach($slider_array as $filepath){
		$slider->importSliderFromPost(true,true,$filepath);  
	}
	
}

function sh_delete_slides() {
	
	global $wpdb;
	$wpdb->query("TRUNCATE TABLE `wp_revslider_css`");
	$wpdb->query("TRUNCATE TABLE `wp_revslider_layer_animations`");
	$wpdb->query("TRUNCATE TABLE `wp_revslider_navigations`");
	$wpdb->query("TRUNCATE TABLE `wp_revslider_sliders`");
	$wpdb->query("TRUNCATE TABLE `wp_revslider_slides`");
	$wpdb->query("TRUNCATE TABLE `wp_revslider_static_slides`");
	
}

function sh_insert_contact_form_7($data) {
	
	
	if(function_exists('wpcf7_save_contact_form')){
	   
		$post_id = wp_insert_post(array (
		   'post_type' => 'wpcf7_contact_form',
		   'post_title' => $data['post_title'],
		   'post_content' => $data['post_content'],
		   'post_status' => 'publish',
		   'comment_status' => 'closed',
		   'ping_status' => 'closed'
		));
	
	
		// Save Contact Form 7
		if ($post_id) {
		
			$args['id'] = $post_id;
			$args['title'] = $data['post_title'];
			$args['locale'] = '';
			$args['form'] = $data['post_content'];
			$args['mail'] = '';
			$args['mail_2'] = '';
			$args['messages'] = '';
			$args['additional_settings'] = '';
			$contact_form = wpcf7_save_contact_form( $args );
		
		}
	
		return $post_id;
	
	}
	
}

function sh_delete_menu() {
	
	$primary_navigation_name = 'Primary Navigation';
	wp_delete_nav_menu($primary_navigation_name);
	
	$top_right_navigation_name = 'Top Right Navigation';
	wp_delete_nav_menu($top_right_navigation_name);
	
	$primary_navigation_left_name = 'Primary Navigation Left';
	wp_delete_nav_menu($primary_navigation_left_name);
	
	$primary_navigation_right_name = 'Primary Navigation Right';
	wp_delete_nav_menu($primary_navigation_right_name);
	
}

function sh_import_menu() {
	
	
	
	/* ----------------------------------------------------------------------------

	   Primary Navigation

	---------------------------------------------------------------------------- */
	
	$primary_navigation_name = 'Primary Navigation';
	
	$primary_navigation_exists = wp_get_nav_menu_object($primary_navigation_name);

	if( !$primary_navigation_exists){
	    $primary_navigation_id = wp_create_nav_menu($primary_navigation_name);
	}
	
	$primary_navigation_object = wp_get_nav_menu_object('Primary Navigation');
	$primary_navigation_id = (int) $primary_navigation_object->term_id;
	
	$menu_item_1_data = array(
		'menu-item-object-id' => get_page_by_title('Home')->ID,
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 1,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_1_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_1_data);
	
	$menu_item_2_data = array(
		'menu-item-object-id' => get_page_by_title('Home')->ID,
		'menu-item-title' => 'Home 1',
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 2,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_2_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_2_data);
	
	$menu_item_3_data = array(
		'menu-item-object-id' => get_page_by_title('Home 2')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 3,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_3_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_3_data);
	
	$menu_item_4_data = array(
		'menu-item-object-id' => get_page_by_title('Home 3')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 4,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_4_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_4_data);
	
	$menu_item_5_data = array(
		'menu-item-object-id' => get_page_by_title('Home 4')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 5,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_5_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_5_data);
	
	$menu_item_6_data = array(
		'menu-item-object-id' => get_page_by_title('Home 5')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 6,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_6_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_6_data);
	
	$menu_item_6_2_data = array(
		'menu-item-object-id' => get_page_by_title('Home 6')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 7,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_6_2_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_6_2_data);
	
	$menu_item_7_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation',
		'menu-item-classes' => 'sohohotel-megamenu-4-col',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 7,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_7_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_7_data);

	$menu_item_8_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation Style 1',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 8,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_8_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_8_data);
	
	$menu_item_9_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 1 Columns')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 9,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_9_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_9_data);
	
	$menu_item_10_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 10,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_10_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_10_data);
	
	$menu_item_11_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 11,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_11_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_11_data);
	
	$menu_item_12_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 12,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_12_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_12_data);
	
	$menu_item_13_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 5 Columns')->ID,
		'menu-item-title' => '5 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 13,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_13_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_13_data);
	
	$menu_item_14_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation Style 2',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 14,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_14_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_14_data);
	
	$menu_item_15_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 1 Columns')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 15,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_15_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_15_data);
	
	$menu_item_16_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 16,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_16_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_16_data);
	
	$menu_item_17_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 17,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_17_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_17_data);
	
	$menu_item_18_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 18,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_18_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_18_data);
	
	$menu_item_19_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 5 Columns')->ID,
		'menu-item-title' => '5 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 19,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_19_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_19_data);
	
	$menu_item_20_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation Style 3',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 20,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_20_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_20_data);
	
	$menu_item_21_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 1 Columns')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 21,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_21_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_21_data);
	
	$menu_item_22_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 22,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_22_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_22_data);
	
	$menu_item_23_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 23,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_23_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_23_data);
	
	$menu_item_24_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 24,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_24_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_24_data);
	
	$menu_item_25_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 5 Columns')->ID,
		'menu-item-title' => '5 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 25,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_25_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_25_data);
	
	$menu_item_26_data = array(
		'menu-item-object-id' => get_page_by_title('Standard Room','OBJECT','shb_accommodation')->ID,
		'menu-item-title' => 'Accommodation Single',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 26,
		'menu-item-object' => 'shb_accommodation',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_26_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_26_data);
	
	$menu_item_27_data = array(
		'menu-item-object-id' => get_page_by_title('Standard Room','OBJECT','shb_accommodation')->ID,
		'menu-item-title' => 'Accommodation Single',
		'menu-item-parent-id' => $menu_item_26_id,
		'menu-item-position'  => 27,
		'menu-item-object' => 'shb_accommodation',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_27_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_27_data);
	
	$menu_item_28_data = array(
		'menu-item-object-id' => get_page_by_title('Bookings')->ID,
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 28,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_28_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_28_data);
	
	$menu_item_29_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 1')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 29,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_29_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_29_data);
	
	$menu_item_30_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 2')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 30,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_30_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_30_data);
	
	$menu_item_31_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 3')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 31,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_31_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_31_data);
	
	$menu_item_32_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 4')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 32,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_32_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_32_data);
	
	$menu_item_32_2_data = array(
		'menu-item-object-id' => get_page_by_title('My Account')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 32,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_32_2_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_32_2_data);
	
	$menu_item_33_data = array(
		'menu-item-object-id' => get_page_by_title('More Features')->ID,
		'menu-item-classes' => 'sohohotel-megamenu-4-col',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 33,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_33_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_33_data);
	
	$menu_item_34_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'Elements',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 34,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_34_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_34_data);
	
	$menu_item_35_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Carousel 1')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 35,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_35_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_35_data);
	
	$menu_item_36_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Carousel 2')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 36,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_36_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_36_data);
	
	$menu_item_37_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Listing Video')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 37,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_37_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_37_data);
	
	$menu_item_38_data = array(
		'menu-item-object-id' => get_page_by_title('Video Tour')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 38,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_38_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_38_data);
	
	$menu_item_39_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'Elements',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 39,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_39_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_39_data);
	
	$menu_item_40_data = array(
		'menu-item-object-id' => get_page_by_title('Social Media')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 40,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_40_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_40_data);
	
	$menu_item_41_data = array(
		'menu-item-object-id' => get_page_by_title('Google Map')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 41,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_41_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_41_data);
	
	$menu_item_42_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Details')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 42,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_42_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_42_data);
	
	$menu_item_43_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Form')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 43,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_43_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_43_data);
	
	$menu_item_44_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 3 Columns')->ID,
		'menu-item-title' => 'Hotel Listing Style 1',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 44,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_44_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_44_data);
	
	$menu_item_45_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_44_id,
		'menu-item-position'  => 45,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_45_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_45_data);
	
	$menu_item_46_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_44_id,
		'menu-item-position'  => 46,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_46_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_46_data);
	
	$menu_item_47_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_44_id,
		'menu-item-position'  => 47,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_47_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_47_data);
	
	$menu_item_48_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 3 Columns')->ID,
		'menu-item-title' => 'Hotel Listing Style 2',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 48,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_48_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_48_data);
	
	$menu_item_49_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_48_id,
		'menu-item-position'  => 49,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_49_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_49_data);
	
	$menu_item_50_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_48_id,
		'menu-item-position'  => 50,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_50_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_50_data);
	
	$menu_item_51_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_48_id,
		'menu-item-position'  => 51,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_51_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_51_data);
	
	$menu_item_52_data = array(
		'menu-item-object-id' => get_page_by_title('Pages')->ID,
		'menu-item-title' => 'Theme Pages',
		'menu-item-classes' => 'sohohotel-megamenu-4-col',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 52,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_52_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_52_data);
	
	$menu_item_53_data = array(
		'menu-item-object-id' => get_page_by_title('Pages')->ID,
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 53,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_53_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_53_data);
	
	$menu_item_54_data = array(
		'menu-item-object-id' => get_page_by_title('About Us 1')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 54,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_54_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_54_data);
	
	$menu_item_55_data = array(
		'menu-item-object-id' => get_page_by_title('About Us 2')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 55,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_55_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_55_data);
	
	$menu_item_56_data = array(
		'menu-item-object-id' => get_page_by_title('Left Sidebar')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 56,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_56_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_56_data);
	
	$menu_item_57_data = array(
		'menu-item-object-id' => get_page_by_title('Right Sidebar')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 57,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_57_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_57_data);
	
	$menu_item_58_data = array(
		'menu-item-object-id' => get_page_by_title('Full Width')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 58,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_58_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_58_data);
	
	$menu_item_59_data = array(
		'menu-item-object-id' => get_page_by_title('News 3 Columns')->ID,
		'menu-item-title' => 'News',
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 59,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_59_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_59_data);
	
	$menu_item_60_data = array(
		'menu-item-object-id' => get_page_by_title('News 1 Column')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 60,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_60_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_60_data);
	
	$menu_item_61_data = array(
		'menu-item-object-id' => get_page_by_title('News 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 61,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_61_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_61_data);
	
	$menu_item_62_data = array(
		'menu-item-object-id' => get_page_by_title('News 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 62,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_62_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_62_data);
	
	$menu_item_63_data = array(
		'menu-item-object-id' => get_page_by_title('News 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 63,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_63_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_63_data);
	
	$menu_item_64_data = array(
		'menu-item-object-id' => get_page_by_title('Our New Miami Beach Hotel Is Open!','OBJECT','post')->ID,
		'menu-item-title' => 'Single Post',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 64,
		'menu-item-object' => 'post',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_64_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_64_data);
	
	$menu_item_65_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 3 Columns Full Width')->ID,
		'menu-item-title' => 'Photo Gallery',
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 65,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_65_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_65_data);
	
	$menu_item_66_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 1 Column Full Width')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 66,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_66_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_66_data);
	
	$menu_item_67_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 2 Columns Full Width')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 67,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_67_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_67_data);
	
	$menu_item_68_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 3 Columns Full Width')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 68,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_68_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_68_data);
	
	$menu_item_69_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 4 Columns Full Width')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 69,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_69_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_69_data);
	
	$menu_item_70_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 5 Columns Full Width')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 70,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_70_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_70_data);
	
	$menu_item_71_data = array(
		'menu-item-object-id' => get_page_by_title('Testimonials')->ID,
		'menu-item-title' => 'Testimonials',
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 71,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_71_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_71_data);
	
	$menu_item_72_data = array(
		'menu-item-object-id' => get_page_by_title('Testimonials Left Sidebar')->ID,
		'menu-item-title' => 'Left Sidebar',
		'menu-item-parent-id' => $menu_item_71_id,
		'menu-item-position'  => 72,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_72_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_72_data);
	
	$menu_item_73_data = array(
		'menu-item-object-id' => get_page_by_title('Testimonials')->ID,
		'menu-item-title' => 'Right Sidebar',
		'menu-item-parent-id' => $menu_item_71_id,
		'menu-item-position'  => 73,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_73_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_73_data);
	
	$menu_item_74_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 1')->ID,
		'menu-item-title' => 'Contact Us',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 74,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_74_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_74_data);
	
	$menu_item_75_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 1')->ID,
		'menu-item-parent-id' => $menu_item_74_id,
		'menu-item-position'  => 75,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_75_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_75_data);
	
	$menu_item_76_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 2')->ID,
		'menu-item-parent-id' => $menu_item_74_id,
		'menu-item-position'  => 76,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_76_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_76_data);
	
	$menu_item_77_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 3')->ID,
		'menu-item-parent-id' => $menu_item_74_id,
		'menu-item-position'  => 77,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_77_id = wp_update_nav_menu_item($primary_navigation_id, 0, $menu_item_77_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Top Right Navigation

	---------------------------------------------------------------------------- */
	
	$top_right_navigation_name = 'Top Right Navigation';
	
	
	$top_right_navigation_exists = wp_get_nav_menu_object($top_right_navigation_name);

	if( !$top_right_navigation_exists){
	    $top_right_navigation_id = wp_create_nav_menu($top_right_navigation_name);
	}
	
	$top_right_navigation_object = wp_get_nav_menu_object('Top Right Navigation');
	$top_right_navigation_id = (int) $top_right_navigation_object->term_id;
	
	$menu_item_78_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'En',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 78,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_78_id = wp_update_nav_menu_item($top_right_navigation_id, 0, $menu_item_78_data);
	
	$menu_item_79_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'Fr',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 79,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_79_id = wp_update_nav_menu_item($top_right_navigation_id, 0, $menu_item_79_data);
	
	$menu_item_80_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'It',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 80,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_80_id = wp_update_nav_menu_item($top_right_navigation_id, 0, $menu_item_80_data);
	
	$menu_item_81_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'De',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 81,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_81_id = wp_update_nav_menu_item($top_right_navigation_id, 0, $menu_item_81_data);
	
}

function sh_import_menu_left_right() {
	
	
	
	/* ----------------------------------------------------------------------------

	   Primary Navigation Left

	---------------------------------------------------------------------------- */
	
	$primary_navigation_name_left = 'Primary Navigation Left';
	
	$primary_navigation_exists_left = wp_get_nav_menu_object($primary_navigation_name_left);

	if( !$primary_navigation_exists_left){
	    $primary_navigation_id_left = wp_create_nav_menu($primary_navigation_name_left);
	}
	
	$primary_navigation_object_left = wp_get_nav_menu_object('Primary Navigation Left');
	$primary_navigation_id_left = (int) $primary_navigation_object_left->term_id;
	
	$menu_item_1_data = array(
		'menu-item-object-id' => get_page_by_title('Home')->ID,
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 1,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_1_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_1_data);
	
	$menu_item_2_data = array(
		'menu-item-object-id' => get_page_by_title('Home')->ID,
		'menu-item-title' => 'Home 1',
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 2,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_2_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_2_data);
	
	$menu_item_3_data = array(
		'menu-item-object-id' => get_page_by_title('Home 2')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 3,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_3_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_3_data);
	
	$menu_item_4_data = array(
		'menu-item-object-id' => get_page_by_title('Home 3')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 4,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_4_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_4_data);
	
	$menu_item_5_data = array(
		'menu-item-object-id' => get_page_by_title('Home 4')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 5,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_5_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_5_data);
	
	$menu_item_6_data = array(
		'menu-item-object-id' => get_page_by_title('Home 5')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 6,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_6_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_6_data);
	
	$menu_item_6_2_data = array(
		'menu-item-object-id' => get_page_by_title('Home 6')->ID,
		'menu-item-parent-id' => $menu_item_1_id,
		'menu-item-position'  => 7,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_6_2_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_6_2_data);
	
	$menu_item_7_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation',
		'menu-item-classes' => 'sohohotel-megamenu-4-col',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 7,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_7_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_7_data);

	$menu_item_8_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation Style 1',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 8,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_8_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_8_data);
	
	$menu_item_9_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 1 Columns')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 9,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_9_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_9_data);
	
	$menu_item_10_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 10,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_10_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_10_data);
	
	$menu_item_11_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 11,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_11_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_11_data);
	
	$menu_item_12_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 12,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_12_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_12_data);
	
	$menu_item_13_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 1 - 5 Columns')->ID,
		'menu-item-title' => '5 Columns',
		'menu-item-parent-id' => $menu_item_8_id,
		'menu-item-position'  => 13,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_13_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_13_data);
	
	$menu_item_14_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation Style 2',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 14,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_14_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_14_data);
	
	$menu_item_15_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 1 Columns')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 15,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_15_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_15_data);
	
	$menu_item_16_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 16,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_16_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_16_data);
	
	$menu_item_17_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 17,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_17_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_17_data);
	
	$menu_item_18_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 18,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_18_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_18_data);
	
	$menu_item_19_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 2 - 5 Columns')->ID,
		'menu-item-title' => '5 Columns',
		'menu-item-parent-id' => $menu_item_14_id,
		'menu-item-position'  => 19,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_19_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_19_data);
	
	$menu_item_20_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 3 Columns')->ID,
		'menu-item-title' => 'Accommodation Style 3',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 20,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_20_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_20_data);
	
	$menu_item_21_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 1 Columns')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 21,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_21_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_21_data);
	
	$menu_item_22_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 22,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_22_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_22_data);
	
	$menu_item_23_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 23,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_23_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_23_data);
	
	$menu_item_24_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 24,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_24_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_24_data);
	
	$menu_item_25_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Style 3 - 5 Columns')->ID,
		'menu-item-title' => '5 Columns',
		'menu-item-parent-id' => $menu_item_20_id,
		'menu-item-position'  => 25,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_25_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_25_data);
	
	$menu_item_26_data = array(
		'menu-item-object-id' => get_page_by_title('Standard Room','OBJECT','shb_accommodation')->ID,
		'menu-item-title' => 'Accommodation Single',
		'menu-item-parent-id' => $menu_item_7_id,
		'menu-item-position'  => 26,
		'menu-item-object' => 'shb_accommodation',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_26_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_26_data);
	
	$menu_item_27_data = array(
		'menu-item-object-id' => get_page_by_title('Standard Room','OBJECT','shb_accommodation')->ID,
		'menu-item-title' => 'Accommodation Single',
		'menu-item-parent-id' => $menu_item_26_id,
		'menu-item-position'  => 27,
		'menu-item-object' => 'shb_accommodation',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_27_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_27_data);
	
	$menu_item_28_data = array(
		'menu-item-object-id' => get_page_by_title('Bookings')->ID,
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 28,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_28_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_28_data);
	
	$menu_item_29_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 1')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 29,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_29_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_29_data);
	
	$menu_item_30_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 2')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 30,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_30_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_30_data);
	
	$menu_item_31_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 3')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 31,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_31_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_31_data);
	
	$menu_item_32_data = array(
		'menu-item-object-id' => get_page_by_title('Booking Form 4')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 32,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_32_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_32_data);
	
	$menu_item_32_2_data = array(
		'menu-item-object-id' => get_page_by_title('My Account')->ID,
		'menu-item-parent-id' => $menu_item_28_id,
		'menu-item-position'  => 32,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_32_2_id = wp_update_nav_menu_item($primary_navigation_id_left, 0, $menu_item_32_2_data);
	
	
	
	/* ----------------------------------------------------------------------------

	   Primary Navigation Right

	---------------------------------------------------------------------------- */
	
	$primary_navigation_name_right = 'Primary Navigation Right';
	
	$primary_navigation_exists_right = wp_get_nav_menu_object($primary_navigation_name_right);

	if( !$primary_navigation_exists_right){
	    $primary_navigation_id_right = wp_create_nav_menu($primary_navigation_name_right);
	}
	
	$primary_navigation_object_right = wp_get_nav_menu_object('Primary Navigation Right');
	$primary_navigation_id_right = (int) $primary_navigation_object_right->term_id;
	
	$menu_item_33_data = array(
		'menu-item-object-id' => get_page_by_title('More Features')->ID,
		'menu-item-classes' => 'sohohotel-megamenu-4-col',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 33,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_33_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_33_data);
	
	$menu_item_34_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'Elements',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 34,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_34_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_34_data);
	
	$menu_item_35_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Carousel 1')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 35,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_35_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_35_data);
	
	$menu_item_36_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Carousel 2')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 36,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_36_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_36_data);
	
	$menu_item_37_data = array(
		'menu-item-object-id' => get_page_by_title('Accommodation Listing Video')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 37,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_37_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_37_data);
	
	$menu_item_38_data = array(
		'menu-item-object-id' => get_page_by_title('Video Tour')->ID,
		'menu-item-parent-id' => $menu_item_34_id,
		'menu-item-position'  => 38,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_38_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_38_data);
	
	$menu_item_39_data = array(
		'menu-item-url' => '#',
		'menu-item-title' => 'Elements',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 39,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'custom',
		'menu-item-status'    => 'publish'
	);
	$menu_item_39_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_39_data);
	
	$menu_item_40_data = array(
		'menu-item-object-id' => get_page_by_title('Social Media')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 40,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_40_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_40_data);
	
	$menu_item_41_data = array(
		'menu-item-object-id' => get_page_by_title('Google Map')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 41,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_41_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_41_data);
	
	$menu_item_42_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Details')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 42,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_42_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_42_data);
	
	$menu_item_43_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Form')->ID,
		'menu-item-parent-id' => $menu_item_39_id,
		'menu-item-position'  => 43,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_43_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_43_data);
	
	$menu_item_44_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 3 Columns')->ID,
		'menu-item-title' => 'Hotel Listing Style 1',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 44,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_44_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_44_data);
	
	$menu_item_45_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_44_id,
		'menu-item-position'  => 45,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_45_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_45_data);
	
	$menu_item_46_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_44_id,
		'menu-item-position'  => 46,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_46_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_46_data);
	
	$menu_item_47_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 1 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_44_id,
		'menu-item-position'  => 47,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_47_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_47_data);
	
	$menu_item_48_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 3 Columns')->ID,
		'menu-item-title' => 'Hotel Listing Style 2',
		'menu-item-parent-id' => $menu_item_33_id,
		'menu-item-position'  => 48,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_48_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_48_data);
	
	$menu_item_49_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_48_id,
		'menu-item-position'  => 49,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_49_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_49_data);
	
	$menu_item_50_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_48_id,
		'menu-item-position'  => 50,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_50_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_50_data);
	
	$menu_item_51_data = array(
		'menu-item-object-id' => get_page_by_title('Hotels Style 2 - 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_48_id,
		'menu-item-position'  => 51,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_51_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_51_data);
	
	$menu_item_52_data = array(
		'menu-item-object-id' => get_page_by_title('Pages')->ID,
		'menu-item-title' => 'Theme Pages',
		'menu-item-classes' => 'sohohotel-megamenu-4-col',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 52,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_52_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_52_data);
	
	$menu_item_53_data = array(
		'menu-item-object-id' => get_page_by_title('Pages')->ID,
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 53,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_53_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_53_data);
	
	$menu_item_54_data = array(
		'menu-item-object-id' => get_page_by_title('About Us 1')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 54,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_54_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_54_data);
	
	$menu_item_55_data = array(
		'menu-item-object-id' => get_page_by_title('About Us 2')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 55,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_55_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_55_data);
	
	$menu_item_56_data = array(
		'menu-item-object-id' => get_page_by_title('Left Sidebar')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 56,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_56_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_56_data);
	
	$menu_item_57_data = array(
		'menu-item-object-id' => get_page_by_title('Right Sidebar')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 57,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_57_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_57_data);
	
	$menu_item_58_data = array(
		'menu-item-object-id' => get_page_by_title('Full Width')->ID,
		'menu-item-parent-id' => $menu_item_53_id,
		'menu-item-position'  => 58,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_58_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_58_data);
	
	$menu_item_59_data = array(
		'menu-item-object-id' => get_page_by_title('News 3 Columns')->ID,
		'menu-item-title' => 'News',
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 59,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_59_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_59_data);
	
	$menu_item_60_data = array(
		'menu-item-object-id' => get_page_by_title('News 1 Column')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 60,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_60_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_60_data);
	
	$menu_item_61_data = array(
		'menu-item-object-id' => get_page_by_title('News 2 Columns')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 61,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_61_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_61_data);
	
	$menu_item_62_data = array(
		'menu-item-object-id' => get_page_by_title('News 3 Columns')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 62,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_62_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_62_data);
	
	$menu_item_63_data = array(
		'menu-item-object-id' => get_page_by_title('News 4 Columns')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 63,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_63_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_63_data);
	
	$menu_item_64_data = array(
		'menu-item-object-id' => get_page_by_title('Our New Miami Beach Hotel Is Open!','OBJECT','post')->ID,
		'menu-item-title' => 'Single Post',
		'menu-item-parent-id' => $menu_item_59_id,
		'menu-item-position'  => 64,
		'menu-item-object' => 'post',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_64_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_64_data);
	
	$menu_item_65_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 3 Columns Full Width')->ID,
		'menu-item-title' => 'Photo Gallery',
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 65,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_65_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_65_data);
	
	$menu_item_66_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 1 Column Full Width')->ID,
		'menu-item-title' => '1 Column',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 66,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_66_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_66_data);
	
	$menu_item_67_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 2 Columns Full Width')->ID,
		'menu-item-title' => '2 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 67,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_67_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_67_data);
	
	$menu_item_68_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 3 Columns Full Width')->ID,
		'menu-item-title' => '3 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 68,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_68_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_68_data);
	
	$menu_item_69_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 4 Columns Full Width')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 69,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_69_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_69_data);
	
	$menu_item_70_data = array(
		'menu-item-object-id' => get_page_by_title('Gallery 5 Columns Full Width')->ID,
		'menu-item-title' => '4 Columns',
		'menu-item-parent-id' => $menu_item_65_id,
		'menu-item-position'  => 70,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_70_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_70_data);
	
	$menu_item_71_data = array(
		'menu-item-object-id' => get_page_by_title('Testimonials')->ID,
		'menu-item-title' => 'Testimonials',
		'menu-item-parent-id' => $menu_item_52_id,
		'menu-item-position'  => 71,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_71_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_71_data);
	
	$menu_item_72_data = array(
		'menu-item-object-id' => get_page_by_title('Testimonials Left Sidebar')->ID,
		'menu-item-title' => 'Left Sidebar',
		'menu-item-parent-id' => $menu_item_71_id,
		'menu-item-position'  => 72,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_72_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_72_data);
	
	$menu_item_73_data = array(
		'menu-item-object-id' => get_page_by_title('Testimonials')->ID,
		'menu-item-title' => 'Right Sidebar',
		'menu-item-parent-id' => $menu_item_71_id,
		'menu-item-position'  => 73,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_73_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_73_data);
	
	$menu_item_74_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 1')->ID,
		'menu-item-title' => 'Contact Us',
		'menu-item-parent-id' => 0,
		'menu-item-position'  => 74,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_74_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_74_data);
	
	$menu_item_75_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 1')->ID,
		'menu-item-parent-id' => $menu_item_74_id,
		'menu-item-position'  => 75,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_75_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_75_data);
	
	$menu_item_76_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 2')->ID,
		'menu-item-parent-id' => $menu_item_74_id,
		'menu-item-position'  => 76,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_76_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_76_data);
	
	$menu_item_77_data = array(
		'menu-item-object-id' => get_page_by_title('Contact Us 3')->ID,
		'menu-item-parent-id' => $menu_item_74_id,
		'menu-item-position'  => 77,
		'menu-item-object' => 'page',
		'menu-item-type'      => 'post_type',
		'menu-item-status'    => 'publish'
	);
	$menu_item_77_id = wp_update_nav_menu_item($primary_navigation_id_right, 0, $menu_item_77_data);
	
}

function sh_import_widgets() {
	
	update_option('widget_shb_booking_widget', array(
	    1 => array(
	        'title' => 'Booking Form',
			'position' => 'sidebar'
	    ),
		'_multiwidget' => 1
	));
	
	update_option('widget_sohohotel_recent_posts_widget', array(
	    1 => array(
	        'title' => 'Recent Posts',
			'post_limit' => '3'
	    ),
		'_multiwidget' => 1
	));
	
	update_option('widget_categories', array(
	    1 => array(
	        'title' => 'Categories'
	    ),
		'_multiwidget' => 1
	));
	
	update_option('widget_tag_cloud', array(
	    1 => array(
	        'title' => 'Tags'
	    ),
		'_multiwidget' => 1
	));
	
	update_option('widget_sohohotel_social_about_widget', array(
	    1 => array(
	        'title' => 'Soho Hotel',
			'about_us' => '<p>Curabitur eu velit et lorem hendrerit consequat at pharetra venenatis urna vel volutpat aenean justo ut pellentesque metus id nulla.</p>',
			'facebook' => '#',
			'twitter' => '#',
			'instagram' => '#',
			'yelp' => '',
			'youtube' => '#',
			'tripadvisor' => '',
			'pinterest' => '#',
			'skype' => '',
			'flickr' => '',
			'googleplus' => '',
			'tumblr' => '#',
			'vimeo' => ''
	    ),
		'_multiwidget' => 1
	));
	
	update_option('widget_sohohotel_contact_widget', array(
	    1 => array(
	        'title' => 'Contact',
			'contact_address' => '55 Columbus Circle, New York, NY',
			'contact_phone' => '1111-2222-3333',
			'contact_cell_phone' => '3333-2222-1111',
			'contact_email' => 'booking@example.com'
	    ),
		'_multiwidget' => 1
	));
	
	update_option('widget_newsletterwidget', array(
	    1 => array(
	        'title' => 'Newsletter',
			'text' => '<p>Mauris commodo risus sollicitudin lectus pulvinar dictum vestibulum feugiat metus sapien.</p>'
	    ),
		'_multiwidget' => 1
	));
	
    $new_active_widgets = array(
        'sohohotel-primary-widget-area' => array(
            'shb_booking_widget-1',
			'sohohotel_recent_posts_widget-1',
			'categories-1',
			'tag_cloud-1'
        ),
        'sohohotel-footer-widget-area' => array(
            'sohohotel_social_about_widget-1',
			'sohohotel_contact_widget-1',
			'newsletterwidget-1'
        )
    );
	
    update_option('sidebars_widgets', $new_active_widgets);
	
}

function sh_delete_widgets() {
	
    $new_active_widgets = array(
        'sohohotel-primary-widget-area' => array(),
        'sohohotel-footer-widget-area' => array()
    );
	
    update_option('sidebars_widgets', $new_active_widgets);
	
}

function sh_set_homepage() {
	
	$homepage = get_page_by_title( 'Home' );

	if ( $homepage ) {
	    update_option( 'page_on_front', $homepage->ID );
	    update_option( 'show_on_front', 'page' );
	}
	
}

function sh_import_additional_fees() {
	
	$accommodation_ids = shb_get_all_ids('shb_accommodation');
	
	$additional_fee_data = array(
		0 => array(
			'post_title' => 'Breakfast',
			'shb_fee_type1' => 'fee_type1_fixed_amount',
			'shb_fee_type2' => 'fee_type2_booking',
			'shb_fee_optional' => 'yes',
			'shb_quantity_selection' => 'no',
			'shb_fee_price' => 15,
			'shb_season_default' => 'default'
		),
		1 => array(
			'post_title' => 'Airport transfer',
			'shb_fee_type1' => 'fee_type1_per_person',
			'shb_fee_type2' => 'fee_type2_booking',
			'shb_fee_optional' => 'yes',
			'shb_quantity_selection' => 'no',
			'shb_fee_price' => 50,
			'shb_season_default' => 'default'
		),
		2 => array(
			'post_title' => 'Room cleaning fee',
			'shb_fee_type1' => 'fee_type1_fixed_amount',
			'shb_fee_type2' => 'fee_type2_booking',
			'shb_fee_optional' => 'no',
			'shb_quantity_selection' => 'no',
			'shb_fee_price' => 100,
			'shb_season_default' => 'default'
		),
		3 => array(
			'post_title' => 'Add any custom services',
			'shb_fee_type1' => 'fee_type1_per_room',
			'shb_fee_type2' => 'fee_type2_night',
			'shb_fee_optional' => 'yes',
			'shb_quantity_selection' => 'no',
			'shb_fee_price' => 12,
			'shb_season_default' => 'default'
		),
		4 => array(
			'post_title' => 'With quantity selection',
			'shb_fee_type1' => 'fee_type1_per_room',
			'shb_fee_type2' => 'fee_type2_night',
			'shb_fee_optional' => 'yes',
			'shb_quantity_selection' => 'yes',
			'shb_fee_price' => 12,
			'shb_season_default' => 'default'
		)
	);
	
	foreach($additional_fee_data as $key1 => $val1) {
		
		foreach($accommodation_ids as $val2) {
			$additional_fee_data[$key1]['shb_accommodation_' . $val2] = $val2;
		}
		
	}
	
	foreach($additional_fee_data as $key => $val) {
		$additional_fee_id = sh_insert_additional_fee($val);
	}
	
}

function sh_insert_additional_fee($data) {
	
	$post_id = wp_insert_post(array (
	   'post_type' => 'shb_fee',
	   'post_title' => $data['post_title'],
	   'post_content' => '',
	   'post_status' => 'publish',
	   'comment_status' => 'closed',
	   'ping_status' => 'closed',
	));

	if ($post_id) {
		
		foreach($data as $key => $val) {
			
			if($key !== 'post_title') {
				add_post_meta($post_id, $key, $val, true);
			}
			
		}
		
	}
	
	return $post_id;
	
}